get_tmax <- function (subset_tmax = subset_tmax, cira.folder = "data/cira3", 
                      gcm = "CanESM2", rcp = "RCP45" , yr = 2050  )
{### This function loads modeled temperature data, converts dates to month/day, and converts kelvin to degrees c
  require (here)
  require (dplyr)
  require (tidyr)
  require (data.table)
  
  fname <- paste(paste("Tmax", gcm, rcp, yr, sep = "_"), ".txt", sep = "")
  print (fname)
  fname <- here::here(cira.folder, fname )
  tmax_dframe <-   fread(fname )
  
  tmax_dframe_sub <- tmax_dframe %>%  
    right_join( subset_tmax , by = c("VALUE", "COUNT"))   %>%   
    mutate (  gcm = gcm,
              rcp = rcp,
              gcm.yr = yr , 
              month = lubridate::month(as.Date(DAY)),
              day =  lubridate::day(as.Date(DAY)),
              tmean0 = MEAN - 273.15) 
  
  return (tmax_dframe_sub)
}

