# Function to calculate lagged (5-dy moving average)
lag_calc <- function (tmean_2lag = tmean_daily$doy_tmean0[[1]]) {
  lagged_tmean <- tmean_2lag  %>%
    mutate(
      tmeanL1 = ifelse (is.na(lag(tmean0)), tmean0, lag(tmean0)),
      tmeanL2 = ifelse (is.na(lag(tmean0, 2)), tmean0, lag(tmean0, 2)),
      tmeanL3 = ifelse (is.na(lag(tmean0, 3)), tmean0, lag(tmean0, 3)),
      tmeanL4 = ifelse (is.na(lag(tmean0, 4)), tmean0, lag(tmean0, 4)),
      tmean15 = (tmean0 + tmeanL1 + tmeanL2 + tmeanL3 + tmeanL4) / 5
    ) %>%
    select(-starts_with("tmeanL"))
  return (lagged_tmean)
}