# Function to join to cluster fits, bounds, and fitted cluster-level parameters

join_doy_proj <- function (tmean_daily = tmean_daily,
                           cluster_param = cluster_fits_doy) {
  
  # join cluster paramaters to tmean for cluster-specific calculations
  
  cl_doy <- cluster_param %>%
    select(-ends_with("arg")) %>%
    unnest() # get day of year deaths by city
  
  doy_tmean <- tmean_daily %>%  # tmean_2join
    select(CITYNAME, year,  doy_tmean) %>%
    unnest() %>%
    right_join(cl_doy, by = c("CITYNAME", "doy"))   %>%
    group_by(CITYNAME, year, cluster, FIPS_txt) %>%
    nest(.key = "day_tm")
  
  cluster_param <- cluster_param %>%
    select(-doy_av_mort)
  
  tmean_daily <- tmean_daily %>%
    select(-doy_tmean) %>%
    inner_join(doy_tmean,
               by = c("year", "CITYNAME"))  %>%
    inner_join(cluster_param,
               by = c("CITYNAME", "cluster", "FIPS_txt"))
  
  return (tmean_daily)
}

join_doy_proj_avg <- function (tmean_daily = tmean_daily,
                           cluster_param = cluster_fits_doy ) {
  # join cluster paramaters to tmean for cluster-specific calculations
   
  
  cl_doy <- cluster_param %>%  
    select(cluster, FIPS_txt, CITYNAME, doy_av_mort)%>%  
    unnest() #get day of year deaths by city
  
  doy_tmean <- tmean_daily %>%  # tmean_2join
    select(CITYNAME, year,  doy_tmean) %>%
    unnest() %>%
    right_join(cl_doy, by = c("CITYNAME", "doy"))   %>%
    group_by(CITYNAME, year, cluster, FIPS_txt) %>%
    nest(.key = "day_tm")
  
  cluster_param <- cluster_param %>%
    select(-doy_av_mort)
  
  tmean_daily <- tmean_daily %>%
    select(-doy_tmean) %>%
    inner_join(doy_tmean,
               by = c("year", "CITYNAME"))  %>%
    inner_join(cluster_param,
               by = c("CITYNAME", "cluster", "FIPS_txt"))
  
  return (tmean_daily)
}

