cluster_4_dat <- read_csv(here("output/vodonos_out/2019-09-02-Temperature-and-Mortality-master/Meta-regression/Cluster4/meta_data.csv"))

cluster_4_parms <- data.frame(time_period = 1:4) %>% 
  mutate( parms  = map(time_period, ~load_parms(here (paste0("output/vodonos_out/2019-09-02-Temperature-and-Mortality-master/Meta-regression/Cluster4/mv_cl4_y", .x, ".Rdata")))))
 

cluster_4_ymat_1 <-  
  rbind (ymat_get(tp = 1, dframe = cluster_4_parms, ymat_name = "ymat_1")[1:26,]  , 
         ymat_get(tp = 2, dframe = cluster_4_parms, ymat_name = "ymat_1") ,
         ymat_get(tp = 3, dframe = cluster_4_parms, ymat_name = "ymat_1") ,
         ymat_get(tp = 4, dframe = cluster_4_parms, ymat_name = "ymat_1") )

cluster_4_Slist_1 <-  
  c (Slist_get(tp = 1, dframe = cluster_4_parms, Slist_name = "Slist_1")[1:26 ] ,
     Slist_get(tp = 2, dframe = cluster_4_parms, Slist_name = "Slist_1") ,
     Slist_get(tp = 3, dframe = cluster_4_parms, Slist_name = "Slist_1") ,
     Slist_get(tp = 4, dframe = cluster_4_parms, Slist_name = "Slist_1") ) 



cluster_4_dat <- cluster_4_dat %>% 
  mutate(time_con =  time - mean(time), 
         time = factor(time , levels = c(3,1,2,4)) ,
         totpop1 = totalpop/mean(totalpop),
         popover65_1 =  popover65/mean(popover65))  


int_lag0<-mvmeta(cluster_4_ymat_1     , 
                 cluster_4_Slist_1  ,
                 na.action= "na.omit", method="reml") 

time_lag0<- mvmeta(cluster_4_ymat_1~ 
                     time      , 
                   cluster_4_Slist_1 
                   , data = cluster_4_dat , 
                   na.action= "na.omit", method="reml")


mod1_lag0<-mvmeta(cluster_4_ymat_1~ 
                     air_cond + 
                     summer_mean + 
                     winter_mean +
                     time +
                     totpop1 + 
                     popover65_1 , 
                   cluster_4_Slist_1 
                   , data = cluster_4_dat , 
                   na.action= "na.omit", method="reml")
mod1_lag0  


mod2_lag0<-mvmeta(cluster_4_ymat_1~ 
                    time +
                    air_cond +
                    totpop1 + 
                    popover65_1 , 
                    cluster_4_Slist_1 
                  , data = cluster_4_dat , 
                  na.action= "na.omit", method="reml")
mod2_lag0  

 
mod3_lag0<-mvmeta(cluster_4_ymat_1~ 
                    time +
                    totpop1 + 
                    popover65_1 , 
                  cluster_4_Slist_1 
                  , data = cluster_4_dat , 
                  na.action= "na.omit", method="reml")
mod2_lag0 # vodonos mod1
## matches vodonos output;  d

meta_reg_tab_cluster4 <- ftab  (m =  int_lag0, mref = NULL) %>%
  bind_rows(ftab  (m = mod1_lag0, mref=int_lag0) )%>%
  bind_rows(ftab  (m = mod2_lag0, mref=int_lag0) )%>%
  bind_rows(ftab  (m = mod3_lag0, mref=int_lag0) )%>%
  bind_rows(ftab  (m = time_lag0 , mref=int_lag0) ) %>%
  mutate(cluster = 4 , lag = "lag 0")

  
#############MA15
cluster_4_ymat2 <-  
  rbind (ymat_get(tp = 1, dframe = cluster_4_parms, ymat_name = "ymat_2")[1:26,]  , 
         ymat_get(tp = 2, dframe = cluster_4_parms, ymat_name = "ymat_2") ,
         ymat_get(tp = 3, dframe = cluster_4_parms, ymat_name = "ymat_2") ,
         ymat_get(tp = 4, dframe = cluster_4_parms, ymat_name = "ymat_2") )

cluster_4_Slist2 <-  
  c (Slist_get(tp = 1, dframe = cluster_4_parms, Slist_name = "Slist_2")[1:26]    , 
     Slist_get(tp = 2, dframe = cluster_4_parms, Slist_name = "Slist_2") ,
     Slist_get(tp = 3, dframe = cluster_4_parms, Slist_name = "Slist_2") ,
     Slist_get(tp = 4, dframe = cluster_4_parms, Slist_name = "Slist_2") ) 

int_ma15<-mvmeta(cluster_4_ymat2     , 
                 cluster_4_Slist2  ,
                 na.action= "na.omit", method="reml") 

time_ma15<- mvmeta(cluster_4_ymat2~ 
                    time      , 
                   cluster_4_Slist2 
                   , data = cluster_4_dat , 
                   na.action= "na.omit", method="reml")
 

mod1_ma15<-mvmeta(cluster_4_ymat2~ 
                    time +
                    summer_mean + 
                    winter_mean +
                    air_cond +
                    totpop1 + 
                    popover65_1 , 
                  cluster_4_Slist2 
                  , data = cluster_4_dat , 
                  na.action= "na.omit", method="reml")
mod1_ma15 # 

mod2_ma15<-  mvmeta(cluster_4_ymat2~ 
                       time +
                       air_cond +
                       totpop1 + 
                       popover65_1    , 
                    cluster_4_Slist2 
                     , data = cluster_4_dat , 
                     na.action= "na.omit", method="reml") 
summary(mod2_ma15) 
 
mod3_ma15<-  mvmeta(cluster_4_ymat2~ 
                      time +
                      totpop1 + 
                      popover65_1    , 
                    cluster_4_Slist2 
                    , data = cluster_4_dat , 
                    na.action= "na.omit", method="reml") 
 

meta_reg_tab_cluster4 <- meta_reg_tab_cluster4 %>% 
  bind_rows(ftab  (m =  int_ma15, mref = NULL) ) %>%
  bind_rows(ftab  (m = mod1_ma15 , mref=int_lag0) )%>%
  bind_rows(ftab  (m = mod2_ma15, mref=int_lag0) )%>%
  bind_rows(ftab  (m = mod3_ma15, mref=int_lag0) )%>%
  bind_rows(ftab  (m = time_ma15, mref=int_lag0) )%>%
  mutate(cluster = 4 , 
         lag = ifelse(is.na(lag), "ma15",  lag))

