cluster_8_dat <- read_csv(here("output/vodonos_out/2019-09-02-Temperature-and-Mortality-master/Meta-regression/Cluster8/meta_data.csv"))

cluster_8_parms <- data.frame(time_period = 1:4) %>% 
  mutate( parms  = map(time_period, ~load_parms(here (paste0("output/vodonos_out/2019-09-02-Temperature-and-Mortality-master/Meta-regression/Cluster8/mv_cl8_y", .x, ".Rdata")))))

 

cluster_8_ymat_1 <-  
  rbind (ymat_get(tp = 1, dframe = cluster_8_parms, ymat_name = "ymat_1")[1:8, ]  , # again the last city of the first time period appears to be missing.
         ymat_get(tp = 2, dframe = cluster_8_parms, ymat_name = "ymat_1") ,
         ymat_get(tp = 3, dframe = cluster_8_parms, ymat_name = "ymat_1") ,
         ymat_get(tp = 4, dframe = cluster_8_parms, ymat_name = "ymat_1") )

cluster_8_Slist_1 <-  
  c (Slist_get(tp = 1, dframe = cluster_8_parms, Slist_name = "Slist_1")[1:8 ]  , 
     Slist_get(tp = 2, dframe = cluster_8_parms, Slist_name = "Slist_1") ,
     Slist_get(tp = 3, dframe = cluster_8_parms, Slist_name = "Slist_1") ,
     Slist_get(tp = 4, dframe = cluster_8_parms, Slist_name = "Slist_1") ) 


cluster_8_dat <- cluster_8_dat %>% 
  mutate(time_con =  time - mean(time), 
         time = factor(time , levels = c(3,1,2,4)) ,
         totpop1 = totalpop/mean(totalpop),
         popover65_1 =  popover65/mean(popover65))  


int_lag0<-mvmeta(cluster_8_ymat_1     , 
                 cluster_8_Slist_1  ,
                 na.action= "na.omit", method="reml") 

# time_lag0<- mvmeta(cluster_8_ymat_1~ 
#                      time      , 
#                    cluster_8_Slist_1 
#                    , data = cluster_8_dat , 
#                    na.action= "na.omit", method="reml")


modac_lag0<-mvmeta(cluster_8_ymat_1~ 
                     time +
                     air_cond + 
                     summer_mean + 
                     winter_mean +
                     totpop1 + 
                     popover65_1 , 
                   cluster_8_Slist_1 
                   , data = cluster_8_dat , 
                   na.action= "na.omit", method="reml")
   


mod1_lag0<-mvmeta(cluster_8_ymat_1~ 
                    summer_mean + 
                    time   , 
                  cluster_8_Slist_1 
                  , data = cluster_8_dat , 
                  na.action= "na.omit", method="reml")
mod1_lag0 # vodonos mod1
## matches vodonos output; 
 


mod2_lag0 <-  mvmeta(cluster_8_ymat_1~ 
                       time      , 
                       cluster_8_Slist_1 
                       , data = cluster_8_dat , 
                       na.action= "na.omit", method="reml")


summary(mod2_lag0) ## ALso matches vodonos


 
meta_reg_tab_cluster8 <- ftab  (m =  int_lag0, mref = NULL) %>%
  bind_rows(ftab  (m = modac_lag0 , mref=int_lag0) )%>%
  bind_rows(ftab  (m = mod1_lag0, mref=int_lag0) )%>%
  bind_rows(ftab  (m = mod2_lag0, mref=int_lag0) )%>%
  # bind_rows(ftab  (m = time_lag0 , mref=int_lag0) ) %>% # redundant in this case, with mod2 vodonos fitted
  mutate(cluster = 8, lag = "lag 0")

  
#############MA15
cluster_8_ymat2 <-  
  rbind (ymat_get(tp = 1, dframe = cluster_8_parms, ymat_name = "ymat_2") [1:8, ] , 
         ymat_get(tp = 2, dframe = cluster_8_parms, ymat_name = "ymat_2") ,
         ymat_get(tp = 3, dframe = cluster_8_parms, ymat_name = "ymat_2") ,
         ymat_get(tp = 4, dframe = cluster_8_parms, ymat_name = "ymat_2") )

cluster_8_Slist2 <-  
  c (Slist_get(tp = 1, dframe = cluster_8_parms, Slist_name = "Slist_2") [1:8 ] , 
     Slist_get(tp = 2, dframe = cluster_8_parms, Slist_name = "Slist_2") ,
     Slist_get(tp = 3, dframe = cluster_8_parms, Slist_name = "Slist_2") ,
     Slist_get(tp = 4, dframe = cluster_8_parms, Slist_name = "Slist_2") ) 

int_ma15<-mvmeta(cluster_8_ymat2     , 
                 cluster_8_Slist2  ,
                 na.action= "na.omit", method="reml") 

time_ma15<- mvmeta(cluster_8_ymat2~ 
                    time      , 
                   cluster_8_Slist2 
                   , data = cluster_8_dat , 
                   na.action= "na.omit", method="reml")
 
moda_ma15<-mvmeta(cluster_8_ymat2~ 
                    time +
                    air_cond + 
                    summer_mean + 
                    winter_mean +
                    totpop1 + 
                    popover65_1 , 
                  cluster_8_Slist2 
                  , data = cluster_8_dat , 
                  na.action= "na.omit", method="reml")
mod1_ma15 # vodonos mod1
## matches vodonos output;  

mod1_ma15<-mvmeta(cluster_8_ymat2~ 
                    time +
                    air_cond +
                    summer_mean + 
                    winter_mean +
                    popover65_1 , 
                  cluster_8_Slist2 
                  , data = cluster_8_dat , 
                  na.action= "na.omit", method="reml")
mod1_ma15 # vodonos mod1
## matches vodonos output;  

mod2_ma15<-  mvmeta(cluster_8_ymat2~ 
                       time +
                       aircond + 
                       popover65_1    , 
                    cluster_8_Slist2 
                     , data = cluster_8_dat , 
                     na.action= "na.omit", method="reml") 
summary(mod2_ma15) ## ALso matches vodonos
 
meta_reg_tab_cluster8 <- meta_reg_tab_cluster6 %>% 
  bind_rows(ftab  (m =  int_ma15, mref = NULL) ) %>%
  bind_rows(ftab  (m = mod1_ma15 , mref=int_lag0) )%>%
  bind_rows(ftab  (m = mod2_ma15, mref=int_lag0) )%>%
  bind_rows(ftab  (m = time_ma15, mref=int_lag0) )%>%
  mutate(cluster = 8, 
         lag = ifelse(is.na(lag), "ma15",  lag))

