cluster_9_dat <- read_csv(here("output/vodonos_out/2019-09-02-Temperature-and-Mortality-master/Meta-regression/Cluster9/meta_data.csv"))

cluster_9_parms <- data.frame(time_period = 1:4) %>% 
  mutate( parms  = map(time_period, ~load_parms(here (paste0("output/vodonos_out/2019-09-02-Temperature-and-Mortality-master/Meta-regression/Cluster9/mv_cl9_y", .x, ".Rdata")))))
 

cluster_9_ymat_1 <-  
  rbind (ymat_get(tp = 1, dframe = cluster_9_parms, ymat_name = "ymat_1")  , 
         ymat_get(tp = 2, dframe = cluster_9_parms, ymat_name = "ymat_1") ,
         ymat_get(tp = 3, dframe = cluster_9_parms, ymat_name = "ymat_1") ,
         ymat_get(tp = 4, dframe = cluster_9_parms, ymat_name = "ymat_1") )

cluster_9_Slist_1 <-  
  c (Slist_get(tp = 1, dframe = cluster_9_parms, Slist_name = "Slist_1")  , 
     Slist_get(tp = 2, dframe = cluster_9_parms, Slist_name = "Slist_1") ,
     Slist_get(tp = 3, dframe = cluster_9_parms, Slist_name = "Slist_1") ,
     Slist_get(tp = 4, dframe = cluster_9_parms, Slist_name = "Slist_1") ) 


cluster_9_dat <- cluster_9_dat %>% 
  mutate(time_con =  time - mean(time), 
         time = factor(time , levels = c(3,1,2,4)) ,
         totpop1 = totalpop/mean(totalpop),
         popover65_1 =  popover65/mean(popover65))  


int_lag0<-mvmeta(cluster_9_ymat_1     , 
                 cluster_9_Slist_1  ,
                 na.action= "na.omit", method="reml") 

# time_lag0<- mvmeta(cluster_9_ymat_1~ 
#                      time      , 
#                    cluster_9_Slist_1 
#                    , data = cluster_9_dat , 
#                    na.action= "na.omit", method="reml")


modac_lag0<-mvmeta(cluster_9_ymat_1~ 
                     time +
                     air_cond + 
                     summer_mean + 
                     winter_mean +
                     totpop1 + 
                     popover65_1 , 
                   cluster_9_Slist_1 
                   , data = cluster_9_dat , 
                   na.action= "na.omit", method="reml")
modac_lag0  


mod1_lag0<-mvmeta(cluster_9_ymat_1~ 
                    time +
                    summer_mean + 
                    winter_mean  , 
                  cluster_9_Slist_1 
                  , data = cluster_9_dat , 
                  na.action= "na.omit", method="reml")
mod1_lag0 # vodonos mod1
## matches vodonos output; 
 


mod2_lag0 <-  mvmeta(cluster_9_ymat_1~ 
                       time      , 
                       cluster_9_Slist_1 
                       , data = cluster_9_dat , 
                       na.action= "na.omit", method="reml")


summary(mod2_lag0) ## ALso matches vodonos


 
meta_reg_tab_cluster9 <- ftab  (m =  int_lag0, mref = NULL) %>%
  bind_rows(ftab  (m = modac_lag0 , mref=int_lag0) )%>%
  bind_rows(ftab  (m = mod1_lag0, mref=int_lag0) )%>%
  bind_rows(ftab  (m = mod2_lag0, mref=int_lag0) )%>%
 # bind_rows(ftab  (m = time_lag0 , mref=int_lag0) ) %>% # redundant with vodonos fit for mod2_lag0
  mutate(cluster = 9, lag = "lag 0")

  
#############MA15
cluster_9_ymat2 <-  
  rbind (ymat_get(tp = 1, dframe = cluster_9_parms, ymat_name = "ymat_2") , 
         ymat_get(tp = 2, dframe = cluster_9_parms, ymat_name = "ymat_2") ,
         ymat_get(tp = 3, dframe = cluster_9_parms, ymat_name = "ymat_2") ,
         ymat_get(tp = 4, dframe = cluster_9_parms, ymat_name = "ymat_2") )

cluster_9_Slist2 <-  
  c (Slist_get(tp = 1, dframe = cluster_9_parms, Slist_name = "Slist_2") , 
     Slist_get(tp = 2, dframe = cluster_9_parms, Slist_name = "Slist_2") ,
     Slist_get(tp = 3, dframe = cluster_9_parms, Slist_name = "Slist_2") ,
     Slist_get(tp = 4, dframe = cluster_9_parms, Slist_name = "Slist_2") ) 

int_ma15<-mvmeta(cluster_9_ymat2     , 
                 cluster_9_Slist2  ,
                 na.action= "na.omit", method="reml") 

# time_ma15<- mvmeta(cluster_9_ymat2~ 
#                     time      , 
#                    cluster_9_Slist2 
#                    , data = cluster_9_dat , 
#                    na.action= "na.omit", method="reml")
#  
moda_ma15<-mvmeta(cluster_9_ymat2~ 
                    time +
                    summer_mean + 
                    winter_mean +
                    totpop1 + 
                    popover65_1 , 
                  cluster_9_Slist2 
                  , data = cluster_9_dat , 
                  na.action= "na.omit", method="reml")

mod1_ma15<-mvmeta(cluster_9_ymat2~ 
                    time +
                    summer_mean + 
                    winter_mean  , 
                  cluster_9_Slist2 
                  , data = cluster_9_dat , 
                  na.action= "na.omit", method="reml")
mod1_ma15 # vodonos mod1
## matches vodonos output;  

mod2_ma15<-  mvmeta(cluster_9_ymat2~ 
                       time     , 
                    cluster_9_Slist2 
                     , data = cluster_9_dat , 
                     na.action= "na.omit", method="reml") 
summary(mod2_ma15) ## ALso matches vodonos
 
meta_reg_tab_cluster9 <- meta_reg_tab_cluster9 %>% 
  bind_rows(ftab  (m =  int_ma15, mref = NULL) ) %>%
  bind_rows(ftab  (m = mod1_ma15 , mref=int_lag0) )%>%
  bind_rows(ftab  (m = mod2_ma15, mref=int_lag0) )%>%
 # bind_rows(ftab  (m = time_ma15, mref=int_lag0) )%>% # redundant with vodonos model fit
  mutate(cluster = 9, 
         lag = ifelse(is.na(lag), "ma15",  lag))

