---
title: "Meta-Regression, Cluster 1"
author: "Alina Vodonos Zilberg"
date: "August 6, 2019"
output:
  html_document:
    toc: yes
    keep_md: true
  pdf_document: default
  word_document: default
---



##Meta-Regression LAG0
#####Time3 as a reference (1993-2003)

```r
meta_data$time<-as.factor(meta_data$time)
meta_data <- within(meta_data, time <- relevel(time, ref = 3))

meta_data$totpop1=meta_data$totalpop/mean(meta_data$totalpop) # Normalization , diving by the mean
meta_data$popover65_1=meta_data$popover65/mean(meta_data$popover65) # Normalization , diving by the mean

mod1_lag0<-mvmeta(ymat_1~summer_mean+as.factor(time)+totpop1+popover65_1, Slist_1, data = meta_data, na.action= "na.omit", method="reml")
```


```
## Call:  mvmeta(formula = ymat_1 ~ summer_mean + as.factor(time) + totpop1 + 
##     popover65_1, S = Slist_1, data = meta_data, method = "reml", 
##     na.action = "na.omit")
## 
## Multivariate random-effects meta-regression
## Dimension: 5
## Estimation method: REML
## 
## Fixed-effects coefficients
## spl1 : 
##                   Estimate  Std. Error        z  Pr(>|z|)  95%ci.lb
## (Intercept)        -0.0913      0.1462  -0.6246    0.5323   -0.3779
## summer_mean         0.0025      0.0075   0.3344    0.7381   -0.0122
## as.factor(time)1    0.0572      0.0271   2.1136    0.0346    0.0042
## as.factor(time)2    0.0479      0.0260   1.8408    0.0657   -0.0031
## as.factor(time)4    0.0523      0.0231   2.2674    0.0234    0.0071
## totpop1            -0.0617      0.0427  -1.4454    0.1484   -0.1455
## popover65_1         0.0654      0.0412   1.5856    0.1128   -0.0154
##                   95%ci.ub   
## (Intercept)         0.1952   
## summer_mean         0.0173   
## as.factor(time)1    0.1103  *
## as.factor(time)2    0.0990  .
## as.factor(time)4    0.0976  *
## totpop1             0.0220   
## popover65_1         0.1462   
## spl2 : 
##                   Estimate  Std. Error        z  Pr(>|z|)  95%ci.lb
## (Intercept)         0.0803      0.1259   0.6381    0.5234   -0.1664
## summer_mean        -0.0048      0.0065  -0.7311    0.4647   -0.0175
## as.factor(time)1    0.0485      0.0233   2.0814    0.0374    0.0028
## as.factor(time)2    0.0319      0.0224   1.4250    0.1542   -0.0120
## as.factor(time)4    0.0466      0.0201   2.3202    0.0203    0.0072
## totpop1            -0.0186      0.0366  -0.5069    0.6122   -0.0904
## popover65_1         0.0195      0.0355   0.5497    0.5825   -0.0500
##                   95%ci.ub   
## (Intercept)         0.3270   
## summer_mean         0.0080   
## as.factor(time)1    0.0941  *
## as.factor(time)2    0.0757   
## as.factor(time)4    0.0860  *
## totpop1             0.0533   
## popover65_1         0.0890   
## spl3 : 
##                   Estimate  Std. Error        z  Pr(>|z|)  95%ci.lb
## (Intercept)        -0.0322      0.1345  -0.2392    0.8110   -0.2958
## summer_mean         0.0044      0.0069   0.6400    0.5222   -0.0091
## as.factor(time)1    0.0068      0.0247   0.2745    0.7837   -0.0417
## as.factor(time)2    0.0003      0.0236   0.0123    0.9902   -0.0460
## as.factor(time)4    0.0404      0.0214   1.8918    0.0585   -0.0015
## totpop1            -0.0368      0.0393  -0.9369    0.3488   -0.1137
## popover65_1         0.0399      0.0380   1.0516    0.2930   -0.0345
##                   95%ci.ub   
## (Intercept)         0.2315   
## summer_mean         0.0180   
## as.factor(time)1    0.0552   
## as.factor(time)2    0.0466   
## as.factor(time)4    0.0823  .
## totpop1             0.0402   
## popover65_1         0.1144   
## spl4 : 
##                   Estimate  Std. Error        z  Pr(>|z|)  95%ci.lb
## (Intercept)         0.3352      0.1406   2.3840    0.0171    0.0596
## summer_mean        -0.0121      0.0072  -1.6741    0.0941   -0.0262
## as.factor(time)1    0.0509      0.0259   1.9649    0.0494    0.0001
## as.factor(time)2    0.0230      0.0245   0.9406    0.3469   -0.0249
## as.factor(time)4    0.0371      0.0226   1.6435    0.1003   -0.0071
## totpop1            -0.0253      0.0407  -0.6220    0.5340   -0.1050
## popover65_1         0.0330      0.0394   0.8381    0.4020   -0.0442
##                   95%ci.ub   
## (Intercept)         0.6108  *
## summer_mean         0.0021  .
## as.factor(time)1    0.1018  *
## as.factor(time)2    0.0710   
## as.factor(time)4    0.0814   
## totpop1             0.0544   
## popover65_1         0.1102   
## spl5 : 
##                   Estimate  Std. Error        z  Pr(>|z|)  95%ci.lb
## (Intercept)         1.1476      0.2074   5.5330    0.0000    0.7411
## summer_mean        -0.0488      0.0104  -4.6854    0.0000   -0.0691
## as.factor(time)1    0.1501      0.0372   4.0408    0.0001    0.0773
## as.factor(time)2    0.0417      0.0331   1.2578    0.2085   -0.0233
## as.factor(time)4    0.0141      0.0326   0.4318    0.6659   -0.0499
## totpop1            -0.0330      0.0553  -0.5959    0.5512   -0.1414
## popover65_1         0.0424      0.0533   0.7957    0.4262   -0.0620
##                   95%ci.ub     
## (Intercept)         1.5541  ***
## summer_mean        -0.0284  ***
## as.factor(time)1    0.2229  ***
## as.factor(time)2    0.1066     
## as.factor(time)4    0.0780     
## totpop1             0.0754     
## popover65_1         0.1469     
## ---
## Signif. codes:  0 '***' 0.001 '**' 0.01 '*' 0.05 '.' 0.1 ' ' 1 
## 
## Between-study random-effects (co)variance components
## Structure: General positive-definite
##       Std. Dev    Corr                        
## spl1    0.0284    spl1    spl2    spl3    spl4
## spl2    0.0254  0.8291                        
## spl3    0.0213  0.8659  0.9688                
## spl4    0.0271  0.8007  0.5530  0.7196        
## spl5    0.0615  0.7717  0.5448  0.6820  0.7673
## 
## Multivariate Cochran Q-test for residual heterogeneity:
## Q = 841.4292 (df = 680), p-value = 0.0000
## I-square statistic = 19.2%
## 
## 143 studies, 715 observations, 35 fixed and 15 random-effects parameters
##     logLik         AIC         BIC  
##   791.1650  -1482.3300  -1256.2254
```
##Meta-Regression LAG0- w/o temperature variables


```r
mod2_lag0<-mvmeta(ymat_1~as.factor(time)+totpop1+popover65_1, Slist_1, data = meta_data, na.action= "na.omit", method="reml")
```


```
## Call:  mvmeta(formula = ymat_1 ~ as.factor(time) + totpop1 + popover65_1, 
##     S = Slist_1, data = meta_data, method = "reml", na.action = "na.omit")
## 
## Multivariate random-effects meta-regression
## Dimension: 5
## Estimation method: REML
## 
## Fixed-effects coefficients
## spl1 : 
##                   Estimate  Std. Error        z  Pr(>|z|)  95%ci.lb
## (Intercept)        -0.0417      0.0219  -1.9095    0.0562   -0.0846
## as.factor(time)1    0.0576      0.0265   2.1770    0.0295    0.0057
## as.factor(time)2    0.0481      0.0258   1.8682    0.0617   -0.0024
## as.factor(time)4    0.0500      0.0228   2.1944    0.0282    0.0053
## totpop1            -0.0590      0.0420  -1.4052    0.1600   -0.1414
## popover65_1         0.0619      0.0402   1.5384    0.1239   -0.0169
##                   95%ci.ub   
## (Intercept)         0.0011  .
## as.factor(time)1    0.1095  *
## as.factor(time)2    0.0986  .
## as.factor(time)4    0.0946  *
## totpop1             0.0233   
## popover65_1         0.1407   
## spl2 : 
##                   Estimate  Std. Error        z  Pr(>|z|)  95%ci.lb
## (Intercept)        -0.0117      0.0189  -0.6179    0.5366   -0.0488
## as.factor(time)1    0.0517      0.0228   2.2700    0.0232    0.0071
## as.factor(time)2    0.0352      0.0221   1.5957    0.1106   -0.0080
## as.factor(time)4    0.0441      0.0198   2.2292    0.0258    0.0053
## totpop1            -0.0227      0.0361  -0.6295    0.5290   -0.0934
## popover65_1         0.0243      0.0346   0.7027    0.4823   -0.0435
##                   95%ci.ub   
## (Intercept)         0.0254   
## as.factor(time)1    0.0963  *
## as.factor(time)2    0.0785   
## as.factor(time)4    0.0830  *
## totpop1             0.0480   
## popover65_1         0.0922   
## spl3 : 
##                   Estimate  Std. Error        z  Pr(>|z|)  95%ci.lb
## (Intercept)         0.0558      0.0197   2.8256    0.0047    0.0171
## as.factor(time)1    0.0041      0.0239   0.1731    0.8626   -0.0427
## as.factor(time)2   -0.0003      0.0231  -0.0139    0.9889   -0.0456
## as.factor(time)4    0.0385      0.0209   1.8446    0.0651   -0.0024
## totpop1            -0.0309      0.0384  -0.8048    0.4210   -0.1062
## popover65_1         0.0330      0.0368   0.8975    0.3695   -0.0391
##                   95%ci.ub    
## (Intercept)         0.0945  **
## as.factor(time)1    0.0510    
## as.factor(time)2    0.0450    
## as.factor(time)4    0.0795   .
## totpop1             0.0444    
## popover65_1         0.1051    
## spl4 : 
##                   Estimate  Std. Error        z  Pr(>|z|)  95%ci.lb
## (Intercept)         0.1027      0.0209   4.9136    0.0000    0.0618
## as.factor(time)1    0.0584      0.0253   2.3123    0.0208    0.0089
## as.factor(time)2    0.0289      0.0241   1.2003    0.2300   -0.0183
## as.factor(time)4    0.0330      0.0223   1.4771    0.1397   -0.0108
## totpop1            -0.0362      0.0401  -0.9036    0.3662   -0.1147
## popover65_1         0.0450      0.0384   1.1715    0.2414   -0.0303
##                   95%ci.ub     
## (Intercept)         0.1437  ***
## as.factor(time)1    0.1079    *
## as.factor(time)2    0.0762     
## as.factor(time)4    0.0767     
## totpop1             0.0423     
## popover65_1         0.1202     
## spl5 : 
##                   Estimate  Std. Error        z  Pr(>|z|)  95%ci.lb
## (Intercept)         0.1760      0.0324   5.4337    0.0000    0.1125
## as.factor(time)1    0.1966      0.0384   5.1241    0.0000    0.1214
## as.factor(time)2    0.0587      0.0350   1.6747    0.0940   -0.0100
## as.factor(time)4   -0.0006      0.0346  -0.0159    0.9873   -0.0685
## totpop1            -0.0757      0.0574  -1.3196    0.1870   -0.1882
## popover65_1         0.0983      0.0547   1.7971    0.0723   -0.0089
##                   95%ci.ub     
## (Intercept)         0.2395  ***
## as.factor(time)1    0.2718  ***
## as.factor(time)2    0.1273    .
## as.factor(time)4    0.0673     
## totpop1             0.0367     
## popover65_1         0.2054    .
## ---
## Signif. codes:  0 '***' 0.001 '**' 0.01 '*' 0.05 '.' 0.1 ' ' 1 
## 
## Between-study random-effects (co)variance components
## Structure: General positive-definite
##       Std. Dev    Corr                        
## spl1    0.0258    spl1    spl2    spl3    spl4
## spl2    0.0239  0.7103                        
## spl3    0.0166  0.8640  0.8697                
## spl4    0.0269  0.5494  0.5487  0.2787        
## spl5    0.0761  0.4333  0.4462  0.2325  0.8372
## 
## Multivariate Cochran Q-test for residual heterogeneity:
## Q = 933.8593 (df = 685), p-value = 0.0000
## I-square statistic = 26.6%
## 
## 143 studies, 715 observations, 30 fixed and 15 random-effects parameters
##     logLik         AIC         BIC  
##   782.9600  -1475.9200  -1272.0962
```

##Meta-Regression MA05
#####Time3 as a reference (1993-2003)

```r
mod1_lag05<-mvmeta(ymat_2~summer_mean+winter_mean+as.factor(time)+totpop1+popover65_1, Slist_2, data = meta_data, method="reml")
```

```
## Warning in mvmeta.fit(X, y, S, offset, method, bscov, control): convergence
## not reached after maximum number of iterations
```


```
## Call:  mvmeta(formula = ymat_2 ~ summer_mean + winter_mean + as.factor(time) + 
##     totpop1 + popover65_1, S = Slist_2, data = meta_data, method = "reml")
## 
## Multivariate random-effects meta-regression
## Dimension: 6
## Estimation method: REML
## 
## Fixed-effects coefficients
## spl1 : 
##                   Estimate  Std. Error        z  Pr(>|z|)  95%ci.lb
## (Intercept)         0.0150      0.4281   0.0350    0.9720   -0.8240
## summer_mean         0.0005      0.0267   0.0177    0.9859   -0.0519
## winter_mean        -0.0035      0.0218  -0.1596    0.8732   -0.0462
## as.factor(time)1   -0.0244      0.0233  -1.0511    0.2932   -0.0700
## as.factor(time)2   -0.0219      0.0205  -1.0661    0.2864   -0.0620
## as.factor(time)4   -0.0295      0.0189  -1.5559    0.1197   -0.0666
## totpop1             0.0478      0.0370   1.2924    0.1962   -0.0247
## popover65_1        -0.0489      0.0352  -1.3897    0.1646   -0.1177
##                   95%ci.ub   
## (Intercept)         0.8540   
## summer_mean         0.0528   
## winter_mean         0.0392   
## as.factor(time)1    0.0211   
## as.factor(time)2    0.0183   
## as.factor(time)4    0.0077   
## totpop1             0.1204   
## popover65_1         0.0200   
## spl2 : 
##                   Estimate  Std. Error        z  Pr(>|z|)  95%ci.lb
## (Intercept)        -0.0158      0.3748  -0.0422    0.9663   -0.7503
## summer_mean        -0.0036      0.0234  -0.1517    0.8795   -0.0494
## winter_mean         0.0015      0.0192   0.0756    0.9397   -0.0363
## as.factor(time)1   -0.0289      0.0206  -1.3999    0.1615   -0.0693
## as.factor(time)2   -0.0049      0.0181  -0.2693    0.7877   -0.0404
## as.factor(time)4    0.0203      0.0173   1.1746    0.2402   -0.0136
## totpop1             0.0765      0.0324   2.3640    0.0181    0.0131
## popover65_1        -0.0709      0.0309  -2.2956    0.0217   -0.1315
##                   95%ci.ub   
## (Intercept)         0.7187   
## summer_mean         0.0423   
## winter_mean         0.0392   
## as.factor(time)1    0.0115   
## as.factor(time)2    0.0307   
## as.factor(time)4    0.0542   
## totpop1             0.1399  *
## popover65_1        -0.0104  *
## spl3 : 
##                   Estimate  Std. Error        z  Pr(>|z|)  95%ci.lb
## (Intercept)         0.2604      0.4217   0.6174    0.5369   -0.5661
## summer_mean        -0.0209      0.0263  -0.7930    0.4278   -0.0725
## winter_mean         0.0104      0.0215   0.4819    0.6299   -0.0318
## as.factor(time)1   -0.0536      0.0234  -2.2947    0.0217   -0.0994
## as.factor(time)2   -0.0241      0.0205  -1.1773    0.2391   -0.0643
## as.factor(time)4    0.0001      0.0198   0.0059    0.9953   -0.0388
## totpop1             0.0821      0.0363   2.2596    0.0238    0.0109
## popover65_1        -0.0823      0.0346  -2.3780    0.0174   -0.1502
##                   95%ci.ub   
## (Intercept)         1.0869   
## summer_mean         0.0307   
## winter_mean         0.0526   
## as.factor(time)1   -0.0078  *
## as.factor(time)2    0.0160   
## as.factor(time)4    0.0390   
## totpop1             0.1532  *
## popover65_1        -0.0145  *
## spl4 : 
##                   Estimate  Std. Error        z  Pr(>|z|)  95%ci.lb
## (Intercept)        -0.1226      0.4474  -0.2739    0.7841   -0.9996
## summer_mean        -0.0035      0.0279  -0.1265    0.8994   -0.0583
## winter_mean         0.0009      0.0229   0.0383    0.9695   -0.0439
## as.factor(time)1   -0.0607      0.0249  -2.4331    0.0150   -0.1095
## as.factor(time)2   -0.0094      0.0218  -0.4289    0.6680   -0.0521
## as.factor(time)4    0.0109      0.0216   0.5056    0.6132   -0.0314
## totpop1             0.1107      0.0384   2.8813    0.0040    0.0354
## popover65_1        -0.1152      0.0367  -3.1390    0.0017   -0.1871
##                   95%ci.ub    
## (Intercept)         0.7544    
## summer_mean         0.0512    
## winter_mean         0.0457    
## as.factor(time)1   -0.0118   *
## as.factor(time)2    0.0334    
## as.factor(time)4    0.0533    
## totpop1             0.1860  **
## popover65_1        -0.0433  **
## spl5 : 
##                   Estimate  Std. Error        z  Pr(>|z|)  95%ci.lb
## (Intercept)         0.0536      0.4854   0.1105    0.9120   -0.8977
## summer_mean        -0.0142      0.0303  -0.4695    0.6387   -0.0736
## winter_mean        -0.0015      0.0248  -0.0621    0.9505   -0.0501
## as.factor(time)1   -0.0516      0.0270  -1.9080    0.0564   -0.1045
## as.factor(time)2    0.0076      0.0237   0.3201    0.7489   -0.0388
## as.factor(time)4    0.0248      0.0237   1.0458    0.2957   -0.0217
## totpop1             0.1248      0.0413   3.0193    0.0025    0.0438
## popover65_1        -0.1285      0.0395  -3.2515    0.0011   -0.2059
##                   95%ci.ub    
## (Intercept)         1.0050    
## summer_mean         0.0451    
## winter_mean         0.0470    
## as.factor(time)1    0.0014   .
## as.factor(time)2    0.0539    
## as.factor(time)4    0.0713    
## totpop1             0.2059  **
## popover65_1        -0.0510  **
## spl6 : 
##                   Estimate  Std. Error        z  Pr(>|z|)  95%ci.lb
## (Intercept)        -0.4185      0.6395  -0.6543    0.5129   -1.6719
## summer_mean         0.0252      0.0396   0.6370    0.5241   -0.0524
## winter_mean        -0.0424      0.0321  -1.3192    0.1871   -0.1054
## as.factor(time)1   -0.0290      0.0340  -0.8545    0.3928   -0.0956
## as.factor(time)2   -0.0297      0.0296  -1.0015    0.3166   -0.0877
## as.factor(time)4   -0.0365      0.0310  -1.1768    0.2393   -0.0973
## totpop1             0.0899      0.0518   1.7353    0.0827   -0.0116
## popover65_1        -0.1219      0.0492  -2.4763    0.0133   -0.2184
##                   95%ci.ub   
## (Intercept)         0.8350   
## summer_mean         0.1028   
## winter_mean         0.0206   
## as.factor(time)1    0.0375   
## as.factor(time)2    0.0284   
## as.factor(time)4    0.0243   
## totpop1             0.1914  .
## popover65_1        -0.0254  *
## ---
## Signif. codes:  0 '***' 0.001 '**' 0.01 '*' 0.05 '.' 0.1 ' ' 1 
## 
## Between-study random-effects (co)variance components
## Structure: General positive-definite
##       Std. Dev      Corr                                        
## spl1    0.0044      spl1      spl2      spl3      spl4      spl5
## spl2    0.0117   0.11665                                        
## spl3    0.0204   0.14260   0.99149                              
## spl4    0.0250   0.20038   0.93670   0.97424                    
## spl5    0.0309  -0.05699   0.88071   0.92558   0.96075          
## spl6    0.0399  -0.21521   0.03687   0.15464   0.34357   0.50220
## 
## Multivariate Cochran Q-test for residual heterogeneity:
## Q = 916.5005 (df = 810), p-value = 0.0053
## I-square statistic = 11.6%
## 
## 143 studies, 858 observations, 48 fixed and 21 random-effects parameters
##     logLik         AIC         BIC  
##   953.0695  -1768.1391  -1444.0437
```

##Meta-Regression MA05- w/o temperature variables


```r
mod2_lag05<-mvmeta(ymat_2~as.factor(time)+totpop1+popover65_1, Slist_2, data = meta_data, na.action= "na.omit", method="reml")
```


```
## Call:  mvmeta(formula = ymat_1 ~ as.factor(time) + totpop1 + popover65_1, 
##     S = Slist_1, data = meta_data, method = "reml", na.action = "na.omit")
## 
## Multivariate random-effects meta-regression
## Dimension: 5
## Estimation method: REML
## 
## Fixed-effects coefficients
## spl1 : 
##                   Estimate  Std. Error        z  Pr(>|z|)  95%ci.lb
## (Intercept)        -0.0417      0.0219  -1.9095    0.0562   -0.0846
## as.factor(time)1    0.0576      0.0265   2.1770    0.0295    0.0057
## as.factor(time)2    0.0481      0.0258   1.8682    0.0617   -0.0024
## as.factor(time)4    0.0500      0.0228   2.1944    0.0282    0.0053
## totpop1            -0.0590      0.0420  -1.4052    0.1600   -0.1414
## popover65_1         0.0619      0.0402   1.5384    0.1239   -0.0169
##                   95%ci.ub   
## (Intercept)         0.0011  .
## as.factor(time)1    0.1095  *
## as.factor(time)2    0.0986  .
## as.factor(time)4    0.0946  *
## totpop1             0.0233   
## popover65_1         0.1407   
## spl2 : 
##                   Estimate  Std. Error        z  Pr(>|z|)  95%ci.lb
## (Intercept)        -0.0117      0.0189  -0.6179    0.5366   -0.0488
## as.factor(time)1    0.0517      0.0228   2.2700    0.0232    0.0071
## as.factor(time)2    0.0352      0.0221   1.5957    0.1106   -0.0080
## as.factor(time)4    0.0441      0.0198   2.2292    0.0258    0.0053
## totpop1            -0.0227      0.0361  -0.6295    0.5290   -0.0934
## popover65_1         0.0243      0.0346   0.7027    0.4823   -0.0435
##                   95%ci.ub   
## (Intercept)         0.0254   
## as.factor(time)1    0.0963  *
## as.factor(time)2    0.0785   
## as.factor(time)4    0.0830  *
## totpop1             0.0480   
## popover65_1         0.0922   
## spl3 : 
##                   Estimate  Std. Error        z  Pr(>|z|)  95%ci.lb
## (Intercept)         0.0558      0.0197   2.8256    0.0047    0.0171
## as.factor(time)1    0.0041      0.0239   0.1731    0.8626   -0.0427
## as.factor(time)2   -0.0003      0.0231  -0.0139    0.9889   -0.0456
## as.factor(time)4    0.0385      0.0209   1.8446    0.0651   -0.0024
## totpop1            -0.0309      0.0384  -0.8048    0.4210   -0.1062
## popover65_1         0.0330      0.0368   0.8975    0.3695   -0.0391
##                   95%ci.ub    
## (Intercept)         0.0945  **
## as.factor(time)1    0.0510    
## as.factor(time)2    0.0450    
## as.factor(time)4    0.0795   .
## totpop1             0.0444    
## popover65_1         0.1051    
## spl4 : 
##                   Estimate  Std. Error        z  Pr(>|z|)  95%ci.lb
## (Intercept)         0.1027      0.0209   4.9136    0.0000    0.0618
## as.factor(time)1    0.0584      0.0253   2.3123    0.0208    0.0089
## as.factor(time)2    0.0289      0.0241   1.2003    0.2300   -0.0183
## as.factor(time)4    0.0330      0.0223   1.4771    0.1397   -0.0108
## totpop1            -0.0362      0.0401  -0.9036    0.3662   -0.1147
## popover65_1         0.0450      0.0384   1.1715    0.2414   -0.0303
##                   95%ci.ub     
## (Intercept)         0.1437  ***
## as.factor(time)1    0.1079    *
## as.factor(time)2    0.0762     
## as.factor(time)4    0.0767     
## totpop1             0.0423     
## popover65_1         0.1202     
## spl5 : 
##                   Estimate  Std. Error        z  Pr(>|z|)  95%ci.lb
## (Intercept)         0.1760      0.0324   5.4337    0.0000    0.1125
## as.factor(time)1    0.1966      0.0384   5.1241    0.0000    0.1214
## as.factor(time)2    0.0587      0.0350   1.6747    0.0940   -0.0100
## as.factor(time)4   -0.0006      0.0346  -0.0159    0.9873   -0.0685
## totpop1            -0.0757      0.0574  -1.3196    0.1870   -0.1882
## popover65_1         0.0983      0.0547   1.7971    0.0723   -0.0089
##                   95%ci.ub     
## (Intercept)         0.2395  ***
## as.factor(time)1    0.2718  ***
## as.factor(time)2    0.1273    .
## as.factor(time)4    0.0673     
## totpop1             0.0367     
## popover65_1         0.2054    .
## ---
## Signif. codes:  0 '***' 0.001 '**' 0.01 '*' 0.05 '.' 0.1 ' ' 1 
## 
## Between-study random-effects (co)variance components
## Structure: General positive-definite
##       Std. Dev    Corr                        
## spl1    0.0258    spl1    spl2    spl3    spl4
## spl2    0.0239  0.7103                        
## spl3    0.0166  0.8640  0.8697                
## spl4    0.0269  0.5494  0.5487  0.2787        
## spl5    0.0761  0.4333  0.4462  0.2325  0.8372
## 
## Multivariate Cochran Q-test for residual heterogeneity:
## Q = 933.8593 (df = 685), p-value = 0.0000
## I-square statistic = 26.6%
## 
## 143 studies, 715 observations, 30 fixed and 15 random-effects parameters
##     logLik         AIC         BIC  
##   782.9600  -1475.9200  -1272.0962
```

#### Session Info for reproducibility

```
## R version 3.5.0 (2018-04-23)
## Platform: x86_64-w64-mingw32/x64 (64-bit)
## Running under: Windows 7 x64 (build 7601) Service Pack 1
## 
## Matrix products: default
## 
## locale:
## [1] LC_COLLATE=English_United States.1252 
## [2] LC_CTYPE=English_United States.1252   
## [3] LC_MONETARY=English_United States.1252
## [4] LC_NUMERIC=C                          
## [5] LC_TIME=English_United States.1252    
## 
## attached base packages:
## [1] stats     graphics  grDevices utils     datasets  methods   base     
## 
## other attached packages:
## [1] knitr_1.20    mvmeta_0.4.11 readr_1.1.1  
## 
## loaded via a namespace (and not attached):
##  [1] Rcpp_1.0.1      crayon_1.3.4    digest_0.6.15   rprojroot_1.3-2
##  [5] R6_2.2.2        backports_1.1.2 magrittr_1.5    evaluate_0.11  
##  [9] pillar_1.3.1    rlang_0.3.2     stringi_1.1.7   rmarkdown_1.10 
## [13] tools_3.5.0     stringr_1.3.1   hms_0.4.2       yaml_2.2.0     
## [17] compiler_3.5.0  pkgconfig_2.0.2 htmltools_0.3.6 tibble_2.1.1
```
