---
title: "Meta-Regression, Cluster 2"
author: "Alina Vodonos Zilberg"
date: "August 6, 2019"
output:
  html_document:
    toc: yes
    keep_md: true
  pdf_document: default
  word_document: default
---



##Meta-Regression LAG0
#####Time3 as a reference (1993-2003)

```r
meta_data$time<-as.factor(meta_data$time)
meta_data <- within(meta_data, time <- relevel(time, ref = 3))

meta_data$totpop1=meta_data$totalpop/mean(meta_data$totalpop) # Normalization , diving by the mean
meta_data$popover65_1=meta_data$popover65/mean(meta_data$popover65) # Normalization , diving by the mean

mod1_lag0<-mvmeta(ymat_1~summer_mean+as.factor(time)+totpop1+popover65_1, Slist_1, data = meta_data, na.action= "na.omit", method="reml")
```


```
## Call:  mvmeta(formula = ymat_1 ~ summer_mean + as.factor(time) + totpop1 + 
##     popover65_1, S = Slist_1, data = meta_data, method = "reml", 
##     na.action = "na.omit")
## 
## Multivariate random-effects meta-regression
## Dimension: 4
## Estimation method: REML
## 
## Fixed-effects coefficients
## spl1 : 
##                   Estimate  Std. Error        z  Pr(>|z|)  95%ci.lb
## (Intercept)         0.0402      0.1516   0.2653    0.7908   -0.2569
## summer_mean        -0.0049      0.0086  -0.5683    0.5698   -0.0217
## as.factor(time)1    0.0232      0.0243   0.9554    0.3394   -0.0244
## as.factor(time)2    0.0605      0.0214   2.8337    0.0046    0.0187
## as.factor(time)4    0.0170      0.0205   0.8329    0.4049   -0.0231
## totpop1            -0.0086      0.0138  -0.6259    0.5314   -0.0356
## popover65_1         0.0106      0.0139   0.7606    0.4469   -0.0167
##                   95%ci.ub    
## (Intercept)         0.3373    
## summer_mean         0.0120    
## as.factor(time)1    0.0709    
## as.factor(time)2    0.1023  **
## as.factor(time)4    0.0571    
## totpop1             0.0184    
## popover65_1         0.0379    
## spl2 : 
##                   Estimate  Std. Error        z  Pr(>|z|)  95%ci.lb
## (Intercept)         0.1514      0.1240   1.2207    0.2222   -0.0917
## summer_mean        -0.0085      0.0070  -1.2063    0.2277   -0.0223
## as.factor(time)1    0.0174      0.0203   0.8577    0.3911   -0.0224
## as.factor(time)2    0.0284      0.0180   1.5776    0.1147   -0.0069
## as.factor(time)4    0.0112      0.0173   0.6479    0.5170   -0.0226
## totpop1            -0.0078      0.0123  -0.6376    0.5237   -0.0319
## popover65_1         0.0089      0.0124   0.7148    0.4747   -0.0154
##                   95%ci.ub   
## (Intercept)         0.3945   
## summer_mean         0.0053   
## as.factor(time)1    0.0572   
## as.factor(time)2    0.0638   
## as.factor(time)4    0.0450   
## totpop1             0.0162   
## popover65_1         0.0331   
## spl3 : 
##                   Estimate  Std. Error        z  Pr(>|z|)  95%ci.lb
## (Intercept)         0.3035      0.1468   2.0672    0.0387    0.0157
## summer_mean        -0.0137      0.0083  -1.6473    0.0995   -0.0300
## as.factor(time)1    0.0110      0.0232   0.4758    0.6342   -0.0344
## as.factor(time)2    0.0471      0.0201   2.3426    0.0192    0.0077
## as.factor(time)4    0.0058      0.0195   0.2956    0.7676   -0.0325
## totpop1            -0.0105      0.0127  -0.8315    0.4057   -0.0354
## popover65_1         0.0106      0.0128   0.8220    0.4111   -0.0146
##                   95%ci.ub   
## (Intercept)         0.5913  *
## summer_mean         0.0026  .
## as.factor(time)1    0.0565   
## as.factor(time)2    0.0864  *
## as.factor(time)4    0.0440   
## totpop1             0.0143   
## popover65_1         0.0357   
## spl4 : 
##                   Estimate  Std. Error        z  Pr(>|z|)  95%ci.lb
## (Intercept)         1.3836      0.1700   8.1393    0.0000    1.0504
## summer_mean        -0.0670      0.0096  -7.0014    0.0000   -0.0858
## as.factor(time)1    0.1118      0.0260   4.2949    0.0000    0.0608
## as.factor(time)2    0.0564      0.0224   2.5142    0.0119    0.0124
## as.factor(time)4   -0.0827      0.0221  -3.7440    0.0002   -0.1260
## totpop1            -0.0325      0.0148  -2.1954    0.0281   -0.0616
## popover65_1         0.0336      0.0149   2.2505    0.0244    0.0043
##                   95%ci.ub     
## (Intercept)         1.7167  ***
## summer_mean        -0.0483  ***
## as.factor(time)1    0.1628  ***
## as.factor(time)2    0.1003    *
## as.factor(time)4   -0.0394  ***
## totpop1            -0.0035    *
## popover65_1         0.0629    *
## ---
## Signif. codes:  0 '***' 0.001 '**' 0.01 '*' 0.05 '.' 0.1 ' ' 1 
## 
## Between-study random-effects (co)variance components
## Structure: General positive-definite
##       Std. Dev     Corr                  
## spl1    0.0205     spl1     spl2     spl3
## spl2    0.0232   0.8718                  
## spl3    0.0160   1.0000   0.8744         
## spl4    0.0234  -0.9230  -0.6161  -0.9209
## 
## Multivariate Cochran Q-test for residual heterogeneity:
## Q = 939.8234 (df = 804), p-value = 0.0006
## I-square statistic = 14.5%
## 
## 208 studies, 832 observations, 28 fixed and 10 random-effects parameters
##     logLik         AIC         BIC  
##   684.1674  -1292.3348  -1114.1300
```
##Meta-Regression LAG0- w/o temperature variables


```r
mod2_lag0<-mvmeta(ymat_1~as.factor(time)+totpop1+popover65_1, Slist_1, data = meta_data, na.action= "na.omit", method="reml")
```


```
## Call:  mvmeta(formula = ymat_1 ~ as.factor(time) + totpop1 + popover65_1, 
##     S = Slist_1, data = meta_data, method = "reml", na.action = "na.omit")
## 
## Multivariate random-effects meta-regression
## Dimension: 4
## Estimation method: REML
## 
## Fixed-effects coefficients
## spl1 : 
##                   Estimate  Std. Error        z  Pr(>|z|)  95%ci.lb
## (Intercept)        -0.0451      0.0168  -2.6844    0.0073   -0.0780
## as.factor(time)1    0.0289      0.0240   1.2040    0.2286   -0.0181
## as.factor(time)2    0.0638      0.0211   3.0182    0.0025    0.0224
## as.factor(time)4    0.0172      0.0202   0.8520    0.3942   -0.0224
## totpop1            -0.0081      0.0131  -0.6143    0.5390   -0.0337
## popover65_1         0.0096      0.0133   0.7197    0.4717   -0.0165
##                   95%ci.ub    
## (Intercept)        -0.0122  **
## as.factor(time)1    0.0759    
## as.factor(time)2    0.1053  **
## as.factor(time)4    0.0568    
## totpop1             0.0176    
## popover65_1         0.0356    
## spl2 : 
##                   Estimate  Std. Error        z  Pr(>|z|)  95%ci.lb
## (Intercept)         0.0019      0.0144   0.1352    0.8925   -0.0263
## as.factor(time)1    0.0232      0.0205   1.1329    0.2572   -0.0169
## as.factor(time)2    0.0314      0.0184   1.7010    0.0889   -0.0048
## as.factor(time)4    0.0119      0.0175   0.6779    0.4978   -0.0225
## totpop1            -0.0075      0.0126  -0.5949    0.5519   -0.0321
## popover65_1         0.0079      0.0127   0.6249    0.5320   -0.0169
##                   95%ci.ub   
## (Intercept)         0.0302   
## as.factor(time)1    0.0634   
## as.factor(time)2    0.0675  .
## as.factor(time)4    0.0463   
## totpop1             0.0171   
## popover65_1         0.0327   
## spl3 : 
##                   Estimate  Std. Error        z  Pr(>|z|)  95%ci.lb
## (Intercept)         0.0647      0.0159   4.0617    0.0000    0.0335
## as.factor(time)1    0.0180      0.0230   0.7827    0.4338   -0.0271
## as.factor(time)2    0.0500      0.0200   2.5001    0.0124    0.0108
## as.factor(time)4    0.0056      0.0194   0.2876    0.7737   -0.0324
## totpop1            -0.0107      0.0124  -0.8615    0.3890   -0.0349
## popover65_1         0.0096      0.0125   0.7682    0.4424   -0.0149
##                   95%ci.ub     
## (Intercept)         0.0959  ***
## as.factor(time)1    0.0631     
## as.factor(time)2    0.0893    *
## as.factor(time)4    0.0436     
## totpop1             0.0136     
## popover65_1         0.0342     
## spl4 : 
##                   Estimate  Std. Error        z  Pr(>|z|)  95%ci.lb
## (Intercept)         0.1945      0.0216   9.0230    0.0000    0.1523
## as.factor(time)1    0.1344      0.0312   4.3050    0.0000    0.0732
## as.factor(time)2    0.0597      0.0282   2.1167    0.0343    0.0044
## as.factor(time)4   -0.0837      0.0276  -3.0297    0.0024   -0.1378
## totpop1            -0.0380      0.0247  -1.5377    0.1241   -0.0864
## popover65_1         0.0364      0.0246   1.4780    0.1394   -0.0119
##                   95%ci.ub     
## (Intercept)         0.2368  ***
## as.factor(time)1    0.1956  ***
## as.factor(time)2    0.1151    *
## as.factor(time)4   -0.0295   **
## totpop1             0.0104     
## popover65_1         0.0847     
## ---
## Signif. codes:  0 '***' 0.001 '**' 0.01 '*' 0.05 '.' 0.1 ' ' 1 
## 
## Between-study random-effects (co)variance components
## Structure: General positive-definite
##       Std. Dev      Corr                    
## spl1    0.0154      spl1      spl2      spl3
## spl2    0.0238   0.94682                    
## spl3    0.0130   0.91075   0.99518          
## spl4    0.0676  -0.27886   0.04497   0.14261
## 
## Multivariate Cochran Q-test for residual heterogeneity:
## Q = 1027.9497 (df = 808), p-value = 0.0000
## I-square statistic = 21.4%
## 
## 208 studies, 832 observations, 24 fixed and 10 random-effects parameters
##     logLik         AIC         BIC  
##   671.5585  -1275.1170  -1115.5019
```

##Meta-Regression MA05
#####Time3 as a reference (1993-2003)

```r
mod1_lag05<-mvmeta(ymat_2~summer_mean+winter_mean+as.factor(time)+totpop1+popover65_1, Slist_2, data = meta_data, method="reml")
```


```
## Call:  mvmeta(formula = ymat_2 ~ summer_mean + winter_mean + as.factor(time) + 
##     totpop1 + popover65_1, S = Slist_2, data = meta_data, method = "reml")
## 
## Multivariate random-effects meta-regression
## Dimension: 5
## Estimation method: REML
## 
## Fixed-effects coefficients
## spl1 : 
##                   Estimate  Std. Error        z  Pr(>|z|)  95%ci.lb
## (Intercept)        -0.1580      0.1596  -0.9902    0.3221   -0.4709
## summer_mean         0.0088      0.0090   0.9814    0.3264   -0.0088
## winter_mean        -0.0093      0.0038  -2.4410    0.0146   -0.0169
## as.factor(time)1   -0.0332      0.0216  -1.5369    0.1243   -0.0756
## as.factor(time)2   -0.0319      0.0193  -1.6504    0.0989   -0.0698
## as.factor(time)4   -0.0078      0.0199  -0.3942    0.6935   -0.0469
## totpop1            -0.0124      0.0118  -1.0485    0.2944   -0.0355
## popover65_1         0.0103      0.0122   0.8478    0.3966   -0.0135
##                   95%ci.ub   
## (Intercept)         0.1548   
## summer_mean         0.0264   
## winter_mean        -0.0018  *
## as.factor(time)1    0.0091   
## as.factor(time)2    0.0060  .
## as.factor(time)4    0.0312   
## totpop1             0.0108   
## popover65_1         0.0341   
## spl2 : 
##                   Estimate  Std. Error        z  Pr(>|z|)  95%ci.lb
## (Intercept)         0.0028      0.1436   0.0193    0.9846   -0.2787
## summer_mean        -0.0047      0.0081  -0.5854    0.5583   -0.0206
## winter_mean        -0.0052      0.0043  -1.2241    0.2209   -0.0136
## as.factor(time)1    0.0021      0.0206   0.1021    0.9187   -0.0383
## as.factor(time)2   -0.0130      0.0185  -0.7016    0.4829   -0.0492
## as.factor(time)4    0.0320      0.0188   1.7018    0.0888   -0.0048
## totpop1            -0.0006      0.0119  -0.0543    0.9567   -0.0240
## popover65_1        -0.0010      0.0122  -0.0817    0.9349   -0.0249
##                   95%ci.ub   
## (Intercept)         0.2843   
## summer_mean         0.0111   
## winter_mean         0.0031   
## as.factor(time)1    0.0425   
## as.factor(time)2    0.0232   
## as.factor(time)4    0.0688  .
## totpop1             0.0227   
## popover65_1         0.0229   
## spl3 : 
##                   Estimate  Std. Error        z  Pr(>|z|)  95%ci.lb
## (Intercept)        -0.1593      0.1679  -0.9486    0.3428   -0.4883
## summer_mean         0.0010      0.0095   0.1066    0.9151   -0.0176
## winter_mean        -0.0041      0.0052  -0.7931    0.4277   -0.0143
## as.factor(time)1   -0.0131      0.0239  -0.5494    0.5827   -0.0600
## as.factor(time)2    0.0000      0.0211   0.0005    0.9996   -0.0414
## as.factor(time)4    0.0295      0.0215   1.3730    0.1697   -0.0126
## totpop1             0.0059      0.0140   0.4212    0.6736   -0.0215
## popover65_1        -0.0068      0.0142  -0.4795    0.6316   -0.0347
##                   95%ci.ub   
## (Intercept)         0.1698   
## summer_mean         0.0196   
## winter_mean         0.0060   
## as.factor(time)1    0.0337   
## as.factor(time)2    0.0414   
## as.factor(time)4    0.0716   
## totpop1             0.0333   
## popover65_1         0.0210   
## spl4 : 
##                   Estimate  Std. Error        z  Pr(>|z|)  95%ci.lb
## (Intercept)        -0.1213      0.1807  -0.6711    0.5022   -0.4755
## summer_mean        -0.0065      0.0102  -0.6388    0.5230   -0.0266
## winter_mean         0.0035      0.0058   0.5941    0.5525   -0.0080
## as.factor(time)1   -0.0069      0.0257  -0.2691    0.7878   -0.0573
## as.factor(time)2    0.0088      0.0226   0.3879    0.6981   -0.0356
## as.factor(time)4    0.0406      0.0230   1.7673    0.0772   -0.0044
## totpop1             0.0244      0.0151   1.6209    0.1050   -0.0051
## popover65_1        -0.0273      0.0153  -1.7875    0.0739   -0.0572
##                   95%ci.ub   
## (Intercept)         0.2329   
## summer_mean         0.0135   
## winter_mean         0.0149   
## as.factor(time)1    0.0434   
## as.factor(time)2    0.0532   
## as.factor(time)4    0.0856  .
## totpop1             0.0539   
## popover65_1         0.0026  .
## spl5 : 
##                   Estimate  Std. Error        z  Pr(>|z|)  95%ci.lb
## (Intercept)         0.4822      0.2280   2.1149    0.0344    0.0353
## summer_mean        -0.0365      0.0128  -2.8470    0.0044   -0.0616
## winter_mean         0.0060      0.0077   0.7737    0.4391   -0.0092
## as.factor(time)1    0.0236      0.0315   0.7471    0.4550   -0.0382
## as.factor(time)2    0.0438      0.0275   1.5925    0.1113   -0.0101
## as.factor(time)4   -0.0007      0.0280  -0.0258    0.9794   -0.0556
## totpop1            -0.0101      0.0186  -0.5461    0.5850   -0.0465
## popover65_1         0.0081      0.0187   0.4326    0.6653   -0.0286
##                   95%ci.ub    
## (Intercept)         0.9291   *
## summer_mean        -0.0114  **
## winter_mean         0.0212    
## as.factor(time)1    0.0853    
## as.factor(time)2    0.0977    
## as.factor(time)4    0.0541    
## totpop1             0.0263    
## popover65_1         0.0448    
## ---
## Signif. codes:  0 '***' 0.001 '**' 0.01 '*' 0.05 '.' 0.1 ' ' 1 
## 
## Between-study random-effects (co)variance components
## Structure: General positive-definite
##       Std. Dev    Corr                        
## spl1    0.0090    spl1    spl2    spl3    spl4
## spl2    0.0181  0.7053                        
## spl3    0.0213  0.4607  0.8461                
## spl4    0.0236  0.5568  0.9244  0.9854        
## spl5    0.0319  0.2324  0.7851  0.5415  0.6359
## 
## Multivariate Cochran Q-test for residual heterogeneity:
## Q = 969.7019 (df = 1000), p-value = 0.7484
## I-square statistic = 1.0%
## 
## 208 studies, 1040 observations, 40 fixed and 15 random-effects parameters
##     logLik         AIC         BIC  
##   822.7646  -1535.5293  -1265.6027
```

##Meta-Regression MA05- w/o temperature variables


```r
mod2_lag05<-mvmeta(ymat_2~as.factor(time)+totpop1+popover65_1, Slist_2, data = meta_data, na.action= "na.omit", method="reml")
```


```
## Call:  mvmeta(formula = ymat_1 ~ as.factor(time) + totpop1 + popover65_1, 
##     S = Slist_1, data = meta_data, method = "reml", na.action = "na.omit")
## 
## Multivariate random-effects meta-regression
## Dimension: 4
## Estimation method: REML
## 
## Fixed-effects coefficients
## spl1 : 
##                   Estimate  Std. Error        z  Pr(>|z|)  95%ci.lb
## (Intercept)        -0.0451      0.0168  -2.6844    0.0073   -0.0780
## as.factor(time)1    0.0289      0.0240   1.2040    0.2286   -0.0181
## as.factor(time)2    0.0638      0.0211   3.0182    0.0025    0.0224
## as.factor(time)4    0.0172      0.0202   0.8520    0.3942   -0.0224
## totpop1            -0.0081      0.0131  -0.6143    0.5390   -0.0337
## popover65_1         0.0096      0.0133   0.7197    0.4717   -0.0165
##                   95%ci.ub    
## (Intercept)        -0.0122  **
## as.factor(time)1    0.0759    
## as.factor(time)2    0.1053  **
## as.factor(time)4    0.0568    
## totpop1             0.0176    
## popover65_1         0.0356    
## spl2 : 
##                   Estimate  Std. Error        z  Pr(>|z|)  95%ci.lb
## (Intercept)         0.0019      0.0144   0.1352    0.8925   -0.0263
## as.factor(time)1    0.0232      0.0205   1.1329    0.2572   -0.0169
## as.factor(time)2    0.0314      0.0184   1.7010    0.0889   -0.0048
## as.factor(time)4    0.0119      0.0175   0.6779    0.4978   -0.0225
## totpop1            -0.0075      0.0126  -0.5949    0.5519   -0.0321
## popover65_1         0.0079      0.0127   0.6249    0.5320   -0.0169
##                   95%ci.ub   
## (Intercept)         0.0302   
## as.factor(time)1    0.0634   
## as.factor(time)2    0.0675  .
## as.factor(time)4    0.0463   
## totpop1             0.0171   
## popover65_1         0.0327   
## spl3 : 
##                   Estimate  Std. Error        z  Pr(>|z|)  95%ci.lb
## (Intercept)         0.0647      0.0159   4.0617    0.0000    0.0335
## as.factor(time)1    0.0180      0.0230   0.7827    0.4338   -0.0271
## as.factor(time)2    0.0500      0.0200   2.5001    0.0124    0.0108
## as.factor(time)4    0.0056      0.0194   0.2876    0.7737   -0.0324
## totpop1            -0.0107      0.0124  -0.8615    0.3890   -0.0349
## popover65_1         0.0096      0.0125   0.7682    0.4424   -0.0149
##                   95%ci.ub     
## (Intercept)         0.0959  ***
## as.factor(time)1    0.0631     
## as.factor(time)2    0.0893    *
## as.factor(time)4    0.0436     
## totpop1             0.0136     
## popover65_1         0.0342     
## spl4 : 
##                   Estimate  Std. Error        z  Pr(>|z|)  95%ci.lb
## (Intercept)         0.1945      0.0216   9.0230    0.0000    0.1523
## as.factor(time)1    0.1344      0.0312   4.3050    0.0000    0.0732
## as.factor(time)2    0.0597      0.0282   2.1167    0.0343    0.0044
## as.factor(time)4   -0.0837      0.0276  -3.0297    0.0024   -0.1378
## totpop1            -0.0380      0.0247  -1.5377    0.1241   -0.0864
## popover65_1         0.0364      0.0246   1.4780    0.1394   -0.0119
##                   95%ci.ub     
## (Intercept)         0.2368  ***
## as.factor(time)1    0.1956  ***
## as.factor(time)2    0.1151    *
## as.factor(time)4   -0.0295   **
## totpop1             0.0104     
## popover65_1         0.0847     
## ---
## Signif. codes:  0 '***' 0.001 '**' 0.01 '*' 0.05 '.' 0.1 ' ' 1 
## 
## Between-study random-effects (co)variance components
## Structure: General positive-definite
##       Std. Dev      Corr                    
## spl1    0.0154      spl1      spl2      spl3
## spl2    0.0238   0.94682                    
## spl3    0.0130   0.91075   0.99518          
## spl4    0.0676  -0.27886   0.04497   0.14261
## 
## Multivariate Cochran Q-test for residual heterogeneity:
## Q = 1027.9497 (df = 808), p-value = 0.0000
## I-square statistic = 21.4%
## 
## 208 studies, 832 observations, 24 fixed and 10 random-effects parameters
##     logLik         AIC         BIC  
##   671.5585  -1275.1170  -1115.5019
```

#### Session Info for reproducibility

```
## R version 3.5.0 (2018-04-23)
## Platform: x86_64-w64-mingw32/x64 (64-bit)
## Running under: Windows 7 x64 (build 7601) Service Pack 1
## 
## Matrix products: default
## 
## locale:
## [1] LC_COLLATE=English_United States.1252 
## [2] LC_CTYPE=English_United States.1252   
## [3] LC_MONETARY=English_United States.1252
## [4] LC_NUMERIC=C                          
## [5] LC_TIME=English_United States.1252    
## 
## attached base packages:
## [1] stats     graphics  grDevices utils     datasets  methods   base     
## 
## other attached packages:
## [1] knitr_1.20    mvmeta_0.4.11 readr_1.1.1  
## 
## loaded via a namespace (and not attached):
##  [1] Rcpp_1.0.1      crayon_1.3.4    digest_0.6.15   rprojroot_1.3-2
##  [5] R6_2.2.2        backports_1.1.2 magrittr_1.5    evaluate_0.11  
##  [9] pillar_1.3.1    rlang_0.3.2     stringi_1.1.7   rmarkdown_1.10 
## [13] tools_3.5.0     stringr_1.3.1   hms_0.4.2       yaml_2.2.0     
## [17] compiler_3.5.0  pkgconfig_2.0.2 htmltools_0.3.6 tibble_2.1.1
```
