---
title: "Meta-Regression, Cluster 3"
author: "Alina Vodonos Zilberg"
date: "August 6, 2019"
output:
  html_document:
    toc: yes
    keep_md: true
  pdf_document: default
  word_document: default
---



##Meta-Regression LAG0
#####Time3 as a reference (1993-2003)

```r
meta_data$time<-as.factor(meta_data$time)
meta_data <- within(meta_data, time <- relevel(time, ref = 3))

meta_data$totpop1=meta_data$totalpop/mean(meta_data$totalpop) # Normalization , diving by the mean
meta_data$popover65_1=meta_data$popover65/mean(meta_data$popover65) # Normalization , diving by the mean

mod1_lag0<-mvmeta(ymat_1~summer_mean+as.factor(time)+totpop1+popover65_1, Slist_1, data = meta_data, na.action= "na.omit", method="reml")
```


```
## Call:  mvmeta(formula = ymat_1 ~ summer_mean + as.factor(time) + totpop1 + 
##     popover65_1, S = Slist_1, data = meta_data, method = "reml", 
##     na.action = "na.omit")
## 
## Multivariate random-effects meta-regression
## Dimension: 4
## Estimation method: REML
## 
## Fixed-effects coefficients
## spl1 : 
##                   Estimate  Std. Error        z  Pr(>|z|)  95%ci.lb
## (Intercept)         0.0876      0.2522   0.3475    0.7282   -0.4067
## summer_mean        -0.0109      0.0120  -0.9112    0.3622   -0.0344
## as.factor(time)1    0.0497      0.0401   1.2415    0.2144   -0.0288
## as.factor(time)2    0.1001      0.0349   2.8679    0.0041    0.0317
## as.factor(time)4    0.1037      0.0315   3.2945    0.0010    0.0420
## totpop1             0.0154      0.0344   0.4477    0.6544   -0.0520
## popover65_1        -0.0061      0.0295  -0.2059    0.8368   -0.0640
##                   95%ci.ub     
## (Intercept)         0.5820     
## summer_mean         0.0126     
## as.factor(time)1    0.1282     
## as.factor(time)2    0.1686   **
## as.factor(time)4    0.1654  ***
## totpop1             0.0828     
## popover65_1         0.0518     
## spl2 : 
##                   Estimate  Std. Error        z  Pr(>|z|)  95%ci.lb
## (Intercept)         0.0088      0.2055   0.0430    0.9657   -0.3939
## summer_mean        -0.0039      0.0098  -0.4043    0.6860   -0.0231
## as.factor(time)1    0.0386      0.0328   1.1764    0.2394   -0.0257
## as.factor(time)2    0.0698      0.0289   2.4136    0.0158    0.0131
## as.factor(time)4    0.0866      0.0260   3.3350    0.0009    0.0357
## totpop1             0.0050      0.0286   0.1758    0.8605   -0.0510
## popover65_1         0.0055      0.0246   0.2244    0.8225   -0.0427
##                   95%ci.ub     
## (Intercept)         0.4115     
## summer_mean         0.0152     
## as.factor(time)1    0.1029     
## as.factor(time)2    0.1265    *
## as.factor(time)4    0.1374  ***
## totpop1             0.0610     
## popover65_1         0.0538     
## spl3 : 
##                   Estimate  Std. Error        z  Pr(>|z|)  95%ci.lb
## (Intercept)         0.0959      0.2447   0.3921    0.6950   -0.3836
## summer_mean        -0.0062      0.0116  -0.5341    0.5933   -0.0290
## as.factor(time)1    0.0446      0.0392   1.1366    0.2557   -0.0323
## as.factor(time)2    0.0747      0.0342   2.1816    0.0291    0.0076
## as.factor(time)4    0.0816      0.0314   2.5940    0.0095    0.0199
## totpop1             0.0172      0.0350   0.4899    0.6242   -0.0515
## popover65_1         0.0005      0.0304   0.0168    0.9866   -0.0590
##                   95%ci.ub    
## (Intercept)         0.5755    
## summer_mean         0.0166    
## as.factor(time)1    0.1215    
## as.factor(time)2    0.1418   *
## as.factor(time)4    0.1432  **
## totpop1             0.0858    
## popover65_1         0.0600    
## spl4 : 
##                   Estimate  Std. Error        z  Pr(>|z|)  95%ci.lb
## (Intercept)         0.3996      0.2807   1.4235    0.1546   -0.1506
## summer_mean        -0.0211      0.0132  -1.5956    0.1106   -0.0471
## as.factor(time)1    0.1215      0.0437   2.7807    0.0054    0.0359
## as.factor(time)2    0.1070      0.0376   2.8454    0.0044    0.0333
## as.factor(time)4    0.0654      0.0352   1.8598    0.0629   -0.0035
## totpop1             0.1306      0.0423   3.0895    0.0020    0.0477
## popover65_1        -0.0729      0.0369  -1.9772    0.0480   -0.1451
##                   95%ci.ub    
## (Intercept)         0.9497    
## summer_mean         0.0048    
## as.factor(time)1    0.2071  **
## as.factor(time)2    0.1807  **
## as.factor(time)4    0.1343   .
## totpop1             0.2134  **
## popover65_1        -0.0006   *
## ---
## Signif. codes:  0 '***' 0.001 '**' 0.01 '*' 0.05 '.' 0.1 ' ' 1 
## 
## Between-study random-effects (co)variance components
## Structure: General positive-definite
##       Std. Dev    Corr                
## spl1    0.0382    spl1    spl2    spl3
## spl2    0.0356  0.9223                
## spl3    0.0466  0.8751  0.9851        
## spl4    0.0547  0.7493  0.8574  0.9288
## 
## Multivariate Cochran Q-test for residual heterogeneity:
## Q = 389.2134 (df = 352), p-value = 0.0837
## I-square statistic = 9.6%
## 
## 95 studies, 380 observations, 28 fixed and 10 random-effects parameters
##    logLik        AIC        BIC  
##  356.8469  -637.6937  -490.8757
```
##Meta-Regression LAG0- w/o temperature variables


```r
mod2_lag0<-mvmeta(ymat_1~as.factor(time)+totpop1+popover65_1, Slist_1, data = meta_data, na.action= "na.omit", method="reml")
```


```
## Call:  mvmeta(formula = ymat_1 ~ as.factor(time) + totpop1 + popover65_1, 
##     S = Slist_1, data = meta_data, method = "reml", na.action = "na.omit")
## 
## Multivariate random-effects meta-regression
## Dimension: 4
## Estimation method: REML
## 
## Fixed-effects coefficients
## spl1 : 
##                   Estimate  Std. Error        z  Pr(>|z|)  95%ci.lb
## (Intercept)        -0.1391      0.0288  -4.8278    0.0000   -0.1956
## as.factor(time)1    0.0573      0.0391   1.4675    0.1422   -0.0192
## as.factor(time)2    0.1025      0.0347   2.9512    0.0032    0.0344
## as.factor(time)4    0.1043      0.0314   3.3246    0.0009    0.0428
## totpop1             0.0142      0.0343   0.4134    0.6793   -0.0530
## popover65_1         0.0014      0.0285   0.0490    0.9609   -0.0544
##                   95%ci.ub     
## (Intercept)        -0.0826  ***
## as.factor(time)1    0.1339     
## as.factor(time)2    0.1705   **
## as.factor(time)4    0.1658  ***
## totpop1             0.0813     
## popover65_1         0.0572     
## spl2 : 
##                   Estimate  Std. Error        z  Pr(>|z|)  95%ci.lb
## (Intercept)        -0.0731      0.0236  -3.0914    0.0020   -0.1194
## as.factor(time)1    0.0414      0.0319   1.2963    0.1949   -0.0212
## as.factor(time)2    0.0706      0.0287   2.4621    0.0138    0.0144
## as.factor(time)4    0.0866      0.0258   3.3575    0.0008    0.0360
## totpop1             0.0048      0.0283   0.1692    0.8656   -0.0508
## popover65_1         0.0081      0.0236   0.3412    0.7329   -0.0382
##                   95%ci.ub     
## (Intercept)        -0.0267   **
## as.factor(time)1    0.1039     
## as.factor(time)2    0.1268    *
## as.factor(time)4    0.1372  ***
## totpop1             0.0603     
## popover65_1         0.0544     
## spl3 : 
##                   Estimate  Std. Error        z  Pr(>|z|)  95%ci.lb
## (Intercept)        -0.0317      0.0281  -1.1291    0.2588   -0.0867
## as.factor(time)1    0.0481      0.0381   1.2601    0.2076   -0.0267
## as.factor(time)2    0.0759      0.0340   2.2331    0.0255    0.0093
## as.factor(time)4    0.0820      0.0313   2.6215    0.0088    0.0207
## totpop1             0.0169      0.0348   0.4844    0.6281   -0.0514
## popover65_1         0.0041      0.0292   0.1419    0.8871   -0.0531
##                   95%ci.ub    
## (Intercept)         0.0233    
## as.factor(time)1    0.1228    
## as.factor(time)2    0.1425   *
## as.factor(time)4    0.1434  **
## totpop1             0.0852    
## popover65_1         0.0613    
## spl4 : 
##                   Estimate  Std. Error        z  Pr(>|z|)  95%ci.lb
## (Intercept)        -0.0487      0.0308  -1.5797    0.1142   -0.1092
## as.factor(time)1    0.1412      0.0423   3.3374    0.0008    0.0583
## as.factor(time)2    0.1109      0.0375   2.9553    0.0031    0.0373
## as.factor(time)4    0.0646      0.0352   1.8353    0.0665   -0.0044
## totpop1             0.1290      0.0423   3.0487    0.0023    0.0461
## popover65_1        -0.0566      0.0357  -1.5847    0.1130   -0.1266
##                   95%ci.ub     
## (Intercept)         0.0117     
## as.factor(time)1    0.2241  ***
## as.factor(time)2    0.1844   **
## as.factor(time)4    0.1336    .
## totpop1             0.2119   **
## popover65_1         0.0134     
## ---
## Signif. codes:  0 '***' 0.001 '**' 0.01 '*' 0.05 '.' 0.1 ' ' 1 
## 
## Between-study random-effects (co)variance components
## Structure: General positive-definite
##       Std. Dev    Corr                
## spl1    0.0376    spl1    spl2    spl3
## spl2    0.0348  0.9042                
## spl3    0.0458  0.8691  0.9830        
## spl4    0.0549  0.7808  0.8415  0.9208
## 
## Multivariate Cochran Q-test for residual heterogeneity:
## Q = 395.5689 (df = 356), p-value = 0.0727
## I-square statistic = 10.0%
## 
## 95 studies, 380 observations, 24 fixed and 10 random-effects parameters
##    logLik        AIC        BIC  
##  370.3396  -672.6791  -540.9315
```

##Meta-Regression MA05
#####Time3 as a reference (1993-2003)

```r
mod1_lag05<-mvmeta(ymat_2~summer_mean+winter_mean+as.factor(time)+totpop1+popover65_1, Slist_2, data = meta_data, method="reml")
```


```
## Call:  mvmeta(formula = ymat_2 ~ summer_mean + winter_mean + as.factor(time) + 
##     totpop1 + popover65_1, S = Slist_2, data = meta_data, method = "reml")
## 
## Multivariate random-effects meta-regression
## Dimension: 4
## Estimation method: REML
## 
## Fixed-effects coefficients
## spl1 : 
##                   Estimate  Std. Error        z  Pr(>|z|)  95%ci.lb
## (Intercept)         0.0436      0.3069   0.1420    0.8871   -0.5580
## summer_mean        -0.0023      0.0178  -0.1307    0.8960   -0.0372
## winter_mean        -0.0129      0.0181  -0.7099    0.4777   -0.0484
## as.factor(time)1   -0.0550      0.0325  -1.6915    0.0907   -0.1188
## as.factor(time)2   -0.0180      0.0282  -0.6393    0.5226   -0.0734
## as.factor(time)4    0.0483      0.0256   1.8839    0.0596   -0.0019
## totpop1             0.0163      0.0271   0.6033    0.5463   -0.0367
## popover65_1        -0.0183      0.0231  -0.7911    0.4289   -0.0636
##                   95%ci.ub   
## (Intercept)         0.6451   
## summer_mean         0.0325   
## winter_mean         0.0227   
## as.factor(time)1    0.0087  .
## as.factor(time)2    0.0373   
## as.factor(time)4    0.0985  .
## totpop1             0.0694   
## popover65_1         0.0270   
## spl2 : 
##                   Estimate  Std. Error        z  Pr(>|z|)  95%ci.lb
## (Intercept)        -0.2582      0.2610  -0.9894    0.3225   -0.7697
## summer_mean         0.0099      0.0152   0.6552    0.5123   -0.0198
## winter_mean        -0.0197      0.0156  -1.2613    0.2072   -0.0502
## as.factor(time)1   -0.0178      0.0285  -0.6253    0.5318   -0.0736
## as.factor(time)2   -0.0093      0.0244  -0.3801    0.7038   -0.0570
## as.factor(time)4    0.0416      0.0224   1.8602    0.0629   -0.0022
## totpop1             0.0235      0.0243   0.9685    0.3328   -0.0241
## popover65_1        -0.0163      0.0208  -0.7841    0.4330   -0.0572
##                   95%ci.ub   
## (Intercept)         0.2533   
## summer_mean         0.0397   
## winter_mean         0.0109   
## as.factor(time)1    0.0380   
## as.factor(time)2    0.0385   
## as.factor(time)4    0.0855  .
## totpop1             0.0711   
## popover65_1         0.0245   
## spl3 : 
##                   Estimate  Std. Error        z  Pr(>|z|)  95%ci.lb
## (Intercept)        -0.1834      0.3151  -0.5821    0.5605   -0.8010
## summer_mean         0.0011      0.0182   0.0625    0.9502   -0.0346
## winter_mean        -0.0191      0.0185  -1.0327    0.3017   -0.0554
## as.factor(time)1   -0.0683      0.0341  -2.0042    0.0450   -0.1351
## as.factor(time)2   -0.0198      0.0289  -0.6836    0.4942   -0.0765
## as.factor(time)4    0.0651      0.0270   2.4102    0.0159    0.0122
## totpop1             0.0359      0.0294   1.2202    0.2224   -0.0218
## popover65_1        -0.0311      0.0253  -1.2291    0.2190   -0.0807
##                   95%ci.ub   
## (Intercept)         0.4342   
## summer_mean         0.0369   
## winter_mean         0.0172   
## as.factor(time)1   -0.0015  *
## as.factor(time)2    0.0369   
## as.factor(time)4    0.1180  *
## totpop1             0.0936   
## popover65_1         0.0185   
## spl4 : 
##                   Estimate  Std. Error        z  Pr(>|z|)  95%ci.lb
## (Intercept)        -0.4654      0.3626  -1.2833    0.1994   -1.1761
## summer_mean         0.0134      0.0207   0.6450    0.5190   -0.0273
## winter_mean        -0.0175      0.0205  -0.8513    0.3946   -0.0577
## as.factor(time)1    0.0072      0.0380   0.1881    0.8508   -0.0674
## as.factor(time)2    0.0265      0.0317   0.8383    0.4018   -0.0355
## as.factor(time)4    0.0527      0.0303   1.7388    0.0821   -0.0067
## totpop1             0.0366      0.0372   0.9830    0.3256   -0.0364
## popover65_1        -0.0105      0.0321  -0.3261    0.7444   -0.0733
##                   95%ci.ub   
## (Intercept)         0.2454   
## summer_mean         0.0540   
## winter_mean         0.0228   
## as.factor(time)1    0.0817   
## as.factor(time)2    0.0886   
## as.factor(time)4    0.1122  .
## totpop1             0.1096   
## popover65_1         0.0524   
## ---
## Signif. codes:  0 '***' 0.001 '**' 0.01 '*' 0.05 '.' 0.1 ' ' 1 
## 
## Between-study random-effects (co)variance components
## Structure: General positive-definite
##       Std. Dev    Corr                
## spl1    0.0237    spl1    spl2    spl3
## spl2    0.0272  0.9987                
## spl3    0.0289  0.9746  0.9624        
## spl4    0.0321  0.9251  0.9428  0.8168
## 
## Multivariate Cochran Q-test for residual heterogeneity:
## Q = 340.0865 (df = 348), p-value = 0.6091
## I-square statistic = 1.0%
## 
## 95 studies, 380 observations, 32 fixed and 10 random-effects parameters
##    logLik        AIC        BIC  
##  344.7083  -605.4166  -443.6241
```

##Meta-Regression MA05- w/o temperature variables


```r
mod2_lag05<-mvmeta(ymat_2~as.factor(time)+totpop1+popover65_1, Slist_2, data = meta_data, na.action= "na.omit", method="reml")
```


```
## Call:  mvmeta(formula = ymat_1 ~ as.factor(time) + totpop1 + popover65_1, 
##     S = Slist_1, data = meta_data, method = "reml", na.action = "na.omit")
## 
## Multivariate random-effects meta-regression
## Dimension: 4
## Estimation method: REML
## 
## Fixed-effects coefficients
## spl1 : 
##                   Estimate  Std. Error        z  Pr(>|z|)  95%ci.lb
## (Intercept)        -0.1391      0.0288  -4.8278    0.0000   -0.1956
## as.factor(time)1    0.0573      0.0391   1.4675    0.1422   -0.0192
## as.factor(time)2    0.1025      0.0347   2.9512    0.0032    0.0344
## as.factor(time)4    0.1043      0.0314   3.3246    0.0009    0.0428
## totpop1             0.0142      0.0343   0.4134    0.6793   -0.0530
## popover65_1         0.0014      0.0285   0.0490    0.9609   -0.0544
##                   95%ci.ub     
## (Intercept)        -0.0826  ***
## as.factor(time)1    0.1339     
## as.factor(time)2    0.1705   **
## as.factor(time)4    0.1658  ***
## totpop1             0.0813     
## popover65_1         0.0572     
## spl2 : 
##                   Estimate  Std. Error        z  Pr(>|z|)  95%ci.lb
## (Intercept)        -0.0731      0.0236  -3.0914    0.0020   -0.1194
## as.factor(time)1    0.0414      0.0319   1.2963    0.1949   -0.0212
## as.factor(time)2    0.0706      0.0287   2.4621    0.0138    0.0144
## as.factor(time)4    0.0866      0.0258   3.3575    0.0008    0.0360
## totpop1             0.0048      0.0283   0.1692    0.8656   -0.0508
## popover65_1         0.0081      0.0236   0.3412    0.7329   -0.0382
##                   95%ci.ub     
## (Intercept)        -0.0267   **
## as.factor(time)1    0.1039     
## as.factor(time)2    0.1268    *
## as.factor(time)4    0.1372  ***
## totpop1             0.0603     
## popover65_1         0.0544     
## spl3 : 
##                   Estimate  Std. Error        z  Pr(>|z|)  95%ci.lb
## (Intercept)        -0.0317      0.0281  -1.1291    0.2588   -0.0867
## as.factor(time)1    0.0481      0.0381   1.2601    0.2076   -0.0267
## as.factor(time)2    0.0759      0.0340   2.2331    0.0255    0.0093
## as.factor(time)4    0.0820      0.0313   2.6215    0.0088    0.0207
## totpop1             0.0169      0.0348   0.4844    0.6281   -0.0514
## popover65_1         0.0041      0.0292   0.1419    0.8871   -0.0531
##                   95%ci.ub    
## (Intercept)         0.0233    
## as.factor(time)1    0.1228    
## as.factor(time)2    0.1425   *
## as.factor(time)4    0.1434  **
## totpop1             0.0852    
## popover65_1         0.0613    
## spl4 : 
##                   Estimate  Std. Error        z  Pr(>|z|)  95%ci.lb
## (Intercept)        -0.0487      0.0308  -1.5797    0.1142   -0.1092
## as.factor(time)1    0.1412      0.0423   3.3374    0.0008    0.0583
## as.factor(time)2    0.1109      0.0375   2.9553    0.0031    0.0373
## as.factor(time)4    0.0646      0.0352   1.8353    0.0665   -0.0044
## totpop1             0.1290      0.0423   3.0487    0.0023    0.0461
## popover65_1        -0.0566      0.0357  -1.5847    0.1130   -0.1266
##                   95%ci.ub     
## (Intercept)         0.0117     
## as.factor(time)1    0.2241  ***
## as.factor(time)2    0.1844   **
## as.factor(time)4    0.1336    .
## totpop1             0.2119   **
## popover65_1         0.0134     
## ---
## Signif. codes:  0 '***' 0.001 '**' 0.01 '*' 0.05 '.' 0.1 ' ' 1 
## 
## Between-study random-effects (co)variance components
## Structure: General positive-definite
##       Std. Dev    Corr                
## spl1    0.0376    spl1    spl2    spl3
## spl2    0.0348  0.9042                
## spl3    0.0458  0.8691  0.9830        
## spl4    0.0549  0.7808  0.8415  0.9208
## 
## Multivariate Cochran Q-test for residual heterogeneity:
## Q = 395.5689 (df = 356), p-value = 0.0727
## I-square statistic = 10.0%
## 
## 95 studies, 380 observations, 24 fixed and 10 random-effects parameters
##    logLik        AIC        BIC  
##  370.3396  -672.6791  -540.9315
```

#### Session Info for reproducibility

```
## R version 3.5.0 (2018-04-23)
## Platform: x86_64-w64-mingw32/x64 (64-bit)
## Running under: Windows 7 x64 (build 7601) Service Pack 1
## 
## Matrix products: default
## 
## locale:
## [1] LC_COLLATE=English_United States.1252 
## [2] LC_CTYPE=English_United States.1252   
## [3] LC_MONETARY=English_United States.1252
## [4] LC_NUMERIC=C                          
## [5] LC_TIME=English_United States.1252    
## 
## attached base packages:
## [1] stats     graphics  grDevices utils     datasets  methods   base     
## 
## other attached packages:
## [1] kableExtra_0.9.0 knitr_1.20       mvmeta_0.4.11    readr_1.1.1     
## 
## loaded via a namespace (and not attached):
##  [1] Rcpp_1.0.1        rstudioapi_0.7    xml2_1.2.0       
##  [4] magrittr_1.5      hms_0.4.2         munsell_0.5.0    
##  [7] rvest_0.3.2       viridisLite_0.3.0 colorspace_1.3-2 
## [10] R6_2.2.2          rlang_0.3.2       stringr_1.3.1    
## [13] httr_1.3.1        tools_3.5.0       htmltools_0.3.6  
## [16] yaml_2.2.0        rprojroot_1.3-2   digest_0.6.15    
## [19] tibble_2.1.1      crayon_1.3.4      evaluate_0.11    
## [22] rmarkdown_1.10    stringi_1.1.7     compiler_3.5.0   
## [25] pillar_1.3.1      scales_1.0.0      backports_1.1.2  
## [28] pkgconfig_2.0.2
```
