---
title: "Meta-Regression, Cluster 4"
author: "Alina Vodonos Zilberg"
date: "August 8, 2019"
output:
  html_document:
    toc: yes
    keep_md: true
  pdf_document: default
  word_document: default
---




##Meta-Regression LAG0
#####Time3 as a reference (1993-2003)

```r
meta_data$time<-as.factor(meta_data$time)
meta_data <- within(meta_data, time <- relevel(time, ref = 3))

meta_data$totpop1=meta_data$totalpop/mean(meta_data$totalpop) # Normalization , diving by the mean
meta_data$popover65_1=meta_data$popover65/mean(meta_data$popover65) # Normalization , diving by the mean

mod1_lag0<-mvmeta(ymat_1~summer_mean+winter_mean+ as.factor(time)+totpop1+popover65_1+totpop1+air_cond, Slist_1, data = meta_data, na.action= "na.omit", method="reml")
```


```
## Call:  mvmeta(formula = ymat_1 ~ summer_mean + winter_mean + as.factor(time) + 
##     totpop1 + popover65_1 + totpop1 + air_cond, S = Slist_1, 
##     data = meta_data, method = "reml", na.action = "na.omit")
## 
## Multivariate random-effects meta-regression
## Dimension: 4
## Estimation method: REML
## 
## Fixed-effects coefficients
## spl1 : 
##                   Estimate  Std. Error        z  Pr(>|z|)  95%ci.lb
## (Intercept)        -0.7301      0.3608  -2.0235    0.0430   -1.4372
## summer_mean         0.0575      0.0238   2.4210    0.0155    0.0110
## winter_mean        -0.0436      0.0196  -2.2242    0.0261   -0.0820
## as.factor(time)1   -0.1263      0.0558  -2.2620    0.0237   -0.2357
## as.factor(time)2   -0.0021      0.0330  -0.0645    0.9486   -0.0668
## as.factor(time)4    0.0727      0.0285   2.5460    0.0109    0.0167
## totpop1             0.0959      0.0505   1.8989    0.0576   -0.0031
## popover65_1        -0.1193      0.0557  -2.1430    0.0321   -0.2285
## air_cond           -0.0022      0.0012  -1.7800    0.0751   -0.0047
##                   95%ci.ub   
## (Intercept)        -0.0229  *
## summer_mean         0.1041  *
## winter_mean        -0.0052  *
## as.factor(time)1   -0.0169  *
## as.factor(time)2    0.0626   
## as.factor(time)4    0.1286  *
## totpop1             0.1950  .
## popover65_1        -0.0102  *
## air_cond            0.0002  .
## spl2 : 
##                   Estimate  Std. Error        z  Pr(>|z|)  95%ci.lb
## (Intercept)        -0.4080      0.3062  -1.3328    0.1826   -1.0081
## summer_mean         0.0433      0.0204   2.1220    0.0338    0.0033
## winter_mean        -0.0398      0.0168  -2.3615    0.0182   -0.0728
## as.factor(time)1   -0.1155      0.0482  -2.3982    0.0165   -0.2099
## as.factor(time)2   -0.0227      0.0287  -0.7895    0.4298   -0.0789
## as.factor(time)4    0.0692      0.0247   2.8059    0.0050    0.0209
## totpop1             0.0632      0.0437   1.4464    0.1481   -0.0224
## popover65_1        -0.0801      0.0485  -1.6516    0.0986   -0.1751
## air_cond           -0.0020      0.0011  -1.8826    0.0598   -0.0042
##                   95%ci.ub    
## (Intercept)         0.1920    
## summer_mean         0.0832   *
## winter_mean        -0.0068   *
## as.factor(time)1   -0.0211   *
## as.factor(time)2    0.0336    
## as.factor(time)4    0.1176  **
## totpop1             0.1489    
## popover65_1         0.0149   .
## air_cond            0.0001   .
## spl3 : 
##                   Estimate  Std. Error        z  Pr(>|z|)  95%ci.lb
## (Intercept)        -0.4167      0.3629  -1.1485    0.2508   -1.1279
## summer_mean         0.0557      0.0241   2.3077    0.0210    0.0084
## winter_mean        -0.0529      0.0195  -2.7091    0.0067   -0.0911
## as.factor(time)1   -0.1830      0.0564  -3.2478    0.0012   -0.2935
## as.factor(time)2   -0.0377      0.0327  -1.1517    0.2495   -0.1018
## as.factor(time)4    0.0563      0.0289   1.9498    0.0512   -0.0003
## totpop1             0.1337      0.0506   2.6415    0.0083    0.0345
## popover65_1        -0.1644      0.0565  -2.9091    0.0036   -0.2751
## air_cond           -0.0030      0.0013  -2.3480    0.0189   -0.0055
##                   95%ci.ub    
## (Intercept)         0.2944    
## summer_mean         0.1030   *
## winter_mean        -0.0146  **
## as.factor(time)1   -0.0726  **
## as.factor(time)2    0.0264    
## as.factor(time)4    0.1129   .
## totpop1             0.2330  **
## popover65_1        -0.0536  **
## air_cond           -0.0005   *
## spl4 : 
##                   Estimate  Std. Error        z  Pr(>|z|)  95%ci.lb
## (Intercept)         0.7015      0.5214   1.3456    0.1784   -0.3203
## summer_mean        -0.0143      0.0349  -0.4098    0.6819   -0.0828
## winter_mean        -0.0038      0.0260  -0.1467    0.8834   -0.0547
## as.factor(time)1   -0.0073      0.0816  -0.0892    0.9290   -0.1672
## as.factor(time)2    0.0138      0.0453   0.3034    0.7616   -0.0751
## as.factor(time)4   -0.0094      0.0409  -0.2304    0.8178   -0.0897
## totpop1             0.0411      0.0698   0.5888    0.5560   -0.0957
## popover65_1        -0.0404      0.0798  -0.5061    0.6128   -0.1969
## air_cond           -0.0026      0.0019  -1.3481    0.1776   -0.0064
##                   95%ci.ub   
## (Intercept)         1.7234   
## summer_mean         0.0542   
## winter_mean         0.0471   
## as.factor(time)1    0.1526   
## as.factor(time)2    0.1026   
## as.factor(time)4    0.0708   
## totpop1             0.1778   
## popover65_1         0.1161   
## air_cond            0.0012   
## ---
## Signif. codes:  0 '***' 0.001 '**' 0.01 '*' 0.05 '.' 0.1 ' ' 1 
## 
## Between-study random-effects (co)variance components
## Structure: General positive-definite
##       Std. Dev     Corr                  
## spl1    0.0208     spl1     spl2     spl3
## spl2    0.0325  0.80754                  
## spl3    0.0287  0.60691  0.95887         
## spl4    0.0747  0.07656  0.64990  0.83890
## 
## Multivariate Cochran Q-test for residual heterogeneity:
## Q = 458.0162 (df = 392), p-value = 0.0119
## I-square statistic = 14.4%
## 
## 107 studies, 428 observations, 36 fixed and 10 random-effects parameters
##    logLik        AIC        BIC  
##  344.0878  -596.1755  -413.4975
```
##Meta-Regression LAG0- w/o temperature variables


```r
mod2_lag0<-mvmeta(ymat_1~as.factor(time)+totpop1+popover65_1+air_cond, Slist_1, data = meta_data, na.action= "na.omit", method="reml")
```


```
## Call:  mvmeta(formula = ymat_1 ~ as.factor(time) + totpop1 + popover65_1 + 
##     air_cond, S = Slist_1, data = meta_data, method = "reml", 
##     na.action = "na.omit")
## 
## Multivariate random-effects meta-regression
## Dimension: 4
## Estimation method: REML
## 
## Fixed-effects coefficients
## spl1 : 
##                   Estimate  Std. Error        z  Pr(>|z|)  95%ci.lb
## (Intercept)         0.0077      0.1022   0.0753    0.9400   -0.1926
## as.factor(time)1   -0.0623      0.0489  -1.2728    0.2031   -0.1581
## as.factor(time)2    0.0228      0.0324   0.7046    0.4811   -0.0407
## as.factor(time)4    0.0477      0.0273   1.7512    0.0799   -0.0057
## totpop1             0.0527      0.0380   1.3889    0.1649   -0.0217
## popover65_1        -0.0538      0.0422  -1.2745    0.2025   -0.1366
## air_cond           -0.0006      0.0011  -0.5625    0.5738   -0.0028
##                   95%ci.ub   
## (Intercept)         0.2079   
## as.factor(time)1    0.0336   
## as.factor(time)2    0.0863   
## as.factor(time)4    0.1011  .
## totpop1             0.1272   
## popover65_1         0.0289   
## air_cond            0.0016   
## spl2 : 
##                   Estimate  Std. Error        z  Pr(>|z|)  95%ci.lb
## (Intercept)         0.0689      0.0887   0.7775    0.4369   -0.1049
## as.factor(time)1   -0.0572      0.0424  -1.3485    0.1775   -0.1402
## as.factor(time)2    0.0003      0.0284   0.0096    0.9924   -0.0554
## as.factor(time)4    0.0467      0.0237   1.9663    0.0493    0.0002
## totpop1             0.0109      0.0338   0.3212    0.7481   -0.0554
## popover65_1        -0.0117      0.0378  -0.3087    0.7576   -0.0858
## air_cond           -0.0007      0.0010  -0.7486    0.4541   -0.0026
##                   95%ci.ub   
## (Intercept)         0.2428   
## as.factor(time)1    0.0259   
## as.factor(time)2    0.0559   
## as.factor(time)4    0.0932  *
## totpop1             0.0772   
## popover65_1         0.0625   
## air_cond            0.0012   
## spl3 : 
##                   Estimate  Std. Error        z  Pr(>|z|)  95%ci.lb
## (Intercept)         0.1715      0.1033   1.6602    0.0969   -0.0310
## as.factor(time)1   -0.1029      0.0490  -2.1010    0.0356   -0.1988
## as.factor(time)2   -0.0081      0.0321  -0.2528    0.8004   -0.0711
## as.factor(time)4    0.0255      0.0276   0.9243    0.3553   -0.0286
## totpop1             0.0591      0.0390   1.5174    0.1292   -0.0173
## popover65_1        -0.0693      0.0437  -1.5832    0.1134   -0.1550
## air_cond           -0.0012      0.0011  -1.0692    0.2850   -0.0034
##                   95%ci.ub   
## (Intercept)         0.3740  .
## as.factor(time)1   -0.0069  *
## as.factor(time)2    0.0548   
## as.factor(time)4    0.0796   
## totpop1             0.1355   
## popover65_1         0.0165   
## air_cond            0.0010   
## spl4 : 
##                   Estimate  Std. Error        z  Pr(>|z|)  95%ci.lb
## (Intercept)         0.4043      0.1466   2.7572    0.0058    0.1169
## as.factor(time)1   -0.0207      0.0680  -0.3053    0.7601   -0.1539
## as.factor(time)2    0.0138      0.0430   0.3198    0.7491   -0.0705
## as.factor(time)4   -0.0099      0.0383  -0.2594    0.7954   -0.0849
## totpop1             0.0206      0.0547   0.3762    0.7068   -0.0867
## popover65_1        -0.0276      0.0621  -0.4448    0.6565   -0.1493
## air_cond           -0.0033      0.0016  -2.0386    0.0415   -0.0064
##                   95%ci.ub    
## (Intercept)         0.6917  **
## as.factor(time)1    0.1124    
## as.factor(time)2    0.0981    
## as.factor(time)4    0.0651    
## totpop1             0.1278    
## popover65_1         0.0941    
## air_cond           -0.0001   *
## ---
## Signif. codes:  0 '***' 0.001 '**' 0.01 '*' 0.05 '.' 0.1 ' ' 1 
## 
## Between-study random-effects (co)variance components
## Structure: General positive-definite
##       Std. Dev      Corr                    
## spl1    0.0292      spl1      spl2      spl3
## spl2    0.0385   0.82164                    
## spl3    0.0354   0.73323   0.99004          
## spl4    0.0748  -0.04466   0.53275   0.64656
## 
## Multivariate Cochran Q-test for residual heterogeneity:
## Q = 483.1602 (df = 400), p-value = 0.0027
## I-square statistic = 17.2%
## 
## 107 studies, 428 observations, 28 fixed and 10 random-effects parameters
##    logLik        AIC        BIC  
##  364.5897  -653.1793  -501.5037
```

##Meta-Regression MA05
#####Time3 as a reference (1993-2003)

```r
mod1_lag05<-mvmeta(ymat_2~summer_mean+winter_mean+ as.factor(time)+totpop1+popover65_1+totpop1+air_cond, Slist_2, data = meta_data, method="reml")
```


```
## Call:  mvmeta(formula = ymat_2 ~ summer_mean + winter_mean + as.factor(time) + 
##     totpop1 + popover65_1 + totpop1 + air_cond, S = Slist_2, 
##     data = meta_data, method = "reml")
## 
## Multivariate random-effects meta-regression
## Dimension: 4
## Estimation method: REML
## 
## Fixed-effects coefficients
## spl1 : 
##                   Estimate  Std. Error        z  Pr(>|z|)  95%ci.lb
## (Intercept)        -0.5356      0.3170  -1.6893    0.0912   -1.1570
## summer_mean         0.0406      0.0209   1.9416    0.0522   -0.0004
## winter_mean        -0.0246      0.0170  -1.4438    0.1488   -0.0579
## as.factor(time)1   -0.0580      0.0513  -1.1300    0.2585   -0.1585
## as.factor(time)2   -0.0195      0.0287  -0.6787    0.4973   -0.0756
## as.factor(time)4    0.0822      0.0259   3.1767    0.0015    0.0315
## totpop1            -0.0441      0.0454  -0.9713    0.3314   -0.1330
## popover65_1         0.0386      0.0499   0.7744    0.4387   -0.0591
## air_cond           -0.0025      0.0012  -2.1767    0.0295   -0.0048
##                   95%ci.ub    
## (Intercept)         0.0858   .
## summer_mean         0.0815   .
## winter_mean         0.0088    
## as.factor(time)1    0.0426    
## as.factor(time)2    0.0367    
## as.factor(time)4    0.1329  **
## totpop1             0.0449    
## popover65_1         0.1364    
## air_cond           -0.0002   *
## spl2 : 
##                   Estimate  Std. Error        z  Pr(>|z|)  95%ci.lb
## (Intercept)        -0.3692      0.2611  -1.4140    0.1574   -0.8809
## summer_mean         0.0280      0.0173   1.6153    0.1062   -0.0060
## winter_mean        -0.0262      0.0142  -1.8420    0.0655   -0.0541
## as.factor(time)1   -0.0226      0.0419  -0.5398    0.5893   -0.1047
## as.factor(time)2   -0.0166      0.0232  -0.7169    0.4734   -0.0621
## as.factor(time)4    0.0770      0.0208   3.6964    0.0002    0.0362
## totpop1            -0.0145      0.0368  -0.3932    0.6942   -0.0865
## popover65_1         0.0221      0.0405   0.5454    0.5855   -0.0573
## air_cond           -0.0020      0.0010  -2.1487    0.0317   -0.0039
##                   95%ci.ub     
## (Intercept)         0.1425     
## summer_mean         0.0619     
## winter_mean         0.0017    .
## as.factor(time)1    0.0595     
## as.factor(time)2    0.0288     
## as.factor(time)4    0.1178  ***
## totpop1             0.0576     
## popover65_1         0.1015     
## air_cond           -0.0002    *
## spl3 : 
##                   Estimate  Std. Error        z  Pr(>|z|)  95%ci.lb
## (Intercept)        -0.6005      0.3322  -1.8076    0.0707   -1.2516
## summer_mean         0.0379      0.0220   1.7211    0.0852   -0.0053
## winter_mean        -0.0291      0.0175  -1.6600    0.0969   -0.0635
## as.factor(time)1   -0.0691      0.0519  -1.3307    0.1833   -0.1709
## as.factor(time)2   -0.0340      0.0284  -1.1961    0.2317   -0.0896
## as.factor(time)4    0.1094      0.0263   4.1566    0.0000    0.0578
## totpop1            -0.0613      0.0457  -1.3414    0.1798   -0.1509
## popover65_1         0.0679      0.0510   1.3304    0.1834   -0.0321
## air_cond           -0.0026      0.0012  -2.1727    0.0298   -0.0049
##                   95%ci.ub     
## (Intercept)         0.0506    .
## summer_mean         0.0810    .
## winter_mean         0.0053    .
## as.factor(time)1    0.0327     
## as.factor(time)2    0.0217     
## as.factor(time)4    0.1610  ***
## totpop1             0.0283     
## popover65_1         0.1678     
## air_cond           -0.0003    *
## spl4 : 
##                   Estimate  Std. Error        z  Pr(>|z|)  95%ci.lb
## (Intercept)        -0.4459      0.4253  -1.0486    0.2944   -1.2794
## summer_mean         0.0333      0.0283   1.1758    0.2397   -0.0222
## winter_mean        -0.0284      0.0211  -1.3462    0.1782   -0.0699
## as.factor(time)1   -0.0444      0.0654  -0.6798    0.4966   -0.1726
## as.factor(time)2   -0.0454      0.0342  -1.3285    0.1840   -0.1124
## as.factor(time)4    0.1079      0.0326   3.3130    0.0009    0.0441
## totpop1            -0.0034      0.0553  -0.0620    0.9506   -0.1117
## popover65_1        -0.0044      0.0632  -0.0698    0.9443   -0.1283
## air_cond           -0.0029      0.0016  -1.8617    0.0626   -0.0060
##                   95%ci.ub     
## (Intercept)         0.3876     
## summer_mean         0.0887     
## winter_mean         0.0130     
## as.factor(time)1    0.0837     
## as.factor(time)2    0.0216     
## as.factor(time)4    0.1718  ***
## totpop1             0.1049     
## popover65_1         0.1195     
## air_cond            0.0002    .
## ---
## Signif. codes:  0 '***' 0.001 '**' 0.01 '*' 0.05 '.' 0.1 ' ' 1 
## 
## Between-study random-effects (co)variance components
## Structure: General positive-definite
##       Std. Dev      Corr                    
## spl1    0.0321      spl1      spl2      spl3
## spl2    0.0175   0.16413                    
## spl3    0.0097   0.01184   0.98831          
## spl4    0.0269  -0.99899  -0.20837  -0.05684
## 
## Multivariate Cochran Q-test for residual heterogeneity:
## Q = 423.0303 (df = 392), p-value = 0.1348
## I-square statistic = 7.3%
## 
## 107 studies, 428 observations, 36 fixed and 10 random-effects parameters
##    logLik        AIC        BIC  
##  340.6081  -589.2161  -406.5381
```

##Meta-Regression MA05- w/o temperature variables


```r
mod2_lag05<-mvmeta(ymat_2~as.factor(time)+totpop1+popover65_1, Slist_2, data = meta_data, na.action= "na.omit", method="reml")
```


```
## Call:  mvmeta(formula = ymat_1 ~ as.factor(time) + totpop1 + popover65_1 + 
##     air_cond, S = Slist_1, data = meta_data, method = "reml", 
##     na.action = "na.omit")
## 
## Multivariate random-effects meta-regression
## Dimension: 4
## Estimation method: REML
## 
## Fixed-effects coefficients
## spl1 : 
##                   Estimate  Std. Error        z  Pr(>|z|)  95%ci.lb
## (Intercept)         0.0077      0.1022   0.0753    0.9400   -0.1926
## as.factor(time)1   -0.0623      0.0489  -1.2728    0.2031   -0.1581
## as.factor(time)2    0.0228      0.0324   0.7046    0.4811   -0.0407
## as.factor(time)4    0.0477      0.0273   1.7512    0.0799   -0.0057
## totpop1             0.0527      0.0380   1.3889    0.1649   -0.0217
## popover65_1        -0.0538      0.0422  -1.2745    0.2025   -0.1366
## air_cond           -0.0006      0.0011  -0.5625    0.5738   -0.0028
##                   95%ci.ub   
## (Intercept)         0.2079   
## as.factor(time)1    0.0336   
## as.factor(time)2    0.0863   
## as.factor(time)4    0.1011  .
## totpop1             0.1272   
## popover65_1         0.0289   
## air_cond            0.0016   
## spl2 : 
##                   Estimate  Std. Error        z  Pr(>|z|)  95%ci.lb
## (Intercept)         0.0689      0.0887   0.7775    0.4369   -0.1049
## as.factor(time)1   -0.0572      0.0424  -1.3485    0.1775   -0.1402
## as.factor(time)2    0.0003      0.0284   0.0096    0.9924   -0.0554
## as.factor(time)4    0.0467      0.0237   1.9663    0.0493    0.0002
## totpop1             0.0109      0.0338   0.3212    0.7481   -0.0554
## popover65_1        -0.0117      0.0378  -0.3087    0.7576   -0.0858
## air_cond           -0.0007      0.0010  -0.7486    0.4541   -0.0026
##                   95%ci.ub   
## (Intercept)         0.2428   
## as.factor(time)1    0.0259   
## as.factor(time)2    0.0559   
## as.factor(time)4    0.0932  *
## totpop1             0.0772   
## popover65_1         0.0625   
## air_cond            0.0012   
## spl3 : 
##                   Estimate  Std. Error        z  Pr(>|z|)  95%ci.lb
## (Intercept)         0.1715      0.1033   1.6602    0.0969   -0.0310
## as.factor(time)1   -0.1029      0.0490  -2.1010    0.0356   -0.1988
## as.factor(time)2   -0.0081      0.0321  -0.2528    0.8004   -0.0711
## as.factor(time)4    0.0255      0.0276   0.9243    0.3553   -0.0286
## totpop1             0.0591      0.0390   1.5174    0.1292   -0.0173
## popover65_1        -0.0693      0.0437  -1.5832    0.1134   -0.1550
## air_cond           -0.0012      0.0011  -1.0692    0.2850   -0.0034
##                   95%ci.ub   
## (Intercept)         0.3740  .
## as.factor(time)1   -0.0069  *
## as.factor(time)2    0.0548   
## as.factor(time)4    0.0796   
## totpop1             0.1355   
## popover65_1         0.0165   
## air_cond            0.0010   
## spl4 : 
##                   Estimate  Std. Error        z  Pr(>|z|)  95%ci.lb
## (Intercept)         0.4043      0.1466   2.7572    0.0058    0.1169
## as.factor(time)1   -0.0207      0.0680  -0.3053    0.7601   -0.1539
## as.factor(time)2    0.0138      0.0430   0.3198    0.7491   -0.0705
## as.factor(time)4   -0.0099      0.0383  -0.2594    0.7954   -0.0849
## totpop1             0.0206      0.0547   0.3762    0.7068   -0.0867
## popover65_1        -0.0276      0.0621  -0.4448    0.6565   -0.1493
## air_cond           -0.0033      0.0016  -2.0386    0.0415   -0.0064
##                   95%ci.ub    
## (Intercept)         0.6917  **
## as.factor(time)1    0.1124    
## as.factor(time)2    0.0981    
## as.factor(time)4    0.0651    
## totpop1             0.1278    
## popover65_1         0.0941    
## air_cond           -0.0001   *
## ---
## Signif. codes:  0 '***' 0.001 '**' 0.01 '*' 0.05 '.' 0.1 ' ' 1 
## 
## Between-study random-effects (co)variance components
## Structure: General positive-definite
##       Std. Dev      Corr                    
## spl1    0.0292      spl1      spl2      spl3
## spl2    0.0385   0.82164                    
## spl3    0.0354   0.73323   0.99004          
## spl4    0.0748  -0.04466   0.53275   0.64656
## 
## Multivariate Cochran Q-test for residual heterogeneity:
## Q = 483.1602 (df = 400), p-value = 0.0027
## I-square statistic = 17.2%
## 
## 107 studies, 428 observations, 28 fixed and 10 random-effects parameters
##    logLik        AIC        BIC  
##  364.5897  -653.1793  -501.5037
```

#### Session Info for reproducibility

```
## R version 3.5.0 (2018-04-23)
## Platform: x86_64-w64-mingw32/x64 (64-bit)
## Running under: Windows 7 x64 (build 7601) Service Pack 1
## 
## Matrix products: default
## 
## locale:
## [1] LC_COLLATE=English_United States.1252 
## [2] LC_CTYPE=English_United States.1252   
## [3] LC_MONETARY=English_United States.1252
## [4] LC_NUMERIC=C                          
## [5] LC_TIME=English_United States.1252    
## 
## attached base packages:
## [1] stats     graphics  grDevices utils     datasets  methods   base     
## 
## other attached packages:
## [1] kableExtra_0.9.0 knitr_1.20       mvmeta_0.4.11    readr_1.1.1     
## 
## loaded via a namespace (and not attached):
##  [1] Rcpp_1.0.1        rstudioapi_0.7    xml2_1.2.0       
##  [4] magrittr_1.5      hms_0.4.2         munsell_0.5.0    
##  [7] rvest_0.3.2       viridisLite_0.3.0 colorspace_1.3-2 
## [10] R6_2.2.2          rlang_0.3.2       stringr_1.3.1    
## [13] httr_1.3.1        tools_3.5.0       htmltools_0.3.6  
## [16] yaml_2.2.0        rprojroot_1.3-2   digest_0.6.15    
## [19] tibble_2.1.1      crayon_1.3.4      evaluate_0.11    
## [22] rmarkdown_1.10    stringi_1.1.7     compiler_3.5.0   
## [25] pillar_1.3.1      scales_1.0.0      backports_1.1.2  
## [28] pkgconfig_2.0.2
```
