---
title: "Meta-Regression, Cluster 5"
author: "Alina Vodonos Zilberg"
date: "August 8, 2019"
output:
  html_document:
    toc: yes
    keep_md: true
  pdf_document: default
  word_document: default
---




##Meta-Regression LAG0
#####Time3 as a reference (1993-2003)

```r
meta_data$time<-as.factor(meta_data$time)
meta_data <- within(meta_data, time <- relevel(time, ref = 3))

meta_data$totpop1=meta_data$totalpop/mean(meta_data$totalpop) # Normalization , diving by the mean
meta_data$popover65_1=meta_data$popover65/mean(meta_data$popover65) # Normalization , diving by the mean

mod1_lag0<-mvmeta(ymat_1~summer_mean+winter_mean+ as.factor(time)+totpop1+popover65_1+totpop1, Slist_1, data = meta_data, na.action= "na.omit", method="reml")
```


```
## Call:  mvmeta(formula = ymat_1 ~ summer_mean + winter_mean + as.factor(time) + 
##     totpop1 + popover65_1 + totpop1, S = Slist_1, data = meta_data, 
##     method = "reml", na.action = "na.omit")
## 
## Multivariate random-effects meta-regression
## Dimension: 4
## Estimation method: REML
## 
## Fixed-effects coefficients
## spl1 : 
##                   Estimate  Std. Error        z  Pr(>|z|)  95%ci.lb
## (Intercept)        -0.0761      0.1117  -0.6809    0.4959   -0.2950
## summer_mean         0.0105      0.0117   0.8943    0.3712   -0.0125
## winter_mean        -0.0107      0.0136  -0.7860    0.4319   -0.0373
## as.factor(time)1   -0.0203      0.0181  -1.1181    0.2635   -0.0558
## as.factor(time)2   -0.0337      0.0188  -1.7972    0.0723   -0.0705
## as.factor(time)4   -0.0016      0.0185  -0.0876    0.9302   -0.0379
## totpop1            -0.1167      0.0620  -1.8814    0.0599   -0.2383
## popover65_1         0.1056      0.0580   1.8191    0.0689   -0.0082
##                   95%ci.ub   
## (Intercept)         0.1429   
## summer_mean         0.0334   
## winter_mean         0.0159   
## as.factor(time)1    0.0153   
## as.factor(time)2    0.0031  .
## as.factor(time)4    0.0347   
## totpop1             0.0049  .
## popover65_1         0.2193  .
## spl2 : 
##                   Estimate  Std. Error        z  Pr(>|z|)  95%ci.lb
## (Intercept)        -0.0113      0.1012  -0.1120    0.9108   -0.2098
## summer_mean         0.0080      0.0107   0.7510    0.4526   -0.0130
## winter_mean        -0.0104      0.0126  -0.8254    0.4091   -0.0351
## as.factor(time)1    0.0037      0.0192   0.1951    0.8453   -0.0339
## as.factor(time)2   -0.0084      0.0193  -0.4324    0.6654   -0.0462
## as.factor(time)4    0.0404      0.0193   2.0893    0.0367    0.0025
## totpop1            -0.0697      0.0626  -1.1137    0.2654   -0.1923
## popover65_1         0.0546      0.0594   0.9192    0.3580   -0.0618
##                   95%ci.ub   
## (Intercept)         0.1871   
## summer_mean         0.0291   
## winter_mean         0.0143   
## as.factor(time)1    0.0414   
## as.factor(time)2    0.0295   
## as.factor(time)4    0.0782  *
## totpop1             0.0529   
## popover65_1         0.1711   
## spl3 : 
##                   Estimate  Std. Error        z  Pr(>|z|)  95%ci.lb
## (Intercept)         0.0814      0.1086   0.7496    0.4535   -0.1315
## summer_mean         0.0044      0.0113   0.3908    0.6959   -0.0177
## winter_mean        -0.0087      0.0131  -0.6627    0.5075   -0.0344
## as.factor(time)1    0.0388      0.0215   1.8085    0.0705   -0.0033
## as.factor(time)2    0.0159      0.0204   0.7812    0.4347   -0.0241
## as.factor(time)4    0.0576      0.0211   2.7363    0.0062    0.0163
## totpop1            -0.1252      0.0684  -1.8304    0.0672   -0.2593
## popover65_1         0.1125      0.0658   1.7093    0.0874   -0.0165
##                   95%ci.ub    
## (Intercept)         0.2943    
## summer_mean         0.0265    
## winter_mean         0.0170    
## as.factor(time)1    0.0809   .
## as.factor(time)2    0.0560    
## as.factor(time)4    0.0989  **
## totpop1             0.0089   .
## popover65_1         0.2415   .
## spl4 : 
##                   Estimate  Std. Error        z  Pr(>|z|)  95%ci.lb
## (Intercept)         0.5879      0.1349   4.3583    0.0000    0.3235
## summer_mean        -0.0186      0.0127  -1.4675    0.1423   -0.0435
## winter_mean        -0.0093      0.0142  -0.6548    0.5126   -0.0371
## as.factor(time)1    0.1275      0.0354   3.6056    0.0003    0.0582
## as.factor(time)2    0.0884      0.0321   2.7556    0.0059    0.0255
## as.factor(time)4    0.1187      0.0336   3.5312    0.0004    0.0528
## totpop1            -0.1843      0.1053  -1.7505    0.0800   -0.3906
## popover65_1         0.1809      0.1059   1.7086    0.0875   -0.0266
##                   95%ci.ub     
## (Intercept)         0.8522  ***
## summer_mean         0.0063     
## winter_mean         0.0185     
## as.factor(time)1    0.1968  ***
## as.factor(time)2    0.1513   **
## as.factor(time)4    0.1847  ***
## totpop1             0.0220    .
## popover65_1         0.3884    .
## ---
## Signif. codes:  0 '***' 0.001 '**' 0.01 '*' 0.05 '.' 0.1 ' ' 1 
## 
## Between-study random-effects (co)variance components
## Structure: General positive-definite
##       Std. Dev      Corr                    
## spl1    0.0100      spl1      spl2      spl3
## spl2    0.0096  -0.99991                    
## spl3    0.0126   0.08867  -0.07586          
## spl4    0.0541  -0.31145   0.32401   0.87527
## 
## Multivariate Cochran Q-test for residual heterogeneity:
## Q = 344.8903 (df = 240), p-value = 0.0000
## I-square statistic = 30.4%
## 
## 68 studies, 272 observations, 32 fixed and 10 random-effects parameters
##    logLik        AIC        BIC  
##  210.6653  -337.3307  -191.1438
```
##Meta-Regression LAG0- w/o temperature variables


```r
mod2_lag0<-mvmeta(ymat_1~as.factor(time)+totpop1+popover65_1, Slist_1, data = meta_data, na.action= "na.omit", method="reml")
```


```
## Call:  mvmeta(formula = ymat_1 ~ as.factor(time) + totpop1 + popover65_1, 
##     S = Slist_1, data = meta_data, method = "reml", na.action = "na.omit")
## 
## Multivariate random-effects meta-regression
## Dimension: 4
## Estimation method: REML
## 
## Fixed-effects coefficients
## spl1 : 
##                   Estimate  Std. Error        z  Pr(>|z|)  95%ci.lb
## (Intercept)         0.0197      0.0129   1.5311    0.1257   -0.0055
## as.factor(time)1   -0.0143      0.0181  -0.7911    0.4289   -0.0498
## as.factor(time)2   -0.0288      0.0188  -1.5319    0.1255   -0.0657
## as.factor(time)4    0.0056      0.0177   0.3161    0.7519   -0.0290
## totpop1            -0.1311      0.0587  -2.2317    0.0256   -0.2462
## popover65_1         0.1133      0.0567   1.9976    0.0458    0.0021
##                   95%ci.ub   
## (Intercept)         0.0449   
## as.factor(time)1    0.0212   
## as.factor(time)2    0.0080   
## as.factor(time)4    0.0402   
## totpop1            -0.0160  *
## popover65_1         0.2244  *
## spl2 : 
##                   Estimate  Std. Error        z  Pr(>|z|)  95%ci.lb
## (Intercept)         0.0422      0.0137   3.0824    0.0021    0.0153
## as.factor(time)1    0.0078      0.0191   0.4097    0.6820   -0.0295
## as.factor(time)2   -0.0058      0.0192  -0.3039    0.7612   -0.0434
## as.factor(time)4    0.0458      0.0186   2.4700    0.0135    0.0095
## totpop1            -0.0773      0.0578  -1.3370    0.1812   -0.1906
## popover65_1         0.0547      0.0563   0.9711    0.3315   -0.0557
##                   95%ci.ub    
## (Intercept)         0.0690  **
## as.factor(time)1    0.0452    
## as.factor(time)2    0.0318    
## as.factor(time)4    0.0822   *
## totpop1             0.0360    
## popover65_1         0.1651    
## spl3 : 
##                   Estimate  Std. Error        z  Pr(>|z|)  95%ci.lb
## (Intercept)         0.0905      0.0145   6.2342    0.0000    0.0621
## as.factor(time)1    0.0413      0.0210   1.9621    0.0497    0.0000
## as.factor(time)2    0.0171      0.0203   0.8448    0.3982   -0.0226
## as.factor(time)4    0.0629      0.0202   3.1095    0.0019    0.0233
## totpop1            -0.1216      0.0621  -1.9585    0.0502   -0.2433
## popover65_1         0.0994      0.0609   1.6325    0.1026   -0.0199
##                   95%ci.ub     
## (Intercept)         0.1190  ***
## as.factor(time)1    0.0825    *
## as.factor(time)2    0.0569     
## as.factor(time)4    0.1026   **
## totpop1             0.0001    .
## popover65_1         0.2187     
## spl4 : 
##                   Estimate  Std. Error        z  Pr(>|z|)  95%ci.lb
## (Intercept)         0.1614      0.0276   5.8381    0.0000    0.1072
## as.factor(time)1    0.1050      0.0406   2.5868    0.0097    0.0254
## as.factor(time)2    0.0690      0.0375   1.8367    0.0663   -0.0046
## as.factor(time)4    0.1139      0.0389   2.9284    0.0034    0.0377
## totpop1            -0.0617      0.1111  -0.5558    0.5783   -0.2795
## popover65_1         0.0350      0.1137   0.3083    0.7579   -0.1877
##                   95%ci.ub     
## (Intercept)         0.2155  ***
## as.factor(time)1    0.1845   **
## as.factor(time)2    0.1425    .
## as.factor(time)4    0.1902   **
## totpop1             0.1560     
## popover65_1         0.2578     
## ---
## Signif. codes:  0 '***' 0.001 '**' 0.01 '*' 0.05 '.' 0.1 ' ' 1 
## 
## Between-study random-effects (co)variance components
## Structure: General positive-definite
##       Std. Dev     Corr                  
## spl1    0.0111     spl1     spl2     spl3
## spl2    0.0091  -0.8374                  
## spl3    0.0111  -0.2483  -0.3196         
## spl4    0.0742  -0.7542   0.2736   0.8233
## 
## Multivariate Cochran Q-test for residual heterogeneity:
## Q = 402.1900 (df = 248), p-value = 0.0000
## I-square statistic = 38.3%
## 
## 68 studies, 272 observations, 24 fixed and 10 random-effects parameters
##    logLik        AIC        BIC  
##  231.3186  -394.6373  -275.1807
```

##Meta-Regression MA05
#####Time3 as a reference (1993-2003)

```r
mod1_lag05<-mvmeta(ymat_2~winter_mean+ as.factor(time)+popover65_1+air_cond, Slist_2, data = meta_data, method="reml")
```


```
## Call:  mvmeta(formula = ymat_2 ~ winter_mean + as.factor(time) + popover65_1 + 
##     air_cond, S = Slist_2, data = meta_data, method = "reml")
## 
## Multivariate random-effects meta-regression
## Dimension: 4
## Estimation method: REML
## 
## Fixed-effects coefficients
## spl1 : 
##                   Estimate  Std. Error        z  Pr(>|z|)  95%ci.lb
## (Intercept)        -0.0905      0.0544  -1.6638    0.0962   -0.1972
## winter_mean         0.0138      0.0093   1.4805    0.1387   -0.0045
## as.factor(time)1   -0.0140      0.0161  -0.8704    0.3841   -0.0455
## as.factor(time)2   -0.0292      0.0163  -1.7924    0.0731   -0.0611
## as.factor(time)4    0.0040      0.0172   0.2323    0.8163   -0.0297
## popover65_1        -0.0371      0.0189  -1.9621    0.0497   -0.0742
## air_cond           -0.0012      0.0006  -1.8588    0.0631   -0.0024
##                   95%ci.ub   
## (Intercept)         0.0161  .
## winter_mean         0.0320   
## as.factor(time)1    0.0175   
## as.factor(time)2    0.0027  .
## as.factor(time)4    0.0377   
## popover65_1        -0.0000  *
## air_cond            0.0001  .
## spl2 : 
##                   Estimate  Std. Error        z  Pr(>|z|)  95%ci.lb
## (Intercept)        -0.0887      0.0550  -1.6120    0.1070   -0.1965
## winter_mean         0.0049      0.0090   0.5450    0.5857   -0.0128
## as.factor(time)1   -0.0130      0.0198  -0.6568    0.5113   -0.0519
## as.factor(time)2    0.0141      0.0191   0.7424    0.4578   -0.0232
## as.factor(time)4    0.0151      0.0198   0.7628    0.4456   -0.0237
## popover65_1        -0.0350      0.0182  -1.9263    0.0541   -0.0706
## air_cond           -0.0009      0.0006  -1.3966    0.1625   -0.0020
##                   95%ci.ub   
## (Intercept)         0.0191   
## winter_mean         0.0227   
## as.factor(time)1    0.0258   
## as.factor(time)2    0.0515   
## as.factor(time)4    0.0538   
## popover65_1         0.0006  .
## air_cond            0.0003   
## spl3 : 
##                   Estimate  Std. Error        z  Pr(>|z|)  95%ci.lb
## (Intercept)        -0.2013      0.0586  -3.4368    0.0006   -0.3161
## winter_mean         0.0112      0.0093   1.2040    0.2286   -0.0070
## as.factor(time)1   -0.0313      0.0222  -1.4074    0.1593   -0.0749
## as.factor(time)2    0.0046      0.0214   0.2132    0.8312   -0.0374
## as.factor(time)4    0.0020      0.0229   0.0875    0.9303   -0.0428
## popover65_1        -0.0357      0.0185  -1.9345    0.0531   -0.0719
## air_cond           -0.0007      0.0006  -1.0997    0.2714   -0.0019
##                   95%ci.ub     
## (Intercept)        -0.0865  ***
## winter_mean         0.0293     
## as.factor(time)1    0.0123     
## as.factor(time)2    0.0465     
## as.factor(time)4    0.0468     
## popover65_1         0.0005    .
## air_cond            0.0005     
## spl4 : 
##                   Estimate  Std. Error        z  Pr(>|z|)  95%ci.lb
## (Intercept)        -0.1203      0.0649  -1.8543    0.0637   -0.2474
## winter_mean         0.0045      0.0095   0.4731    0.6362   -0.0141
## as.factor(time)1   -0.0751      0.0241  -3.1173    0.0018   -0.1223
## as.factor(time)2   -0.0268      0.0220  -1.2201    0.2224   -0.0698
## as.factor(time)4   -0.0059      0.0236  -0.2500    0.8026   -0.0521
## popover65_1        -0.0355      0.0184  -1.9300    0.0536   -0.0715
## air_cond           -0.0007      0.0006  -1.0519    0.2928   -0.0019
##                   95%ci.ub    
## (Intercept)         0.0069   .
## winter_mean         0.0231    
## as.factor(time)1   -0.0279  **
## as.factor(time)2    0.0163    
## as.factor(time)4    0.0403    
## popover65_1         0.0006   .
## air_cond            0.0006    
## ---
## Signif. codes:  0 '***' 0.001 '**' 0.01 '*' 0.05 '.' 0.1 ' ' 1 
## 
## Between-study random-effects (co)variance components
## Structure: General positive-definite
##       Std. Dev  Corr            
## spl1    0.0074  spl1  spl2  spl3
## spl2    0.0055    -1            
## spl3    0.0138    -1     1      
## spl4    0.0024     1    -1    -1
## 
## Multivariate Cochran Q-test for residual heterogeneity:
## Q = 240.8812 (df = 228), p-value = 0.2665
## I-square statistic = 5.3%
## 
## 64 studies, 256 observations, 28 fixed and 10 random-effects parameters
## (4 studies removed due to missingness)
##    logLik        AIC        BIC  
##  198.4631  -320.9262  -190.6111
```

##Meta-Regression MA05- w/o temperature variables


```r
mod2_lag05<-mvmeta(ymat_2~as.factor(time)+popover65_1+air_cond, Slist_2, data = meta_data, na.action= "na.omit", method="reml")
```


```
## Call:  mvmeta(formula = ymat_1 ~ as.factor(time) + totpop1 + popover65_1, 
##     S = Slist_1, data = meta_data, method = "reml", na.action = "na.omit")
## 
## Multivariate random-effects meta-regression
## Dimension: 4
## Estimation method: REML
## 
## Fixed-effects coefficients
## spl1 : 
##                   Estimate  Std. Error        z  Pr(>|z|)  95%ci.lb
## (Intercept)         0.0197      0.0129   1.5311    0.1257   -0.0055
## as.factor(time)1   -0.0143      0.0181  -0.7911    0.4289   -0.0498
## as.factor(time)2   -0.0288      0.0188  -1.5319    0.1255   -0.0657
## as.factor(time)4    0.0056      0.0177   0.3161    0.7519   -0.0290
## totpop1            -0.1311      0.0587  -2.2317    0.0256   -0.2462
## popover65_1         0.1133      0.0567   1.9976    0.0458    0.0021
##                   95%ci.ub   
## (Intercept)         0.0449   
## as.factor(time)1    0.0212   
## as.factor(time)2    0.0080   
## as.factor(time)4    0.0402   
## totpop1            -0.0160  *
## popover65_1         0.2244  *
## spl2 : 
##                   Estimate  Std. Error        z  Pr(>|z|)  95%ci.lb
## (Intercept)         0.0422      0.0137   3.0824    0.0021    0.0153
## as.factor(time)1    0.0078      0.0191   0.4097    0.6820   -0.0295
## as.factor(time)2   -0.0058      0.0192  -0.3039    0.7612   -0.0434
## as.factor(time)4    0.0458      0.0186   2.4700    0.0135    0.0095
## totpop1            -0.0773      0.0578  -1.3370    0.1812   -0.1906
## popover65_1         0.0547      0.0563   0.9711    0.3315   -0.0557
##                   95%ci.ub    
## (Intercept)         0.0690  **
## as.factor(time)1    0.0452    
## as.factor(time)2    0.0318    
## as.factor(time)4    0.0822   *
## totpop1             0.0360    
## popover65_1         0.1651    
## spl3 : 
##                   Estimate  Std. Error        z  Pr(>|z|)  95%ci.lb
## (Intercept)         0.0905      0.0145   6.2342    0.0000    0.0621
## as.factor(time)1    0.0413      0.0210   1.9621    0.0497    0.0000
## as.factor(time)2    0.0171      0.0203   0.8448    0.3982   -0.0226
## as.factor(time)4    0.0629      0.0202   3.1095    0.0019    0.0233
## totpop1            -0.1216      0.0621  -1.9585    0.0502   -0.2433
## popover65_1         0.0994      0.0609   1.6325    0.1026   -0.0199
##                   95%ci.ub     
## (Intercept)         0.1190  ***
## as.factor(time)1    0.0825    *
## as.factor(time)2    0.0569     
## as.factor(time)4    0.1026   **
## totpop1             0.0001    .
## popover65_1         0.2187     
## spl4 : 
##                   Estimate  Std. Error        z  Pr(>|z|)  95%ci.lb
## (Intercept)         0.1614      0.0276   5.8381    0.0000    0.1072
## as.factor(time)1    0.1050      0.0406   2.5868    0.0097    0.0254
## as.factor(time)2    0.0690      0.0375   1.8367    0.0663   -0.0046
## as.factor(time)4    0.1139      0.0389   2.9284    0.0034    0.0377
## totpop1            -0.0617      0.1111  -0.5558    0.5783   -0.2795
## popover65_1         0.0350      0.1137   0.3083    0.7579   -0.1877
##                   95%ci.ub     
## (Intercept)         0.2155  ***
## as.factor(time)1    0.1845   **
## as.factor(time)2    0.1425    .
## as.factor(time)4    0.1902   **
## totpop1             0.1560     
## popover65_1         0.2578     
## ---
## Signif. codes:  0 '***' 0.001 '**' 0.01 '*' 0.05 '.' 0.1 ' ' 1 
## 
## Between-study random-effects (co)variance components
## Structure: General positive-definite
##       Std. Dev     Corr                  
## spl1    0.0111     spl1     spl2     spl3
## spl2    0.0091  -0.8374                  
## spl3    0.0111  -0.2483  -0.3196         
## spl4    0.0742  -0.7542   0.2736   0.8233
## 
## Multivariate Cochran Q-test for residual heterogeneity:
## Q = 402.1900 (df = 248), p-value = 0.0000
## I-square statistic = 38.3%
## 
## 68 studies, 272 observations, 24 fixed and 10 random-effects parameters
##    logLik        AIC        BIC  
##  231.3186  -394.6373  -275.1807
```
