---
title: "Meta-Regression, Cluster 6"
author: "Alina Vodonos Zilberg"
date: "August 8, 2019"
output:
  html_document:
    toc: yes
    keep_md: true
  pdf_document: default
  word_document: default
---



##Meta-Regression LAG0
#####Time3 as a reference (1993-2003)

```r
meta_data$time<-as.factor(meta_data$time)
meta_data <- within(meta_data, time <- relevel(time, ref = 3))

meta_data$totpop1=meta_data$totalpop/mean(meta_data$totalpop) # Normalization , diving by the mean
meta_data$popover65_1=meta_data$popover65/mean(meta_data$popover65) # Normalization , diving by the mean

mod1_lag0<-mvmeta(ymat_1~summer_mean+winter_mean+ as.factor(time)+air_cond, Slist_1, data = meta_data, na.action= "na.omit", method="reml")
```


```
## Call:  mvmeta(formula = ymat_1 ~ summer_mean + winter_mean + as.factor(time) + 
##     air_cond, S = Slist_1, data = meta_data, method = "reml", 
##     na.action = "na.omit")
## 
## Multivariate random-effects meta-regression
## Dimension: 5
## Estimation method: REML
## 
## Fixed-effects coefficients
## spl1 : 
##                   Estimate  Std. Error        z  Pr(>|z|)  95%ci.lb
## (Intercept)        -0.5845      0.9770  -0.5982    0.5497   -2.4993
## summer_mean        -0.0074      0.0499  -0.1490    0.8816   -0.1052
## winter_mean        -0.0071      0.0322  -0.2215    0.8247   -0.0703
## as.factor(time)1    0.3062      0.1062   2.8819    0.0040    0.0979
## as.factor(time)2    0.0716      0.0671   1.0670    0.2860   -0.0599
## as.factor(time)4    0.0662      0.0597   1.1102    0.2669   -0.0507
## air_cond            0.0081      0.0038   2.1288    0.0333    0.0006
##                   95%ci.ub    
## (Intercept)         1.3304    
## summer_mean         0.0903    
## winter_mean         0.0560    
## as.factor(time)1    0.5144  **
## as.factor(time)2    0.2031    
## as.factor(time)4    0.1832    
## air_cond            0.0155   *
## spl2 : 
##                   Estimate  Std. Error        z  Pr(>|z|)  95%ci.lb
## (Intercept)        -0.6280      0.7604  -0.8259    0.4089   -2.1185
## summer_mean         0.0172      0.0390   0.4417    0.6587   -0.0593
## winter_mean        -0.0343      0.0261  -1.3148    0.1886   -0.0854
## as.factor(time)1    0.2029      0.0807   2.5147    0.0119    0.0448
## as.factor(time)2    0.0383      0.0518   0.7389    0.4600   -0.0632
## as.factor(time)4    0.0435      0.0456   0.9542    0.3400   -0.0458
## air_cond            0.0066      0.0029   2.2253    0.0261    0.0008
##                   95%ci.ub   
## (Intercept)         0.8624   
## summer_mean         0.0937   
## winter_mean         0.0168   
## as.factor(time)1    0.3610  *
## as.factor(time)2    0.1397   
## as.factor(time)4    0.1328   
## air_cond            0.0123  *
## spl3 : 
##                   Estimate  Std. Error        z  Pr(>|z|)  95%ci.lb
## (Intercept)        -0.6192      0.8560  -0.7233    0.4695   -2.2969
## summer_mean         0.0085      0.0436   0.1943    0.8459   -0.0769
## winter_mean        -0.0226      0.0285  -0.7931    0.4277   -0.0785
## as.factor(time)1    0.2234      0.0908   2.4610    0.0139    0.0455
## as.factor(time)2    0.0400      0.0579   0.6908    0.4897   -0.0735
## as.factor(time)4    0.0442      0.0517   0.8558    0.3921   -0.0571
## air_cond            0.0072      0.0033   2.2076    0.0273    0.0008
##                   95%ci.ub   
## (Intercept)         1.0585   
## summer_mean         0.0939   
## winter_mean         0.0333   
## as.factor(time)1    0.4013  *
## as.factor(time)2    0.1534   
## as.factor(time)4    0.1455   
## air_cond            0.0136  *
## spl4 : 
##                   Estimate  Std. Error        z  Pr(>|z|)  95%ci.lb
## (Intercept)         0.0123      0.8546   0.0144    0.9885   -1.6627
## summer_mean        -0.0206      0.0429  -0.4804    0.6310   -0.1046
## winter_mean        -0.0118      0.0283  -0.4172    0.6765   -0.0673
## as.factor(time)1    0.2578      0.0877   2.9381    0.0033    0.0858
## as.factor(time)2    0.0623      0.0561   1.1103    0.2669   -0.0477
## as.factor(time)4    0.0728      0.0502   1.4502    0.1470   -0.0256
## air_cond            0.0070      0.0032   2.1823    0.0291    0.0007
##                   95%ci.ub    
## (Intercept)         1.6873    
## summer_mean         0.0634    
## winter_mean         0.0436    
## as.factor(time)1    0.4297  **
## as.factor(time)2    0.1723    
## as.factor(time)4    0.1712    
## air_cond            0.0132   *
## spl5 : 
##                   Estimate  Std. Error        z  Pr(>|z|)  95%ci.lb
## (Intercept)         0.6824      1.2034   0.5670    0.5707   -1.6763
## summer_mean        -0.0484      0.0579  -0.8363    0.4030   -0.1618
## winter_mean        -0.0048      0.0374  -0.1284    0.8978   -0.0780
## as.factor(time)1    0.3166      0.1162   2.7248    0.0064    0.0889
## as.factor(time)2    0.0618      0.0756   0.8182    0.4133   -0.0863
## as.factor(time)4    0.0779      0.0641   1.2144    0.2246   -0.0478
## air_cond            0.0069      0.0043   1.6096    0.1075   -0.0015
##                   95%ci.ub    
## (Intercept)         3.0410    
## summer_mean         0.0650    
## winter_mean         0.0684    
## as.factor(time)1    0.5443  **
## as.factor(time)2    0.2099    
## as.factor(time)4    0.2035    
## air_cond            0.0153    
## ---
## Signif. codes:  0 '***' 0.001 '**' 0.01 '*' 0.05 '.' 0.1 ' ' 1 
## 
## Between-study random-effects (co)variance components
## Structure: General positive-definite
##       Std. Dev  Corr                  
## spl1    0.0793  spl1  spl2  spl3  spl4
## spl2    0.0504     1                  
## spl3    0.0621     1     1            
## spl4    0.0490     1     1     1      
## spl5    0.0751     1     1     1     1
## 
## Multivariate Cochran Q-test for residual heterogeneity:
## Q = 278.3906 (df = 265), p-value = 0.2739
## I-square statistic = 4.8%
## 
## 60 studies, 300 observations, 35 fixed and 15 random-effects parameters
##    logLik        AIC        BIC  
##  195.6442  -291.2883  -112.3018
```
##Meta-Regression LAG0- w/o temperature variables


```r
mod2_lag0<-mvmeta(ymat_1~as.factor(time)+totpop1+popover65_1+air_cond, Slist_1, data = meta_data, na.action= "na.omit", method="reml")
```


```
## Call:  mvmeta(formula = ymat_1 ~ as.factor(time) + totpop1 + popover65_1 + 
##     air_cond, S = Slist_1, data = meta_data, method = "reml", 
##     na.action = "na.omit")
## 
## Multivariate random-effects meta-regression
## Dimension: 5
## Estimation method: REML
## 
## Fixed-effects coefficients
## spl1 : 
##                   Estimate  Std. Error        z  Pr(>|z|)  95%ci.lb
## (Intercept)        -0.8474      0.4153  -2.0406    0.0413   -1.6613
## as.factor(time)1    0.3154      0.1338   2.3576    0.0184    0.0532
## as.factor(time)2    0.0750      0.0789   0.9510    0.3416   -0.0796
## as.factor(time)4    0.0708      0.0650   1.0901    0.2757   -0.0565
## totpop1            -0.0406      0.0719  -0.5645    0.5724   -0.1816
## popover65_1         0.0302      0.0890   0.3396    0.7341   -0.1442
## air_cond            0.0080      0.0043   1.8620    0.0626   -0.0004
##                   95%ci.ub   
## (Intercept)        -0.0335  *
## as.factor(time)1    0.5776  *
## as.factor(time)2    0.2295   
## as.factor(time)4    0.1981   
## totpop1             0.1004   
## popover65_1         0.2046   
## air_cond            0.0164  .
## spl2 : 
##                   Estimate  Std. Error        z  Pr(>|z|)  95%ci.lb
## (Intercept)        -0.6674      0.3252  -2.0521    0.0402   -1.3048
## as.factor(time)1    0.2141      0.1025   2.0887    0.0367    0.0132
## as.factor(time)2    0.0425      0.0611   0.6960    0.4864   -0.0772
## as.factor(time)4    0.0471      0.0496   0.9496    0.3423   -0.0501
## totpop1            -0.0307      0.0536  -0.5731    0.5665   -0.1359
## popover65_1         0.0236      0.0663   0.3559    0.7219   -0.1064
## air_cond            0.0065      0.0034   1.9408    0.0523   -0.0001
##                   95%ci.ub   
## (Intercept)        -0.0300  *
## as.factor(time)1    0.4150  *
## as.factor(time)2    0.1622   
## as.factor(time)4    0.1444   
## totpop1             0.0744   
## popover65_1         0.1535   
## air_cond            0.0131  .
## spl3 : 
##                   Estimate  Std. Error        z  Pr(>|z|)  95%ci.lb
## (Intercept)        -0.7142      0.3604  -1.9819    0.0475   -1.4205
## as.factor(time)1    0.2351      0.1149   2.0453    0.0408    0.0098
## as.factor(time)2    0.0444      0.0682   0.6513    0.5148   -0.0893
## as.factor(time)4    0.0483      0.0564   0.8578    0.3910   -0.0621
## totpop1            -0.0358      0.0612  -0.5845    0.5589   -0.1558
## popover65_1         0.0273      0.0759   0.3598    0.7190   -0.1214
## air_cond            0.0073      0.0037   1.9496    0.0512   -0.0000
##                   95%ci.ub   
## (Intercept)        -0.0079  *
## as.factor(time)1    0.4604  *
## as.factor(time)2    0.1781   
## as.factor(time)4    0.1588   
## totpop1             0.0842   
## popover65_1         0.1761   
## air_cond            0.0146  .
## spl4 : 
##                   Estimate  Std. Error        z  Pr(>|z|)  95%ci.lb
## (Intercept)        -0.5839      0.3598  -1.6230    0.1046   -1.2891
## as.factor(time)1    0.2463      0.1142   2.1576    0.0310    0.0226
## as.factor(time)2    0.0584      0.0679   0.8589    0.3904   -0.0748
## as.factor(time)4    0.0796      0.0564   1.4108    0.1583   -0.0310
## totpop1            -0.0147      0.0602  -0.2448    0.8066   -0.1327
## popover65_1         0.0037      0.0748   0.0496    0.9604   -0.1429
## air_cond            0.0061      0.0037   1.6284    0.1034   -0.0012
##                   95%ci.ub   
## (Intercept)         0.1212   
## as.factor(time)1    0.4701  *
## as.factor(time)2    0.1915   
## as.factor(time)4    0.1901   
## totpop1             0.1032   
## popover65_1         0.1504   
## air_cond            0.0133   
## spl5 : 
##                   Estimate  Std. Error        z  Pr(>|z|)  95%ci.lb
## (Intercept)        -0.8496      0.4614  -1.8414    0.0656   -1.7540
## as.factor(time)1    0.4040      0.1410   2.8641    0.0042    0.1275
## as.factor(time)2    0.1039      0.0850   1.2227    0.2214   -0.0627
## as.factor(time)4    0.0520      0.0682   0.7615    0.4464   -0.0818
## totpop1            -0.0864      0.0713  -1.2118    0.2256   -0.2262
## popover65_1         0.0853      0.0884   0.9644    0.3348   -0.0880
## air_cond            0.0092      0.0048   1.9219    0.0546   -0.0002
##                   95%ci.ub    
## (Intercept)         0.0547   .
## as.factor(time)1    0.6804  **
## as.factor(time)2    0.2705    
## as.factor(time)4    0.1857    
## totpop1             0.0534    
## popover65_1         0.2586    
## air_cond            0.0185   .
## ---
## Signif. codes:  0 '***' 0.001 '**' 0.01 '*' 0.05 '.' 0.1 ' ' 1 
## 
## Between-study random-effects (co)variance components
## Structure: General positive-definite
##       Std. Dev    Corr                        
## spl1    0.0825    spl1    spl2    spl3    spl4
## spl2    0.0525  1.0000                        
## spl3    0.0645  0.9990  0.9990                
## spl4    0.0571  0.9944  0.9944  0.9886        
## spl5    0.0709  0.9951  0.9951  0.9985  0.9791
## 
## Multivariate Cochran Q-test for residual heterogeneity:
## Q = 288.0457 (df = 265), p-value = 0.1581
## I-square statistic = 8.0%
## 
## 60 studies, 300 observations, 35 fixed and 15 random-effects parameters
##    logLik        AIC        BIC  
##  187.9352  -275.8705   -96.8840
```

##Meta-Regression MA05
#####Time3 as a reference (1993-2003)

```r
mod1_lag05<-mvmeta(ymat_2~summer_mean+winter_mean+ as.factor(time)+air_cond, Slist_2, data = meta_data, method="reml")
```


```
## Call:  mvmeta(formula = ymat_2 ~ summer_mean + winter_mean + as.factor(time) + 
##     air_cond, S = Slist_2, data = meta_data, method = "reml")
## 
## Multivariate random-effects meta-regression
## Dimension: 4
## Estimation method: REML
## 
## Fixed-effects coefficients
## spl1 : 
##                   Estimate  Std. Error        z  Pr(>|z|)  95%ci.lb
## (Intercept)        -0.4291      0.6104  -0.7030    0.4820   -1.6255
## summer_mean         0.0493      0.0311   1.5864    0.1127   -0.0116
## winter_mean        -0.0326      0.0206  -1.5799    0.1141   -0.0730
## as.factor(time)1   -0.0800      0.0606  -1.3205    0.1867   -0.1987
## as.factor(time)2   -0.0418      0.0387  -1.0794    0.2804   -0.1177
## as.factor(time)4    0.0835      0.0353   2.3629    0.0181    0.0142
## air_cond           -0.0048      0.0022  -2.1422    0.0322   -0.0092
##                   95%ci.ub   
## (Intercept)         0.7673   
## summer_mean         0.1102   
## winter_mean         0.0078   
## as.factor(time)1    0.0387   
## as.factor(time)2    0.0341   
## as.factor(time)4    0.1527  *
## air_cond           -0.0004  *
## spl2 : 
##                   Estimate  Std. Error        z  Pr(>|z|)  95%ci.lb
## (Intercept)        -0.6415      0.5191  -1.2358    0.2165   -1.6588
## summer_mean         0.0435      0.0260   1.6725    0.0944   -0.0075
## winter_mean        -0.0346      0.0174  -1.9896    0.0466   -0.0687
## as.factor(time)1   -0.0017      0.0518  -0.0330    0.9737   -0.1032
## as.factor(time)2   -0.0243      0.0329  -0.7386    0.4602   -0.0889
## as.factor(time)4    0.0826      0.0298   2.7762    0.0055    0.0243
## air_cond           -0.0016      0.0019  -0.8687    0.3850   -0.0054
##                   95%ci.ub    
## (Intercept)         0.3759    
## summer_mean         0.0946   .
## winter_mean        -0.0005   *
## as.factor(time)1    0.0998    
## as.factor(time)2    0.0402    
## as.factor(time)4    0.1409  **
## air_cond            0.0021    
## spl3 : 
##                   Estimate  Std. Error        z  Pr(>|z|)  95%ci.lb
## (Intercept)        -0.4476      0.6736  -0.6644    0.5064   -1.7678
## summer_mean         0.0509      0.0330   1.5430    0.1228   -0.0138
## winter_mean        -0.0477      0.0214  -2.2261    0.0260   -0.0896
## as.factor(time)1   -0.0809      0.0650  -1.2443    0.2134   -0.2083
## as.factor(time)2   -0.0705      0.0416  -1.6932    0.0904   -0.1521
## as.factor(time)4    0.1149      0.0388   2.9601    0.0031    0.0388
## air_cond           -0.0041      0.0023  -1.7272    0.0841   -0.0087
##                   95%ci.ub    
## (Intercept)         0.8727    
## summer_mean         0.1155    
## winter_mean        -0.0057   *
## as.factor(time)1    0.0465    
## as.factor(time)2    0.0111   .
## as.factor(time)4    0.1910  **
## air_cond            0.0005   .
## spl4 : 
##                   Estimate  Std. Error        z  Pr(>|z|)  95%ci.lb
## (Intercept)        -0.1245      0.8355  -0.1490    0.8815   -1.7620
## summer_mean         0.0104      0.0393   0.2659    0.7903   -0.0666
## winter_mean        -0.0311      0.0258  -1.2046    0.2284   -0.0817
## as.factor(time)1    0.0736      0.0784   0.9380    0.3482   -0.0802
## as.factor(time)2   -0.0026      0.0496  -0.0520    0.9585   -0.0999
## as.factor(time)4    0.1037      0.0456   2.2739    0.0230    0.0143
## air_cond            0.0011      0.0029   0.3753    0.7075   -0.0045
##                   95%ci.ub   
## (Intercept)         1.5131   
## summer_mean         0.0875   
## winter_mean         0.0195   
## as.factor(time)1    0.2273   
## as.factor(time)2    0.0947   
## as.factor(time)4    0.1931  *
## air_cond            0.0067   
## ---
## Signif. codes:  0 '***' 0.001 '**' 0.01 '*' 0.05 '.' 0.1 ' ' 1 
## 
## Between-study random-effects (co)variance components
## Structure: General positive-definite
##       Std. Dev      Corr                    
## spl1    0.0071      spl1      spl2      spl3
## spl2    0.0244   0.98719                    
## spl3    0.0300   0.82491   0.89615          
## spl4    0.0372   0.20045   0.06436  -0.38495
## 
## Multivariate Cochran Q-test for residual heterogeneity:
## Q = 234.9262 (df = 212), p-value = 0.1340
## I-square statistic = 9.8%
## 
## 60 studies, 240 observations, 28 fixed and 10 random-effects parameters
##    logLik        AIC        BIC  
##  150.7475  -225.4950   -97.9447
```

##Meta-Regression MA05- w/o temperature variables


```r
mod2_lag05<-mvmeta(ymat_2~as.factor(time)+air_cond, Slist_2, data = meta_data, na.action= "na.omit", method="reml")
```


```
## Call:  mvmeta(formula = ymat_1 ~ as.factor(time) + totpop1 + popover65_1 + 
##     air_cond, S = Slist_1, data = meta_data, method = "reml", 
##     na.action = "na.omit")
## 
## Multivariate random-effects meta-regression
## Dimension: 5
## Estimation method: REML
## 
## Fixed-effects coefficients
## spl1 : 
##                   Estimate  Std. Error        z  Pr(>|z|)  95%ci.lb
## (Intercept)        -0.8474      0.4153  -2.0406    0.0413   -1.6613
## as.factor(time)1    0.3154      0.1338   2.3576    0.0184    0.0532
## as.factor(time)2    0.0750      0.0789   0.9510    0.3416   -0.0796
## as.factor(time)4    0.0708      0.0650   1.0901    0.2757   -0.0565
## totpop1            -0.0406      0.0719  -0.5645    0.5724   -0.1816
## popover65_1         0.0302      0.0890   0.3396    0.7341   -0.1442
## air_cond            0.0080      0.0043   1.8620    0.0626   -0.0004
##                   95%ci.ub   
## (Intercept)        -0.0335  *
## as.factor(time)1    0.5776  *
## as.factor(time)2    0.2295   
## as.factor(time)4    0.1981   
## totpop1             0.1004   
## popover65_1         0.2046   
## air_cond            0.0164  .
## spl2 : 
##                   Estimate  Std. Error        z  Pr(>|z|)  95%ci.lb
## (Intercept)        -0.6674      0.3252  -2.0521    0.0402   -1.3048
## as.factor(time)1    0.2141      0.1025   2.0887    0.0367    0.0132
## as.factor(time)2    0.0425      0.0611   0.6960    0.4864   -0.0772
## as.factor(time)4    0.0471      0.0496   0.9496    0.3423   -0.0501
## totpop1            -0.0307      0.0536  -0.5731    0.5665   -0.1359
## popover65_1         0.0236      0.0663   0.3559    0.7219   -0.1064
## air_cond            0.0065      0.0034   1.9408    0.0523   -0.0001
##                   95%ci.ub   
## (Intercept)        -0.0300  *
## as.factor(time)1    0.4150  *
## as.factor(time)2    0.1622   
## as.factor(time)4    0.1444   
## totpop1             0.0744   
## popover65_1         0.1535   
## air_cond            0.0131  .
## spl3 : 
##                   Estimate  Std. Error        z  Pr(>|z|)  95%ci.lb
## (Intercept)        -0.7142      0.3604  -1.9819    0.0475   -1.4205
## as.factor(time)1    0.2351      0.1149   2.0453    0.0408    0.0098
## as.factor(time)2    0.0444      0.0682   0.6513    0.5148   -0.0893
## as.factor(time)4    0.0483      0.0564   0.8578    0.3910   -0.0621
## totpop1            -0.0358      0.0612  -0.5845    0.5589   -0.1558
## popover65_1         0.0273      0.0759   0.3598    0.7190   -0.1214
## air_cond            0.0073      0.0037   1.9496    0.0512   -0.0000
##                   95%ci.ub   
## (Intercept)        -0.0079  *
## as.factor(time)1    0.4604  *
## as.factor(time)2    0.1781   
## as.factor(time)4    0.1588   
## totpop1             0.0842   
## popover65_1         0.1761   
## air_cond            0.0146  .
## spl4 : 
##                   Estimate  Std. Error        z  Pr(>|z|)  95%ci.lb
## (Intercept)        -0.5839      0.3598  -1.6230    0.1046   -1.2891
## as.factor(time)1    0.2463      0.1142   2.1576    0.0310    0.0226
## as.factor(time)2    0.0584      0.0679   0.8589    0.3904   -0.0748
## as.factor(time)4    0.0796      0.0564   1.4108    0.1583   -0.0310
## totpop1            -0.0147      0.0602  -0.2448    0.8066   -0.1327
## popover65_1         0.0037      0.0748   0.0496    0.9604   -0.1429
## air_cond            0.0061      0.0037   1.6284    0.1034   -0.0012
##                   95%ci.ub   
## (Intercept)         0.1212   
## as.factor(time)1    0.4701  *
## as.factor(time)2    0.1915   
## as.factor(time)4    0.1901   
## totpop1             0.1032   
## popover65_1         0.1504   
## air_cond            0.0133   
## spl5 : 
##                   Estimate  Std. Error        z  Pr(>|z|)  95%ci.lb
## (Intercept)        -0.8496      0.4614  -1.8414    0.0656   -1.7540
## as.factor(time)1    0.4040      0.1410   2.8641    0.0042    0.1275
## as.factor(time)2    0.1039      0.0850   1.2227    0.2214   -0.0627
## as.factor(time)4    0.0520      0.0682   0.7615    0.4464   -0.0818
## totpop1            -0.0864      0.0713  -1.2118    0.2256   -0.2262
## popover65_1         0.0853      0.0884   0.9644    0.3348   -0.0880
## air_cond            0.0092      0.0048   1.9219    0.0546   -0.0002
##                   95%ci.ub    
## (Intercept)         0.0547   .
## as.factor(time)1    0.6804  **
## as.factor(time)2    0.2705    
## as.factor(time)4    0.1857    
## totpop1             0.0534    
## popover65_1         0.2586    
## air_cond            0.0185   .
## ---
## Signif. codes:  0 '***' 0.001 '**' 0.01 '*' 0.05 '.' 0.1 ' ' 1 
## 
## Between-study random-effects (co)variance components
## Structure: General positive-definite
##       Std. Dev    Corr                        
## spl1    0.0825    spl1    spl2    spl3    spl4
## spl2    0.0525  1.0000                        
## spl3    0.0645  0.9990  0.9990                
## spl4    0.0571  0.9944  0.9944  0.9886        
## spl5    0.0709  0.9951  0.9951  0.9985  0.9791
## 
## Multivariate Cochran Q-test for residual heterogeneity:
## Q = 288.0457 (df = 265), p-value = 0.1581
## I-square statistic = 8.0%
## 
## 60 studies, 300 observations, 35 fixed and 15 random-effects parameters
##    logLik        AIC        BIC  
##  187.9352  -275.8705   -96.8840
```
