---
title: "Meta-Regression, Cluster 7"
author: "Alina Vodonos Zilberg"
date: "August 8, 2019"
output:
  html_document:
    toc: yes
    keep_md: true
  pdf_document: default
  word_document: default
---




##Meta-Regression LAG0
#####Time3 as a reference (1993-2003)

```r
meta_data$time<-as.factor(meta_data$time)
meta_data <- within(meta_data, time <- relevel(time, ref = 3))

meta_data$totpop1=meta_data$totalpop/mean(meta_data$totalpop) # Normalization , diving by the mean
meta_data$popover65_1=meta_data$popover65/mean(meta_data$popover65) # Normalization , diving by the mean

mod1_lag0<-mvmeta(ymat_1~summer_mean+ as.factor(time)+air_cond, Slist_1, data = meta_data, na.action= "na.omit", method="reml")
```


```
## Call:  mvmeta(formula = ymat_1 ~ summer_mean + as.factor(time) + air_cond, 
##     S = Slist_1, data = meta_data, method = "reml", na.action = "na.omit")
## 
## Multivariate random-effects meta-regression
## Dimension: 4
## Estimation method: REML
## 
## Fixed-effects coefficients
## spl1 : 
##                   Estimate  Std. Error        z  Pr(>|z|)  95%ci.lb
## (Intercept)         1.3367      0.6706   1.9932    0.0462    0.0223
## summer_mean        -0.0482      0.0223  -2.1637    0.0305   -0.0919
## as.factor(time)1   -0.0820      0.0756  -1.0852    0.2778   -0.2301
## as.factor(time)2   -0.0841      0.0452  -1.8599    0.0629   -0.1726
## as.factor(time)4    0.0115      0.0378   0.3056    0.7599   -0.0625
## air_cond           -0.0005      0.0018  -0.2872    0.7739   -0.0040
##                   95%ci.ub   
## (Intercept)         2.6511  *
## summer_mean        -0.0045  *
## as.factor(time)1    0.0661   
## as.factor(time)2    0.0045  .
## as.factor(time)4    0.0855   
## air_cond            0.0030   
## spl2 : 
##                   Estimate  Std. Error        z  Pr(>|z|)  95%ci.lb
## (Intercept)         1.3932      0.4937   2.8222    0.0048    0.4257
## summer_mean        -0.0517      0.0162  -3.1825    0.0015   -0.0835
## as.factor(time)1   -0.0603      0.0562  -1.0713    0.2840   -0.1705
## as.factor(time)2   -0.0807      0.0344  -2.3447    0.0190   -0.1482
## as.factor(time)4   -0.0025      0.0276  -0.0917    0.9270   -0.0567
## air_cond            0.0005      0.0013   0.3614    0.7178   -0.0021
##                   95%ci.ub    
## (Intercept)         2.3607  **
## summer_mean        -0.0199  **
## as.factor(time)1    0.0500    
## as.factor(time)2   -0.0132   *
## as.factor(time)4    0.0516    
## air_cond            0.0031    
## spl3 : 
##                   Estimate  Std. Error        z  Pr(>|z|)  95%ci.lb
## (Intercept)         1.2352      0.6136   2.0130    0.0441    0.0326
## summer_mean        -0.0472      0.0205  -2.3006    0.0214   -0.0874
## as.factor(time)1    0.0199      0.0676   0.2937    0.7690   -0.1127
## as.factor(time)2   -0.0566      0.0403  -1.4043    0.1602   -0.1355
## as.factor(time)4   -0.0158      0.0344  -0.4605    0.6452   -0.0832
## air_cond            0.0011      0.0016   0.6896    0.4904   -0.0020
##                   95%ci.ub   
## (Intercept)         2.4378  *
## summer_mean        -0.0070  *
## as.factor(time)1    0.1524   
## as.factor(time)2    0.0224   
## as.factor(time)4    0.0515   
## air_cond            0.0043   
## spl4 : 
##                   Estimate  Std. Error        z  Pr(>|z|)  95%ci.lb
## (Intercept)         2.0779      0.7238   2.8709    0.0041    0.6593
## summer_mean        -0.0757      0.0243  -3.1199    0.0018   -0.1233
## as.factor(time)1    0.0075      0.0776   0.0965    0.9231   -0.1447
## as.factor(time)2   -0.0576      0.0450  -1.2811    0.2001   -0.1458
## as.factor(time)4    0.0288      0.0396   0.7271    0.4671   -0.0488
## air_cond            0.0007      0.0018   0.3787    0.7049   -0.0028
##                   95%ci.ub    
## (Intercept)         3.4965  **
## summer_mean        -0.0282  **
## as.factor(time)1    0.1597    
## as.factor(time)2    0.0305    
## as.factor(time)4    0.1065    
## air_cond            0.0041    
## ---
## Signif. codes:  0 '***' 0.001 '**' 0.01 '*' 0.05 '.' 0.1 ' ' 1 
## 
## Between-study random-effects (co)variance components
## Structure: General positive-definite
##       Std. Dev     Corr                  
## spl1    0.0214     spl1     spl2     spl3
## spl2    0.0131  -0.1145                  
## spl3    0.0144   0.5989   0.7270         
## spl4    0.0033  -0.1480   0.9994   0.7034
## 
## Multivariate Cochran Q-test for residual heterogeneity:
## Q = 223.9754 (df = 216), p-value = 0.3405
## I-square statistic = 3.6%
## 
## 60 studies, 240 observations, 24 fixed and 10 random-effects parameters
##    logLik        AIC        BIC  
##  230.1731  -392.3462  -277.5867
```
##Meta-Regression LAG0- w/o temperature variables


```r
mod2_lag0<-mvmeta(ymat_1~as.factor(time)+air_cond, Slist_1, data = meta_data, na.action= "na.omit", method="reml")
```


```
## Call:  mvmeta(formula = ymat_1 ~ as.factor(time) + air_cond, S = Slist_1, 
##     data = meta_data, method = "reml", na.action = "na.omit")
## 
## Multivariate random-effects meta-regression
## Dimension: 4
## Estimation method: REML
## 
## Fixed-effects coefficients
## spl1 : 
##                   Estimate  Std. Error        z  Pr(>|z|)  95%ci.lb
## (Intercept)        -0.1010      0.1611  -0.6267    0.5309   -0.4168
## as.factor(time)1   -0.0072      0.0698  -0.1027    0.9182   -0.1440
## as.factor(time)2   -0.0535      0.0439  -1.2188    0.2229   -0.1396
## as.factor(time)4   -0.0094      0.0368  -0.2556    0.7983   -0.0815
## air_cond            0.0010      0.0017   0.5892    0.5557   -0.0023
##                   95%ci.ub   
## (Intercept)         0.2148   
## as.factor(time)1    0.1296   
## as.factor(time)2    0.0325   
## as.factor(time)4    0.0627   
## air_cond            0.0044   
## spl2 : 
##                   Estimate  Std. Error        z  Pr(>|z|)  95%ci.lb
## (Intercept)        -0.1274      0.1234  -1.0320    0.3021   -0.3693
## as.factor(time)1    0.0110      0.0535   0.2059    0.8369   -0.0938
## as.factor(time)2   -0.0513      0.0345  -1.4887    0.1366   -0.1189
## as.factor(time)4   -0.0225      0.0281  -0.8011    0.4231   -0.0776
## air_cond            0.0019      0.0013   1.4338    0.1516   -0.0007
##                   95%ci.ub   
## (Intercept)         0.1145   
## as.factor(time)1    0.1159   
## as.factor(time)2    0.0163   
## as.factor(time)4    0.0326   
## air_cond            0.0045   
## spl3 : 
##                   Estimate  Std. Error        z  Pr(>|z|)  95%ci.lb
## (Intercept)        -0.1634      0.1473  -1.1093    0.2673   -0.4520
## as.factor(time)1    0.0894      0.0639   1.3999    0.1615   -0.0358
## as.factor(time)2   -0.0278      0.0399  -0.6957    0.4866   -0.1060
## as.factor(time)4   -0.0340      0.0343  -0.9913    0.3215   -0.1012
## air_cond            0.0025      0.0016   1.6126    0.1068   -0.0005
##                   95%ci.ub   
## (Intercept)         0.1253   
## as.factor(time)1    0.2146   
## as.factor(time)2    0.0505   
## as.factor(time)4    0.0332   
## air_cond            0.0056   
## spl4 : 
##                   Estimate  Std. Error        z  Pr(>|z|)  95%ci.lb
## (Intercept)        -0.1433      0.1666  -0.8607    0.3894   -0.4698
## as.factor(time)1    0.1079      0.0759   1.4223    0.1549   -0.0408
## as.factor(time)2   -0.0193      0.0461  -0.4178    0.6761   -0.1097
## as.factor(time)4   -0.0037      0.0408  -0.0909    0.9276   -0.0836
## air_cond            0.0026      0.0018   1.4415    0.1494   -0.0009
##                   95%ci.ub   
## (Intercept)         0.1831   
## as.factor(time)1    0.2566   
## as.factor(time)2    0.0711   
## as.factor(time)4    0.0762   
## air_cond            0.0060   
## ---
## Signif. codes:  0 '***' 0.001 '**' 0.01 '*' 0.05 '.' 0.1 ' ' 1 
## 
## Between-study random-effects (co)variance components
## Structure: General positive-definite
##       Std. Dev    Corr                
## spl1    0.0209    spl1    spl2    spl3
## spl2    0.0251  0.4444                
## spl3    0.0242  0.7370  0.9330        
## spl4    0.0367  0.7044  0.9489  0.9989
## 
## Multivariate Cochran Q-test for residual heterogeneity:
## Q = 237.3567 (df = 220), p-value = 0.2010
## I-square statistic = 7.3%
## 
## 60 studies, 240 observations, 20 fixed and 10 random-effects parameters
##    logLik        AIC        BIC  
##  237.3711  -414.7422  -312.9334
```

##Meta-Regression MA05
#####Time3 as a reference (1993-2003)

```r
mod1_lag05<-mvmeta(ymat_2~summer_mean+winter_mean+ as.factor(time)+air_cond, Slist_2, data = meta_data, method="reml")
```


```
## Call:  mvmeta(formula = ymat_2 ~ summer_mean + winter_mean + as.factor(time) + 
##     air_cond, S = Slist_2, data = meta_data, method = "reml")
## 
## Multivariate random-effects meta-regression
## Dimension: 4
## Estimation method: REML
## 
## Fixed-effects coefficients
## spl1 : 
##                   Estimate  Std. Error        z  Pr(>|z|)  95%ci.lb
## (Intercept)        -0.8704      0.6803  -1.2794    0.2007   -2.2036
## summer_mean         0.0459      0.0255   1.8013    0.0717   -0.0040
## winter_mean        -0.0329      0.0132  -2.4820    0.0131   -0.0588
## as.factor(time)1    0.0343      0.0811   0.4230    0.6723   -0.1246
## as.factor(time)2    0.0113      0.0469   0.2413    0.8093   -0.0806
## as.factor(time)4   -0.0332      0.0359  -0.9266    0.3541   -0.1035
## air_cond            0.0022      0.0019   1.1518    0.2494   -0.0016
##                   95%ci.ub   
## (Intercept)         0.4629   
## summer_mean         0.0958  .
## winter_mean        -0.0069  *
## as.factor(time)1    0.1932   
## as.factor(time)2    0.1033   
## as.factor(time)4    0.0371   
## air_cond            0.0060   
## spl2 : 
##                   Estimate  Std. Error        z  Pr(>|z|)  95%ci.lb
## (Intercept)        -1.2189      0.5110  -2.3853    0.0171   -2.2205
## summer_mean         0.0610      0.0191   3.1980    0.0014    0.0236
## winter_mean        -0.0419      0.0103  -4.0544    0.0001   -0.0622
## as.factor(time)1    0.0563      0.0617   0.9137    0.3609   -0.0645
## as.factor(time)2    0.0054      0.0356   0.1528    0.8785   -0.0644
## as.factor(time)4    0.0119      0.0264   0.4489    0.6535   -0.0399
## air_cond            0.0024      0.0015   1.6616    0.0966   -0.0004
##                   95%ci.ub     
## (Intercept)        -0.2173    *
## summer_mean         0.0984   **
## winter_mean        -0.0217  ***
## as.factor(time)1    0.1772     
## as.factor(time)2    0.0753     
## as.factor(time)4    0.0637     
## air_cond            0.0053    .
## spl3 : 
##                   Estimate  Std. Error        z  Pr(>|z|)  95%ci.lb
## (Intercept)        -1.0131      0.7532  -1.3452    0.1786   -2.4893
## summer_mean         0.0507      0.0284   1.7846    0.0743   -0.0050
## winter_mean        -0.0395      0.0136  -2.9135    0.0036   -0.0660
## as.factor(time)1    0.0119      0.0839   0.1419    0.8872   -0.1526
## as.factor(time)2   -0.0165      0.0475  -0.3467    0.7288   -0.1095
## as.factor(time)4    0.0014      0.0390   0.0352    0.9719   -0.0750
## air_cond            0.0025      0.0020   1.2681    0.2048   -0.0014
##                   95%ci.ub    
## (Intercept)         0.4630    
## summer_mean         0.1064   .
## winter_mean        -0.0129  **
## as.factor(time)1    0.1764    
## as.factor(time)2    0.0766    
## as.factor(time)4    0.0777    
## air_cond            0.0064    
## spl4 : 
##                   Estimate  Std. Error        z  Pr(>|z|)  95%ci.lb
## (Intercept)        -0.8649      0.7869  -1.0991    0.2717   -2.4073
## summer_mean         0.0380      0.0292   1.3008    0.1933   -0.0193
## winter_mean        -0.0277      0.0136  -2.0378    0.0416   -0.0543
## as.factor(time)1    0.0360      0.0865   0.4159    0.6775   -0.1335
## as.factor(time)2   -0.0111      0.0480  -0.2315    0.8169   -0.1052
## as.factor(time)4   -0.0178      0.0416  -0.4281    0.6686   -0.0993
## air_cond            0.0022      0.0020   1.1099    0.2670   -0.0017
##                   95%ci.ub   
## (Intercept)         0.6775   
## summer_mean         0.0953   
## winter_mean        -0.0011  *
## as.factor(time)1    0.2054   
## as.factor(time)2    0.0830   
## as.factor(time)4    0.0637   
## air_cond            0.0062   
## ---
## Signif. codes:  0 '***' 0.001 '**' 0.01 '*' 0.05 '.' 0.1 ' ' 1 
## 
## Between-study random-effects (co)variance components
## Structure: General positive-definite
##       Std. Dev    Corr                
## spl1    0.0369    spl1    spl2    spl3
## spl2    0.0164  0.7526                
## spl3    0.0487  0.9647  0.6120        
## spl4    0.0312  0.9668  0.8794  0.8709
## 
## Multivariate Cochran Q-test for residual heterogeneity:
## Q = 238.6382 (df = 212), p-value = 0.1011
## I-square statistic = 11.2%
## 
## 60 studies, 240 observations, 28 fixed and 10 random-effects parameters
##    logLik        AIC        BIC  
##  201.7412  -327.4824  -199.9321
```

##Meta-Regression MA05- w/o temperature variables


```r
mod2_lag05<-mvmeta(ymat_2~as.factor(time)+air_cond, Slist_2, data = meta_data, na.action= "na.omit", method="reml")
```


```
## Call:  mvmeta(formula = ymat_1 ~ as.factor(time) + air_cond, S = Slist_1, 
##     data = meta_data, method = "reml", na.action = "na.omit")
## 
## Multivariate random-effects meta-regression
## Dimension: 4
## Estimation method: REML
## 
## Fixed-effects coefficients
## spl1 : 
##                   Estimate  Std. Error        z  Pr(>|z|)  95%ci.lb
## (Intercept)        -0.1010      0.1611  -0.6267    0.5309   -0.4168
## as.factor(time)1   -0.0072      0.0698  -0.1027    0.9182   -0.1440
## as.factor(time)2   -0.0535      0.0439  -1.2188    0.2229   -0.1396
## as.factor(time)4   -0.0094      0.0368  -0.2556    0.7983   -0.0815
## air_cond            0.0010      0.0017   0.5892    0.5557   -0.0023
##                   95%ci.ub   
## (Intercept)         0.2148   
## as.factor(time)1    0.1296   
## as.factor(time)2    0.0325   
## as.factor(time)4    0.0627   
## air_cond            0.0044   
## spl2 : 
##                   Estimate  Std. Error        z  Pr(>|z|)  95%ci.lb
## (Intercept)        -0.1274      0.1234  -1.0320    0.3021   -0.3693
## as.factor(time)1    0.0110      0.0535   0.2059    0.8369   -0.0938
## as.factor(time)2   -0.0513      0.0345  -1.4887    0.1366   -0.1189
## as.factor(time)4   -0.0225      0.0281  -0.8011    0.4231   -0.0776
## air_cond            0.0019      0.0013   1.4338    0.1516   -0.0007
##                   95%ci.ub   
## (Intercept)         0.1145   
## as.factor(time)1    0.1159   
## as.factor(time)2    0.0163   
## as.factor(time)4    0.0326   
## air_cond            0.0045   
## spl3 : 
##                   Estimate  Std. Error        z  Pr(>|z|)  95%ci.lb
## (Intercept)        -0.1634      0.1473  -1.1093    0.2673   -0.4520
## as.factor(time)1    0.0894      0.0639   1.3999    0.1615   -0.0358
## as.factor(time)2   -0.0278      0.0399  -0.6957    0.4866   -0.1060
## as.factor(time)4   -0.0340      0.0343  -0.9913    0.3215   -0.1012
## air_cond            0.0025      0.0016   1.6126    0.1068   -0.0005
##                   95%ci.ub   
## (Intercept)         0.1253   
## as.factor(time)1    0.2146   
## as.factor(time)2    0.0505   
## as.factor(time)4    0.0332   
## air_cond            0.0056   
## spl4 : 
##                   Estimate  Std. Error        z  Pr(>|z|)  95%ci.lb
## (Intercept)        -0.1433      0.1666  -0.8607    0.3894   -0.4698
## as.factor(time)1    0.1079      0.0759   1.4223    0.1549   -0.0408
## as.factor(time)2   -0.0193      0.0461  -0.4178    0.6761   -0.1097
## as.factor(time)4   -0.0037      0.0408  -0.0909    0.9276   -0.0836
## air_cond            0.0026      0.0018   1.4415    0.1494   -0.0009
##                   95%ci.ub   
## (Intercept)         0.1831   
## as.factor(time)1    0.2566   
## as.factor(time)2    0.0711   
## as.factor(time)4    0.0762   
## air_cond            0.0060   
## ---
## Signif. codes:  0 '***' 0.001 '**' 0.01 '*' 0.05 '.' 0.1 ' ' 1 
## 
## Between-study random-effects (co)variance components
## Structure: General positive-definite
##       Std. Dev    Corr                
## spl1    0.0209    spl1    spl2    spl3
## spl2    0.0251  0.4444                
## spl3    0.0242  0.7370  0.9330        
## spl4    0.0367  0.7044  0.9489  0.9989
## 
## Multivariate Cochran Q-test for residual heterogeneity:
## Q = 237.3567 (df = 220), p-value = 0.2010
## I-square statistic = 7.3%
## 
## 60 studies, 240 observations, 20 fixed and 10 random-effects parameters
##    logLik        AIC        BIC  
##  237.3711  -414.7422  -312.9334
```
