---
title: "Meta-Regression, Cluster 8"
author: "Alina Vodonos Zilberg"
date: "August 8, 2019"
output:
  html_document:
    toc: yes
    keep_md: true
  pdf_document: default
  word_document: default
---



##Meta-Regression LAG0
#####Time3 as a reference (1993-2003)

```r
meta_data$time<-as.factor(meta_data$time)
meta_data <- within(meta_data, time <- relevel(time, ref = 3))

meta_data$totpop1=meta_data$totalpop/mean(meta_data$totalpop) # Normalization , diving by the mean
meta_data$popover65_1=meta_data$popover65/mean(meta_data$popover65) # Normalization , diving by the mean

mod1_lag0<-mvmeta(ymat_1~summer_mean+winter_mean+ as.factor(time), Slist_1, data = meta_data, na.action= "na.omit", method="reml")
```


```
## Call:  mvmeta(formula = ymat_1 ~ summer_mean + winter_mean + as.factor(time), 
##     S = Slist_1, data = meta_data, method = "reml", na.action = "na.omit")
## 
## Multivariate random-effects meta-regression
## Dimension: 4
## Estimation method: REML
## 
## Fixed-effects coefficients
## spl1 : 
##                   Estimate  Std. Error        z  Pr(>|z|)  95%ci.lb
## (Intercept)         0.0336      0.2110   0.1591    0.8736   -0.3799
## summer_mean        -0.0014      0.0134  -0.1070    0.9148   -0.0278
## winter_mean        -0.0021      0.0189  -0.1116    0.9111   -0.0392
## as.factor(time)1   -0.0414      0.0487  -0.8485    0.3962   -0.1369
## as.factor(time)2    0.0289      0.0440   0.6573    0.5110   -0.0573
## as.factor(time)4    0.0156      0.0407   0.3842    0.7008   -0.0641
##                   95%ci.ub   
## (Intercept)         0.4471   
## summer_mean         0.0249   
## winter_mean         0.0350   
## as.factor(time)1    0.0542   
## as.factor(time)2    0.1151   
## as.factor(time)4    0.0954   
## spl2 : 
##                   Estimate  Std. Error        z  Pr(>|z|)  95%ci.lb
## (Intercept)         0.2496      0.1870   1.3349    0.1819   -0.1169
## summer_mean        -0.0155      0.0121  -1.2849    0.1988   -0.0392
## winter_mean         0.0137      0.0172   0.7962    0.4259   -0.0200
## as.factor(time)1    0.0138      0.0437   0.3167    0.7515   -0.0718
## as.factor(time)2    0.0051      0.0393   0.1291    0.8973   -0.0719
## as.factor(time)4    0.0402      0.0364   1.1034    0.2698   -0.0312
##                   95%ci.ub   
## (Intercept)         0.6160   
## summer_mean         0.0082   
## winter_mean         0.0474   
## as.factor(time)1    0.0994   
## as.factor(time)2    0.0821   
## as.factor(time)4    0.1115   
## spl3 : 
##                   Estimate  Std. Error        z  Pr(>|z|)  95%ci.lb
## (Intercept)         0.2310      0.2218   1.0415    0.2977   -0.2037
## summer_mean        -0.0089      0.0148  -0.6032    0.5464   -0.0379
## winter_mean         0.0047      0.0208   0.2265    0.8208   -0.0361
## as.factor(time)1    0.0991      0.0531   1.8682    0.0617   -0.0049
## as.factor(time)2    0.0496      0.0466   1.0633    0.2877   -0.0418
## as.factor(time)4    0.0164      0.0443   0.3689    0.7122   -0.0705
##                   95%ci.ub   
## (Intercept)         0.6657   
## summer_mean         0.0201   
## winter_mean         0.0456   
## as.factor(time)1    0.2031  .
## as.factor(time)2    0.1409   
## as.factor(time)4    0.1032   
## spl4 : 
##                   Estimate  Std. Error        z  Pr(>|z|)  95%ci.lb
## (Intercept)         1.0338      0.3060   3.3786    0.0007    0.4341
## summer_mean        -0.0509      0.0195  -2.6134    0.0090   -0.0890
## winter_mean         0.0341      0.0249   1.3687    0.1711   -0.0147
## as.factor(time)1    0.1090      0.0632   1.7245    0.0846   -0.0149
## as.factor(time)2    0.0263      0.0567   0.4647    0.6422   -0.0848
## as.factor(time)4    0.0460      0.0546   0.8415    0.4001   -0.0611
##                   95%ci.ub     
## (Intercept)         1.6336  ***
## summer_mean        -0.0127   **
## winter_mean         0.0829     
## as.factor(time)1    0.2329    .
## as.factor(time)2    0.1375     
## as.factor(time)4    0.1530     
## ---
## Signif. codes:  0 '***' 0.001 '**' 0.01 '*' 0.05 '.' 0.1 ' ' 1 
## 
## Between-study random-effects (co)variance components
## Structure: General positive-definite
##       Std. Dev    Corr                
## spl1    0.0293    spl1    spl2    spl3
## spl2    0.0340  0.8115                
## spl3    0.0389  0.6759  0.9792        
## spl4    0.0610  0.9987  0.7811  0.6380
## 
## Multivariate Cochran Q-test for residual heterogeneity:
## Q = 119.4155 (df = 116), p-value = 0.3952
## I-square statistic = 2.9%
## 
## 35 studies, 140 observations, 24 fixed and 10 random-effects parameters
##    logLik        AIC        BIC  
##   90.6096  -113.2192   -19.5971
```
##Meta-Regression LAG0- w/o temperature variables


```r
mod2_lag0<-mvmeta(ymat_1~as.factor(time), Slist_1, data = meta_data, na.action= "na.omit", method="reml")
```


```
## Call:  mvmeta(formula = ymat_1 ~ as.factor(time), S = Slist_1, data = meta_data, 
##     method = "reml", na.action = "na.omit")
## 
## Multivariate random-effects meta-regression
## Dimension: 4
## Estimation method: REML
## 
## Fixed-effects coefficients
## spl1 : 
##                   Estimate  Std. Error        z  Pr(>|z|)  95%ci.lb
## (Intercept)        -0.0265      0.0271  -0.9760    0.3291   -0.0796
## as.factor(time)1   -0.0394      0.0479  -0.8225    0.4108   -0.1332
## as.factor(time)2    0.0305      0.0434   0.7025    0.4824   -0.0546
## as.factor(time)4    0.0149      0.0401   0.3725    0.7095   -0.0637
##                   95%ci.ub   
## (Intercept)         0.0267   
## as.factor(time)1    0.0545   
## as.factor(time)2    0.1155   
## as.factor(time)4    0.0936   
## spl2 : 
##                   Estimate  Std. Error       z  Pr(>|z|)  95%ci.lb
## (Intercept)         0.0240      0.0255  0.9395    0.3475   -0.0260
## as.factor(time)1    0.0223      0.0445  0.5017    0.6159   -0.0648
## as.factor(time)2    0.0046      0.0404  0.1138    0.9094   -0.0746
## as.factor(time)4    0.0381      0.0376  1.0134    0.3109   -0.0356
##                   95%ci.ub   
## (Intercept)         0.0739   
## as.factor(time)1    0.1094   
## as.factor(time)2    0.0838   
## as.factor(time)4    0.1118   
## spl3 : 
##                   Estimate  Std. Error       z  Pr(>|z|)  95%ci.lb
## (Intercept)         0.0662      0.0299  2.2146    0.0268    0.0076
## as.factor(time)1    0.1078      0.0528  2.0405    0.0413    0.0043
## as.factor(time)2    0.0501      0.0468  1.0704    0.2844   -0.0416
## as.factor(time)4    0.0142      0.0444  0.3205    0.7486   -0.0729
##                   95%ci.ub   
## (Intercept)         0.1248  *
## as.factor(time)1    0.2114  *
## as.factor(time)2    0.1418   
## as.factor(time)4    0.1013   
## spl4 : 
##                   Estimate  Std. Error       z  Pr(>|z|)  95%ci.lb
## (Intercept)         0.1268      0.0427  2.9676    0.0030    0.0431
## as.factor(time)1    0.1354      0.0704  1.9233    0.0544   -0.0026
## as.factor(time)2    0.0248      0.0646  0.3846    0.7006   -0.1018
## as.factor(time)4    0.0351      0.0630  0.5572    0.5774   -0.0884
##                   95%ci.ub    
## (Intercept)         0.2105  **
## as.factor(time)1    0.2733   .
## as.factor(time)2    0.1515    
## as.factor(time)4    0.1586    
## ---
## Signif. codes:  0 '***' 0.001 '**' 0.01 '*' 0.05 '.' 0.1 ' ' 1 
## 
## Between-study random-effects (co)variance components
## Structure: General positive-definite
##       Std. Dev    Corr                
## spl1    0.0282    spl1    spl2    spl3
## spl2    0.0403  0.9305                
## spl3    0.0422  0.8646  0.9885        
## spl4    0.0850  0.9997  0.9392  0.8766
## 
## Multivariate Cochran Q-test for residual heterogeneity:
## Q = 136.0000 (df = 124), p-value = 0.2175
## I-square statistic = 8.8%
## 
## 35 studies, 140 observations, 16 fixed and 10 random-effects parameters
##    logLik        AIC        BIC  
##  115.4172  -178.8343  -105.5070
```

##Meta-Regression MA05
#####Time3 as a reference (1993-2003)

```r
mod1_lag05<-mvmeta(ymat_2~summer_mean+winter_mean+as.factor(time)+popover65_1+air_cond, Slist_2, data = meta_data, method="reml")
```


```
## Call:  mvmeta(formula = ymat_2 ~ summer_mean + winter_mean + as.factor(time) + 
##     popover65_1 + air_cond, S = Slist_2, data = meta_data, method = "reml")
## 
## Multivariate random-effects meta-regression
## Dimension: 4
## Estimation method: REML
## 
## Fixed-effects coefficients
## spl1 : 
##                   Estimate  Std. Error        z  Pr(>|z|)  95%ci.lb
## (Intercept)        -4.5293      1.2896  -3.5122    0.0004   -7.0569
## summer_mean        -0.0649      0.1092  -0.5946    0.5521   -0.2790
## winter_mean         0.4807      0.1645   2.9222    0.0035    0.1583
## as.factor(time)1    0.2418      0.2854   0.8472    0.3969   -0.3176
## as.factor(time)2    0.0304      0.2601   0.1170    0.9069   -0.4793
## as.factor(time)4    0.5393      0.2417   2.2311    0.0257    0.0655
## popover65_1        -0.5528      0.1339  -4.1296    0.0000   -0.8152
## air_cond            0.0096      0.0074   1.2961    0.1949   -0.0049
##                   95%ci.ub     
## (Intercept)        -2.0018  ***
## summer_mean         0.1491     
## winter_mean         0.8031   **
## as.factor(time)1    0.8012     
## as.factor(time)2    0.5402     
## as.factor(time)4    1.0131    *
## popover65_1        -0.2905  ***
## air_cond            0.0242     
## spl2 : 
##                   Estimate  Std. Error        z  Pr(>|z|)  95%ci.lb
## (Intercept)        -4.3317      1.2438  -3.4825    0.0005   -6.7696
## summer_mean        -0.0562      0.1058  -0.5313    0.5952   -0.2635
## winter_mean         0.4444      0.1590   2.7948    0.0052    0.1328
## as.factor(time)1    0.2271      0.2755   0.8244    0.4097   -0.3128
## as.factor(time)2    0.0359      0.2512   0.1428    0.8864   -0.4565
## as.factor(time)4    0.5222      0.2343   2.2290    0.0258    0.0630
## popover65_1        -0.5261      0.1293  -4.0683    0.0000   -0.7795
## air_cond            0.0090      0.0072   1.2519    0.2106   -0.0051
##                   95%ci.ub     
## (Intercept)        -1.8938  ***
## summer_mean         0.1511     
## winter_mean         0.7561   **
## as.factor(time)1    0.7671     
## as.factor(time)2    0.5283     
## as.factor(time)4    0.9813    *
## popover65_1        -0.2726  ***
## air_cond            0.0231     
## spl3 : 
##                   Estimate  Std. Error        z  Pr(>|z|)  95%ci.lb
## (Intercept)        -4.3304      1.2271  -3.5289    0.0004   -6.7355
## summer_mean        -0.0449      0.1039  -0.4319    0.6658   -0.2485
## winter_mean         0.4252      0.1567   2.7132    0.0067    0.1181
## as.factor(time)1    0.1737      0.2712   0.6405    0.5218   -0.3579
## as.factor(time)2    0.0409      0.2471   0.1656    0.8685   -0.4433
## as.factor(time)4    0.5179      0.2299   2.2530    0.0243    0.0674
## popover65_1        -0.5137      0.1274  -4.0314    0.0001   -0.7634
## air_cond            0.0081      0.0071   1.1387    0.2548   -0.0058
##                   95%ci.ub     
## (Intercept)        -1.9253  ***
## summer_mean         0.1588     
## winter_mean         0.7324   **
## as.factor(time)1    0.7054     
## as.factor(time)2    0.5251     
## as.factor(time)4    0.9684    *
## popover65_1        -0.2640  ***
## air_cond            0.0220     
## spl4 : 
##                   Estimate  Std. Error        z  Pr(>|z|)  95%ci.lb
## (Intercept)        -4.2865      1.1976  -3.5794    0.0003   -6.6337
## summer_mean        -0.0611      0.1007  -0.6068    0.5440   -0.2585
## winter_mean         0.4524      0.1526   2.9651    0.0030    0.1533
## as.factor(time)1    0.0828      0.2639   0.3138    0.7537   -0.4344
## as.factor(time)2   -0.0066      0.2396  -0.0277    0.9779   -0.4762
## as.factor(time)4    0.4700      0.2223   2.1136    0.0345    0.0342
## popover65_1        -0.5141      0.1242  -4.1397    0.0000   -0.7575
## air_cond            0.0084      0.0069   1.2186    0.2230   -0.0051
##                   95%ci.ub     
## (Intercept)        -1.9394  ***
## summer_mean         0.1363     
## winter_mean         0.7514   **
## as.factor(time)1    0.6001     
## as.factor(time)2    0.4629     
## as.factor(time)4    0.9057    *
## popover65_1        -0.2707  ***
## air_cond            0.0220     
## ---
## Signif. codes:  0 '***' 0.001 '**' 0.01 '*' 0.05 '.' 0.1 ' ' 1 
## 
## Between-study random-effects (co)variance components
## Structure: General positive-definite
##       Std. Dev    Corr                
## spl1    0.4868    spl1    spl2    spl3
## spl2    0.4723  0.9993                
## spl3    0.4613  0.9968  0.9991        
## spl4    0.4452  0.9994  1.0000  0.9990
## 
## Multivariate Cochran Q-test for residual heterogeneity:
## Q = 233.6738 (df = 108), p-value = 0.0000
## I-square statistic = 53.8%
## 
## 35 studies, 140 observations, 32 fixed and 10 random-effects parameters
##   logLik       AIC       BIC  
##  25.5033   32.9935  145.6430
```

##Meta-Regression MA05- w/o temperature variables


```r
mod2_lag05<-mvmeta(ymat_2~as.factor(time)+popover65_1+air_cond, Slist_2, data = meta_data, na.action= "na.omit", method="reml")
```


```
## Call:  mvmeta(formula = ymat_2 ~ as.factor(time) + popover65_1 + air_cond, 
##     S = Slist_2, data = meta_data, method = "reml", na.action = "na.omit")
## 
## Multivariate random-effects meta-regression
## Dimension: 4
## Estimation method: REML
## 
## Fixed-effects coefficients
## spl1 : 
##                   Estimate  Std. Error        z  Pr(>|z|)  95%ci.lb
## (Intercept)         0.5920      0.5118   1.1567    0.2474   -0.4111
## as.factor(time)1   -0.0849      0.3895  -0.2181    0.8274   -0.8483
## as.factor(time)2    0.1002      0.3771   0.2656    0.7905   -0.6390
## as.factor(time)4    0.5891      0.3532   1.6680    0.0953   -0.1031
## popover65_1        -0.1043      0.1417  -0.7364    0.4615   -0.3821
## air_cond           -0.0074      0.0075  -0.9911    0.3216   -0.0220
##                   95%ci.ub   
## (Intercept)         1.5951   
## as.factor(time)1    0.6784   
## as.factor(time)2    0.8394   
## as.factor(time)4    1.2813  .
## popover65_1         0.1734   
## air_cond            0.0072   
## spl2 : 
##                   Estimate  Std. Error        z  Pr(>|z|)  95%ci.lb
## (Intercept)         0.4993      0.4864   1.0266    0.3046   -0.4540
## as.factor(time)1   -0.0761      0.3700  -0.2058    0.8369   -0.8013
## as.factor(time)2    0.1003      0.3583   0.2799    0.7795   -0.6020
## as.factor(time)4    0.5680      0.3360   1.6906    0.0909   -0.0905
## popover65_1        -0.1050      0.1348  -0.7794    0.4358   -0.3692
## air_cond           -0.0068      0.0071  -0.9598    0.3372   -0.0207
##                   95%ci.ub   
## (Intercept)         1.4526   
## as.factor(time)1    0.6490   
## as.factor(time)2    0.8026   
## as.factor(time)4    1.2265  .
## popover65_1         0.1591   
## air_cond            0.0071   
## spl3 : 
##                   Estimate  Std. Error        z  Pr(>|z|)  95%ci.lb
## (Intercept)         0.5047      0.4828   1.0455    0.2958   -0.4415
## as.factor(time)1   -0.1172      0.3672  -0.3192    0.7496   -0.8369
## as.factor(time)2    0.1019      0.3554   0.2868    0.7743   -0.5947
## as.factor(time)4    0.5664      0.3329   1.7012    0.0889   -0.0861
## popover65_1        -0.1014      0.1335  -0.7598    0.4474   -0.3630
## air_cond           -0.0070      0.0070  -0.9987    0.3179   -0.0208
##                   95%ci.ub   
## (Intercept)         1.4509   
## as.factor(time)1    0.6025   
## as.factor(time)2    0.7985   
## as.factor(time)4    1.2188  .
## popover65_1         0.1602   
## air_cond            0.0068   
## spl4 : 
##                   Estimate  Std. Error        z  Pr(>|z|)  95%ci.lb
## (Intercept)         0.5516      0.4796   1.1503    0.2500   -0.3883
## as.factor(time)1   -0.2194      0.3644  -0.6020    0.5471   -0.9336
## as.factor(time)2    0.0668      0.3523   0.1896    0.8496   -0.6237
## as.factor(time)4    0.5131      0.3299   1.5555    0.1198   -0.1334
## popover65_1        -0.0909      0.1323  -0.6876    0.4917   -0.3502
## air_cond           -0.0079      0.0070  -1.1280    0.2593   -0.0216
##                   95%ci.ub   
## (Intercept)         1.4915   
## as.factor(time)1    0.4948   
## as.factor(time)2    0.7573   
## as.factor(time)4    1.1597   
## popover65_1         0.1683   
## air_cond            0.0058   
## ---
## Signif. codes:  0 '***' 0.001 '**' 0.01 '*' 0.05 '.' 0.1 ' ' 1 
## 
## Between-study random-effects (co)variance components
## Structure: General positive-definite
##       Std. Dev    Corr                
## spl1    0.7226    spl1    spl2    spl3
## spl2    0.6878  0.9996                
## spl3    0.6800  0.9986  0.9997        
## spl4    0.6736  0.9997  1.0000  0.9995
## 
## Multivariate Cochran Q-test for residual heterogeneity:
## Q = 280.3996 (df = 116), p-value = 0.0000
## I-square statistic = 58.6%
## 
## 35 studies, 140 observations, 24 fixed and 10 random-effects parameters
##  logLik      AIC      BIC  
## 36.9236  -5.8473  87.7748
```
#### Session Info for reproducibility

```
## R version 3.5.0 (2018-04-23)
## Platform: x86_64-w64-mingw32/x64 (64-bit)
## Running under: Windows 7 x64 (build 7601) Service Pack 1
## 
## Matrix products: default
## 
## locale:
## [1] LC_COLLATE=English_United States.1252 
## [2] LC_CTYPE=English_United States.1252   
## [3] LC_MONETARY=English_United States.1252
## [4] LC_NUMERIC=C                          
## [5] LC_TIME=English_United States.1252    
## 
## attached base packages:
## [1] stats     graphics  grDevices utils     datasets  methods   base     
## 
## other attached packages:
## [1] knitr_1.20    mvmeta_0.4.11 readr_1.1.1  
## 
## loaded via a namespace (and not attached):
##  [1] Rcpp_1.0.1      crayon_1.3.4    digest_0.6.15   rprojroot_1.3-2
##  [5] R6_2.2.2        backports_1.1.2 magrittr_1.5    evaluate_0.11  
##  [9] pillar_1.3.1    rlang_0.3.2     stringi_1.1.7   rmarkdown_1.10 
## [13] tools_3.5.0     stringr_1.3.1   hms_0.4.2       yaml_2.2.0     
## [17] compiler_3.5.0  pkgconfig_2.0.2 htmltools_0.3.6 tibble_2.1.1
```
