---
title: "Meta-Regression, Cluster 9"
author: "Alina Vodonos Zilberg"
date: "August 9, 2019"
output:
  html_document:
    toc: yes
    keep_md: true
  pdf_document: default
  word_document: default
---



##Meta-Regression LAG0
#####Time3 as a reference (1993-2003)

```r
meta_data$time<-as.factor(meta_data$time)
meta_data <- within(meta_data, time <- relevel(time, ref = 3))

meta_data$totpop1=meta_data$totalpop/mean(meta_data$totalpop) # Normalization , diving by the mean
meta_data$popover65_1=meta_data$popover65/mean(meta_data$popover65) # Normalization , diving by the mean

mod1_lag0<-mvmeta(ymat_1~summer_mean+winter_mean+ as.factor(time), Slist_1, data = meta_data, na.action= "na.omit", method="reml")
```


```
## Call:  mvmeta(formula = ymat_1 ~ summer_mean + winter_mean + as.factor(time), 
##     S = Slist_1, data = meta_data, method = "reml", na.action = "na.omit")
## 
## Multivariate random-effects meta-regression
## Dimension: 4
## Estimation method: REML
## 
## Fixed-effects coefficients
## spl1 : 
##                   Estimate  Std. Error        z  Pr(>|z|)  95%ci.lb
## (Intercept)        -0.5033      0.2878  -1.7488    0.0803   -1.0673
## summer_mean         0.0450      0.0204   2.2058    0.0274    0.0050
## winter_mean        -0.0784      0.0331  -2.3661    0.0180   -0.1433
## as.factor(time)1   -0.0746      0.0665  -1.1209    0.2623   -0.2050
## as.factor(time)2   -0.1237      0.0721  -1.7163    0.0861   -0.2650
## as.factor(time)4   -0.0582      0.0591  -0.9845    0.3249   -0.1741
##                   95%ci.ub   
## (Intercept)         0.0608  .
## summer_mean         0.0850  *
## winter_mean        -0.0135  *
## as.factor(time)1    0.0558   
## as.factor(time)2    0.0176  .
## as.factor(time)4    0.0577   
## spl2 : 
##                   Estimate  Std. Error        z  Pr(>|z|)  95%ci.lb
## (Intercept)        -0.5697      0.2606  -2.1867    0.0288   -1.0804
## summer_mean         0.0438      0.0182   2.4108    0.0159    0.0082
## winter_mean        -0.0500      0.0293  -1.7054    0.0881   -0.1075
## as.factor(time)1   -0.0473      0.0593  -0.7977    0.4251   -0.1635
## as.factor(time)2   -0.0689      0.0633  -1.0884    0.2764   -0.1929
## as.factor(time)4   -0.0245      0.0533  -0.4593    0.6460   -0.1290
##                   95%ci.ub   
## (Intercept)        -0.0591  *
## summer_mean         0.0795  *
## winter_mean         0.0075  .
## as.factor(time)1    0.0689   
## as.factor(time)2    0.0551   
## as.factor(time)4    0.0800   
## spl3 : 
##                   Estimate  Std. Error        z  Pr(>|z|)  95%ci.lb
## (Intercept)         0.0076      0.3115   0.0243    0.9806   -0.6029
## summer_mean         0.0159      0.0211   0.7503    0.4531   -0.0256
## winter_mean        -0.0520      0.0323  -1.6098    0.1075   -0.1153
## as.factor(time)1   -0.1102      0.0717  -1.5378    0.1241   -0.2507
## as.factor(time)2   -0.0705      0.0744  -0.9471    0.3436   -0.2164
## as.factor(time)4   -0.0011      0.0656  -0.0168    0.9866   -0.1298
##                   95%ci.ub   
## (Intercept)         0.6180   
## summer_mean         0.0573   
## winter_mean         0.0113   
## as.factor(time)1    0.0303   
## as.factor(time)2    0.0754   
## as.factor(time)4    0.1276   
## spl4 : 
##                   Estimate  Std. Error        z  Pr(>|z|)  95%ci.lb
## (Intercept)         0.0388      0.3486   0.1112    0.9114   -0.6444
## summer_mean         0.0153      0.0227   0.6756    0.4993   -0.0291
## winter_mean        -0.0406      0.0325  -1.2506    0.2111   -0.1043
## as.factor(time)1    0.0209      0.0756   0.2767    0.7820   -0.1272
## as.factor(time)2   -0.0942      0.0776  -1.2139    0.2248   -0.2464
## as.factor(time)4   -0.0469      0.0692  -0.6774    0.4982   -0.1824
##                   95%ci.ub   
## (Intercept)         0.7220   
## summer_mean         0.0597   
## winter_mean         0.0230   
## as.factor(time)1    0.1690   
## as.factor(time)2    0.0579   
## as.factor(time)4    0.0887   
## ---
## Signif. codes:  0 '***' 0.001 '**' 0.01 '*' 0.05 '.' 0.1 ' ' 1 
## 
## Between-study random-effects (co)variance components
## Structure: General positive-definite
##       Std. Dev    Corr                
## spl1    0.0020    spl1    spl2    spl3
## spl2    0.0298  0.4343                
## spl3    0.0470  0.7086  0.9433        
## spl4    0.0294  0.3120  0.9913  0.8914
## 
## Multivariate Cochran Q-test for residual heterogeneity:
## Q = 157.4825 (df = 184), p-value = 0.9222
## I-square statistic = 1.0%
## 
## 52 studies, 208 observations, 24 fixed and 10 random-effects parameters
##   logLik       AIC       BIC  
##  70.4369  -72.8737   36.4341
```
##Meta-Regression LAG0- w/o temperature variables


```r
mod2_lag0<-mvmeta(ymat_1~as.factor(time), Slist_1, data = meta_data, na.action= "na.omit", method="reml")
```


```
## Call:  mvmeta(formula = ymat_1 ~ as.factor(time), S = Slist_1, data = meta_data, 
##     method = "reml", na.action = "na.omit")
## 
## Multivariate random-effects meta-regression
## Dimension: 4
## Estimation method: REML
## 
## Fixed-effects coefficients
## spl1 : 
##                   Estimate  Std. Error        z  Pr(>|z|)  95%ci.lb
## (Intercept)         0.0278      0.0379   0.7339    0.4630   -0.0464
## as.factor(time)1   -0.0397      0.0650  -0.6105    0.5415   -0.1671
## as.factor(time)2   -0.0752      0.0693  -1.0853    0.2778   -0.2111
## as.factor(time)4   -0.0088      0.0555  -0.1577    0.8747   -0.1175
##                   95%ci.ub   
## (Intercept)         0.1020   
## as.factor(time)1    0.0877   
## as.factor(time)2    0.0606   
## as.factor(time)4    0.1000   
## spl2 : 
##                   Estimate  Std. Error        z  Pr(>|z|)  95%ci.lb
## (Intercept)         0.0554      0.0367   1.5087    0.1314   -0.0166
## as.factor(time)1   -0.0382      0.0605  -0.6321    0.5273   -0.1567
## as.factor(time)2   -0.0425      0.0632  -0.6725    0.5012   -0.1664
## as.factor(time)4    0.0171      0.0533   0.3212    0.7481   -0.0874
##                   95%ci.ub   
## (Intercept)         0.1273   
## as.factor(time)1    0.0803   
## as.factor(time)2    0.0814   
## as.factor(time)4    0.1216   
## spl3 : 
##                   Estimate  Std. Error        z  Pr(>|z|)  95%ci.lb
## (Intercept)         0.1120      0.0425   2.6382    0.0083    0.0288
## as.factor(time)1   -0.0810      0.0695  -1.1668    0.2433   -0.2172
## as.factor(time)2   -0.0374      0.0713  -0.5255    0.5993   -0.1771
## as.factor(time)4    0.0241      0.0620   0.3884    0.6977   -0.0974
##                   95%ci.ub    
## (Intercept)         0.1952  **
## as.factor(time)1    0.0551    
## as.factor(time)2    0.1022    
## as.factor(time)4    0.1456    
## spl4 : 
##                   Estimate  Std. Error        z  Pr(>|z|)  95%ci.lb
## (Intercept)         0.1748      0.0456   3.8361    0.0001    0.0855
## as.factor(time)1    0.0378      0.0746   0.5065    0.6125   -0.1085
## as.factor(time)2   -0.0693      0.0756  -0.9168    0.3593   -0.2176
## as.factor(time)4   -0.0227      0.0672  -0.3380    0.7354   -0.1545
##                   95%ci.ub     
## (Intercept)         0.2641  ***
## as.factor(time)1    0.1841     
## as.factor(time)2    0.0789     
## as.factor(time)4    0.1090     
## ---
## Signif. codes:  0 '***' 0.001 '**' 0.01 '*' 0.05 '.' 0.1 ' ' 1 
## 
## Between-study random-effects (co)variance components
## Structure: General positive-definite
##       Std. Dev     Corr                  
## spl1    0.0070     spl1     spl2     spl3
## spl2    0.0471   0.8670                  
## spl3    0.0443  -0.1065   0.4031         
## spl4    0.0372   0.6994   0.9625   0.6361
## 
## Multivariate Cochran Q-test for residual heterogeneity:
## Q = 181.8878 (df = 192), p-value = 0.6884
## I-square statistic = 1.0%
## 
## 52 studies, 208 observations, 16 fixed and 10 random-effects parameters
##    logLik        AIC        BIC  
##   87.2610  -122.5219   -37.8271
```

##Meta-Regression MA05
#####Time3 as a reference (1993-2003)

```r
mod1_lag05<-mvmeta(ymat_2~summer_mean+winter_mean+as.factor(time), Slist_2, data = meta_data, method="reml")
```


```
## Call:  mvmeta(formula = ymat_2 ~ summer_mean + winter_mean + as.factor(time), 
##     S = Slist_2, data = meta_data, method = "reml")
## 
## Multivariate random-effects meta-regression
## Dimension: 4
## Estimation method: REML
## 
## Fixed-effects coefficients
## spl1 : 
##                   Estimate  Std. Error        z  Pr(>|z|)  95%ci.lb
## (Intercept)        -0.2433      0.2680  -0.9077    0.3640   -0.7687
## summer_mean         0.0143      0.0193   0.7423    0.4579   -0.0235
## winter_mean        -0.0174      0.0329  -0.5298    0.5963   -0.0819
## as.factor(time)1    0.0165      0.0602   0.2737    0.7843   -0.1015
## as.factor(time)2   -0.0678      0.0657  -1.0323    0.3020   -0.1966
## as.factor(time)4    0.0099      0.0554   0.1797    0.8574   -0.0986
##                   95%ci.ub   
## (Intercept)         0.2820   
## summer_mean         0.0521   
## winter_mean         0.0470   
## as.factor(time)1    0.1344   
## as.factor(time)2    0.0610   
## as.factor(time)4    0.1185   
## spl2 : 
##                   Estimate  Std. Error        z  Pr(>|z|)  95%ci.lb
## (Intercept)        -0.2991      0.2557  -1.1697    0.2421   -0.8002
## summer_mean         0.0201      0.0178   1.1297    0.2586   -0.0148
## winter_mean        -0.0337      0.0295  -1.1396    0.2544   -0.0915
## as.factor(time)1   -0.0317      0.0570  -0.5563    0.5780   -0.1435
## as.factor(time)2   -0.0612      0.0605  -1.0123    0.3114   -0.1798
## as.factor(time)4    0.0010      0.0529   0.0184    0.9854   -0.1028
##                   95%ci.ub   
## (Intercept)         0.2021   
## summer_mean         0.0550   
## winter_mean         0.0242   
## as.factor(time)1    0.0800   
## as.factor(time)2    0.0573   
## as.factor(time)4    0.1047   
## spl3 : 
##                   Estimate  Std. Error        z  Pr(>|z|)  95%ci.lb
## (Intercept)        -0.6218      0.2995  -2.0759    0.0379   -1.2089
## summer_mean         0.0334      0.0204   1.6387    0.1013   -0.0065
## winter_mean        -0.0268      0.0322  -0.8300    0.4065   -0.0899
## as.factor(time)1   -0.0186      0.0677  -0.2745    0.7837   -0.1512
## as.factor(time)2   -0.0408      0.0697  -0.5849    0.5586   -0.1775
## as.factor(time)4   -0.0870      0.0633  -1.3737    0.1695   -0.2111
##                   95%ci.ub   
## (Intercept)        -0.0347  *
## summer_mean         0.0733   
## winter_mean         0.0364   
## as.factor(time)1    0.1141   
## as.factor(time)2    0.0959   
## as.factor(time)4    0.0371   
## spl4 : 
##                   Estimate  Std. Error        z  Pr(>|z|)  95%ci.lb
## (Intercept)        -0.2794      0.3646  -0.7664    0.4434   -0.9939
## summer_mean         0.0185      0.0235   0.7840    0.4331   -0.0277
## winter_mean        -0.0445      0.0336  -1.3237    0.1856   -0.1104
## as.factor(time)1   -0.0535      0.0792  -0.6755    0.4994   -0.2087
## as.factor(time)2   -0.0850      0.0800  -1.0634    0.2876   -0.2418
## as.factor(time)4   -0.0359      0.0753  -0.4770    0.6334   -0.1836
##                   95%ci.ub   
## (Intercept)         0.4351   
## summer_mean         0.0646   
## winter_mean         0.0214   
## as.factor(time)1    0.1017   
## as.factor(time)2    0.0717   
## as.factor(time)4    0.1117   
## ---
## Signif. codes:  0 '***' 0.001 '**' 0.01 '*' 0.05 '.' 0.1 ' ' 1 
## 
## Between-study random-effects (co)variance components
## Structure: General positive-definite
##       Std. Dev     Corr                  
## spl1    0.0017     spl1     spl2     spl3
## spl2    0.0239  -0.9827                  
## spl3    0.0150  -0.9807   0.9999         
## spl4    0.0569  -0.9837   1.0000   0.9999
## 
## Multivariate Cochran Q-test for residual heterogeneity:
## Q = 151.1997 (df = 184), p-value = 0.9631
## I-square statistic = 1.0%
## 
## 52 studies, 208 observations, 24 fixed and 10 random-effects parameters
##   logLik       AIC       BIC  
##  62.5395  -57.0790   52.2288
```

##Meta-Regression MA05- w/o temperature variables


```r
mod2_lag05<-mvmeta(ymat_2~as.factor(time), Slist_2, data = meta_data, na.action= "na.omit", method="reml")
```


```
## Call:  mvmeta(formula = ymat_1 ~ as.factor(time), S = Slist_1, data = meta_data, 
##     method = "reml", na.action = "na.omit")
## 
## Multivariate random-effects meta-regression
## Dimension: 4
## Estimation method: REML
## 
## Fixed-effects coefficients
## spl1 : 
##                   Estimate  Std. Error        z  Pr(>|z|)  95%ci.lb
## (Intercept)         0.0278      0.0379   0.7339    0.4630   -0.0464
## as.factor(time)1   -0.0397      0.0650  -0.6105    0.5415   -0.1671
## as.factor(time)2   -0.0752      0.0693  -1.0853    0.2778   -0.2111
## as.factor(time)4   -0.0088      0.0555  -0.1577    0.8747   -0.1175
##                   95%ci.ub   
## (Intercept)         0.1020   
## as.factor(time)1    0.0877   
## as.factor(time)2    0.0606   
## as.factor(time)4    0.1000   
## spl2 : 
##                   Estimate  Std. Error        z  Pr(>|z|)  95%ci.lb
## (Intercept)         0.0554      0.0367   1.5087    0.1314   -0.0166
## as.factor(time)1   -0.0382      0.0605  -0.6321    0.5273   -0.1567
## as.factor(time)2   -0.0425      0.0632  -0.6725    0.5012   -0.1664
## as.factor(time)4    0.0171      0.0533   0.3212    0.7481   -0.0874
##                   95%ci.ub   
## (Intercept)         0.1273   
## as.factor(time)1    0.0803   
## as.factor(time)2    0.0814   
## as.factor(time)4    0.1216   
## spl3 : 
##                   Estimate  Std. Error        z  Pr(>|z|)  95%ci.lb
## (Intercept)         0.1120      0.0425   2.6382    0.0083    0.0288
## as.factor(time)1   -0.0810      0.0695  -1.1668    0.2433   -0.2172
## as.factor(time)2   -0.0374      0.0713  -0.5255    0.5993   -0.1771
## as.factor(time)4    0.0241      0.0620   0.3884    0.6977   -0.0974
##                   95%ci.ub    
## (Intercept)         0.1952  **
## as.factor(time)1    0.0551    
## as.factor(time)2    0.1022    
## as.factor(time)4    0.1456    
## spl4 : 
##                   Estimate  Std. Error        z  Pr(>|z|)  95%ci.lb
## (Intercept)         0.1748      0.0456   3.8361    0.0001    0.0855
## as.factor(time)1    0.0378      0.0746   0.5065    0.6125   -0.1085
## as.factor(time)2   -0.0693      0.0756  -0.9168    0.3593   -0.2176
## as.factor(time)4   -0.0227      0.0672  -0.3380    0.7354   -0.1545
##                   95%ci.ub     
## (Intercept)         0.2641  ***
## as.factor(time)1    0.1841     
## as.factor(time)2    0.0789     
## as.factor(time)4    0.1090     
## ---
## Signif. codes:  0 '***' 0.001 '**' 0.01 '*' 0.05 '.' 0.1 ' ' 1 
## 
## Between-study random-effects (co)variance components
## Structure: General positive-definite
##       Std. Dev     Corr                  
## spl1    0.0070     spl1     spl2     spl3
## spl2    0.0471   0.8670                  
## spl3    0.0443  -0.1065   0.4031         
## spl4    0.0372   0.6994   0.9625   0.6361
## 
## Multivariate Cochran Q-test for residual heterogeneity:
## Q = 181.8878 (df = 192), p-value = 0.6884
## I-square statistic = 1.0%
## 
## 52 studies, 208 observations, 16 fixed and 10 random-effects parameters
##    logLik        AIC        BIC  
##   87.2610  -122.5219   -37.8271
```
#### Session Info for reproducibility

```
## R version 3.5.0 (2018-04-23)
## Platform: x86_64-w64-mingw32/x64 (64-bit)
## Running under: Windows 7 x64 (build 7601) Service Pack 1
## 
## Matrix products: default
## 
## locale:
## [1] LC_COLLATE=English_United States.1252 
## [2] LC_CTYPE=English_United States.1252   
## [3] LC_MONETARY=English_United States.1252
## [4] LC_NUMERIC=C                          
## [5] LC_TIME=English_United States.1252    
## 
## attached base packages:
## [1] stats     graphics  grDevices utils     datasets  methods   base     
## 
## other attached packages:
## [1] knitr_1.20    mvmeta_0.4.11 readr_1.1.1  
## 
## loaded via a namespace (and not attached):
##  [1] Rcpp_1.0.1      crayon_1.3.4    digest_0.6.15   rprojroot_1.3-2
##  [5] R6_2.2.2        backports_1.1.2 magrittr_1.5    evaluate_0.11  
##  [9] pillar_1.3.1    rlang_0.3.2     stringi_1.1.7   rmarkdown_1.10 
## [13] tools_3.5.0     stringr_1.3.1   hms_0.4.2       yaml_2.2.0     
## [17] compiler_3.5.0  pkgconfig_2.0.2 htmltools_0.3.6 tibble_2.1.1
```
```
#### Session Info for reproducibility

```
## R version 3.5.0 (2018-04-23)
## Platform: x86_64-w64-mingw32/x64 (64-bit)
## Running under: Windows 7 x64 (build 7601) Service Pack 1
## 
## Matrix products: default
## 
## locale:
## [1] LC_COLLATE=English_United States.1252 
## [2] LC_CTYPE=English_United States.1252   
## [3] LC_MONETARY=English_United States.1252
## [4] LC_NUMERIC=C                          
## [5] LC_TIME=English_United States.1252    
## 
## attached base packages:
## [1] stats     graphics  grDevices utils     datasets  methods   base     
## 
## other attached packages:
## [1] knitr_1.20    mvmeta_0.4.11 readr_1.1.1  
## 
## loaded via a namespace (and not attached):
##  [1] Rcpp_1.0.1      crayon_1.3.4    digest_0.6.15   rprojroot_1.3-2
##  [5] R6_2.2.2        backports_1.1.2 magrittr_1.5    evaluate_0.11  
##  [9] pillar_1.3.1    rlang_0.3.2     stringi_1.1.7   rmarkdown_1.10 
## [13] tools_3.5.0     stringr_1.3.1   hms_0.4.2       yaml_2.2.0     
## [17] compiler_3.5.0  pkgconfig_2.0.2 htmltools_0.3.6 tibble_2.1.1
```
